2006-11-20  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.7

	* patches/src680/jvmfwk-gij32.diff, patches/src680/apply: search also
	  gij32, ..., so the 32-bit package works on x86_64; It is NovellOnly
	  because I did not want to break others; it should be OK but ...
	  n#222708

	* patches/src680/jvmfwk-searched-paths.diff, patches/src680/apply:
	  # fixes searching for JREs; it allows to search subdirs, so all JREs
	  below /usr/lib/jvm are offered even when the first one is found in
	  /usr/lib, ...; it also pushes the right path, so one JRE is not
	  searched several times (fixes the the first very slow start);
	  it should be helpfull for everybody, n#203830, n#222708

	* bin/pyunorc-update64.in: update paths for python-2.5

2006-11-20  Tor Lillqvist  <tml@novell.com>

	NovellWin32ISO 2.0.4-2, Build 2006-11-20.

2006-11-17  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply: Adding ICU36 to GentooBase

2006-11-17  Jody Goldberg <jody@gnome.org>

	* patches/src680/sc-r1c1.diff : patch for i#71455.  Something of a
	  performance pig making a call to String (sal_Unicode) for every
	  non-ascii character in a sheet name, but that will be tackled on a
	  larger scale.

2006-11-17  Jody Goldberg <jody@gnome.org>

	* patches/src680/sc-r1c1.diff : patch for XL header parsing in i#221421.
	  All addresses without sheet qualifiication were returning sheet 0,
	  rather than the current sheet.

2006-11-15  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.6	(openSUSE-10.2-rc1)

2006-11-15  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/odk-setsdkenv_unix-in-spec.diff, patches/src680/apply:
	  does not crash on grep; add a fallback path;  the shell processing
	  RPM spec files crashes on every error; also it does not provide
	  history, so the path of the profile cannot be detected, i#71575,
	  n#215627

	* patches/src680/helpcontent2-hindi-fonts.diff, patches/src680/apply:
	  add "Lohit Hindi" to the list of fonts, i#71573

	* man/openoffice.1.in, man/openoffice.1_SUSE.in: mention the option
	  -base; oo<mode> wrappers do not longer call the ooffice one; bin
	  the obsolete wrappers from the Novell variant [n#202573]

2006-11-15  Noel Power <noel.power@novell.com>

	* patches/src60/apply: get rid of hypocycloid error on workbook_open
	event. 2 parts, 
		1. port Window/Workbook objects from head and associated
			vba-windowsupport-sfx2-topfrm-hxx.diff patch
		2. hack for resolving ThisWorkbook in a module of the same
			name	
	* patches/vba/vba-symbol-searchhack-for-thisworkbook.diff:
	* patches/vba/vba-windowsupport-sfx2-topfrm-hxx.diff:
	* patches/vba/offapi-org-openoffice-vba-xwindow-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-xworkbook-idl.diff:
	* patches/vba/sc-source-ui-vba-vbawindow-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbawindow-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworkbook-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworkbook-hxx.diff:

	* patches//scratch/offapi-vba/XWindow.idl:
	* patches/scratch/offapi-vba/XWorkbook.idl:
	* scratch/sc-vba/vbaworkbook.[ch]xx:
	* scratch/sc-vba/vbawindow.[ch]xx:

2006-11-14  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply : Add ole2-prop-export-fix.diff
	  to FixesNotForUpstream so that we do not export corrupted metadata.

2006-11-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/binfilter-incorrect-and.diff,
	  patches/src680/sc.incorrectand.diff,
	  patches/src680/svx.incorrectand.diff,
	  patches/src680/apply: && where & should be (from HEAD).

2006-11-14  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: remove liblnth680l?.so from gid_Module_Hack filelist;
	  it is listed in gid_Module_Root_Files_4

2006-11-14  Tor Lillqvist  <tml@novell.com>

	NovellWin32ISO 2.0.4-1, Build 2006-11-13.

2006-11-14  Tor Lillqvist  <tml@novell.com>

	* bin/make-win32-iso: If the environment variable DONTBUILD is
	set, don't actually do a build in instsetoo, just do the ISO
	creation dance. Useful for testing and manual tinkering.

	Handle the languages where the folder for the language pack has
	"en-US_" prefixed.

	Don't redistribute *.EXE files either.

	mkdir the $SRCISOROOT/src folder before attempting to copy stuff
	there.

2006-11-13  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-msi-patchability.diff
	(solenv/bin/modules/installer/globals.pm): Set $number_of_cabfiles
	to 1. No point in creating four cabinet files. One requirement for
	patching is that components are in the same cabinet file as in the
	original (see
	http://msdn2.microsoft.com/en-us/library/aa368060.aspx). So, why
	not use just one cabinet file, one less thing to worry about.
	(solenv/bin/modules/installer/windows/msiglobal.pm): Require
	Win32::Guidgen on Cygwin. Use Win32::Guidgen::gen() to generate
	UUIDs instead of running uuidgen.exe a zillion times. *Much*
	faster.

2006-11-13  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.5	(openSUSE-10.2-beta2plus)

2006-11-10  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/jvmfwk-prefer-gij-on-x86_64.diff, patches/src680/apply:
	  (64bitPatches) prefer gij on x86_64 with the 64-bit build; It is
	  useful because Sun JRE 1.5 does not work with the 64-bit build at
	  all. It is caused by
	  http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6487640;
	  It is hard to debug. The wizards simply does not appear without any
	  message; The oobase functions ends with wery unclear message, for
	  example see http://forums.fedoraforum.org/showthread.php?t=135946,
	  n#219982

2006-11-10  Tor Lillqvist  <tml@novell.com>

	* distro-configs/NovellWin32ISO.conf.in: No use having --with-lang
	and --with-poor-help-localizations switches here. They need to be
	passed to ooo-build's configure script (or autogen.sh). It's too
	late to pass them only to the upstream configure script.

	* doc/AUTOGEN.NovellWin32ISO.sh: Keep them in this new file
	instead. The autogen.sh command line I use for full ISO builds,
	just for reference.

2006-11-10  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-msi-patchability.diff: Fix fuzz.

2006-11-09  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* pathces/scsolver/*.diff: regen'ed.

2006-11-09  Petr Mladek  <pmladek@suse.cz>

	* bin/install-mono: install mono-ooo-<ver>.pc to the arch dependant
	  path (lib/lib64) to be found in PKG_CONFIG_PATH

2006-11-09  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.4

	* patches/src680/apply: the problem with gcj and private members is
	  really an old known problem,
	  see http://gcc.gnu.org/bugzilla/show_bug.cgi?id=9866; moved
	  hsqldb-gcj-access-problems.diff from [NovellGCJWorkaround] to
	  [GCJWorkaround]

2006-11-09  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbaborders-cxx.diff: necessary patch for
	#n201635
	* scratch/sc-vba/vbaapplication.cxx: fix patch/scratch sync screwup
	* scratch/sc-vba/vbaworkbook.cxx: ditto

2006-11-08  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-odma.diff: Backport from HEAD. Just
	some slight adjustments needed to make it apply without fuzz.

	* patches/src680/apply: Move novell-win32-odma.diff last because
	of patch interdependency.

2006-11-08  Jiao Jianhua <jjiao@novell.com>

	* patches/src680/apply: i#54603,add fontconfig-substitute-localizedname 

2006-11-07  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.3

	* bin/package-ooo: fix permissions of the documentation

2006-11-07  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: backported fix for i#70759, vclshowstop07
	cws

2006-11-07  Noel Power  <noel.power@novell.com>
	
	* patches/vba/vba-basic-array-erase.diff:  ease the way for removal of 
	libsb_gcc4_visibility_markup.diff on windows

2006-11-07  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: back port
	borders implentation from head.
	* patches/vba/sc-source-ui-vba-vbarange-[ch]xx.diff:

2006-11-03  Rene Engelhard  <rene@debian.org>

	* bin/openoffice-xlate-lang: add uk (ukrainian)

2006-11-03  Petr Mladek <pmladek@suse.cz>

	* Version 2.0.4.2	(openSUSE-10.2-beta2)

	* distro-configs/SUSE-10.2.conf.in, configure.in, patches/src680/apply:
	  branched distro configs for openSUSE-10.2

	* doc/stat-localizations.txt: added actual statistics

	* patches/src680/hsqldb-gcj-access-problems.diff, patches/src680/apply:
	  (NovellGCJWorkaround) huh, gcj still compiles private/protected
	  members a wrong way; I am not sure if this is a global problem, so
	  I rather added the very ugly patch only for Novell now

2006-11-03  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply : add sc-dp-gridlayout.diff
	* patches/src680/sc-dp-gridlayout.diff : back port.
	* patches/src680/sc-r1c1.diff : strip out conflicts.
	* patches/src680/sc-dp-hash-items.diff : back port corrected version.

2006-11-02  Robert Vojta  <rvojta@gmail.com>

	* patches/src680/sc-insert-note-on-right-click.diff: SK translation
	* patches/src680/sc-save-password-minlength.diff: CS, SK translation
	* patches/src680/sc-datapilot-autoformat.diff: CS, SK translation

2006-11-02  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply:
	* patches/src680/libgcc3_uno_noexecstack.diff: Fix for some execstacks
	in libgcc3_uno.so, i#70845

2006-11-02  Rene Engelhard  <rene@debian.org>

	* distro-configs/Debian*conf.in: readd somewhen gone
	  --with-system-odbc-headers....

2006-11-01  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: install pyunorc-update64 only for i386 build; the
	  native 64-bit build does not need it

	* patches/src680/pyuno-objects-allocation.diff, patches/src680/apply:
	  fixes objects allocation in pyuno, i#71078

2006-10-30  Rene Engelhard  <rene@debian.org>

	backport from HEAD:

        * patches/src680/apply,
          patches/src680/buildfix-gcc-4.1.2-NULL.diff,
          patches/src680/buildfix-binfilter-gcc-4.1.2-NULL.diff:
          Fix previous commit - parts of the patch are binfilter specific,
          others aren't
        * patches/src680/apply: apply buildfix-gcc-4.1.2-NULL.diff in
          BFBuildBits instead of BuildFixes -- it breaks building without
          binfilter.

2006-10-30  Rene Engelhard  <rene@debian.org>

	backport from HEAD:

	 * etc/test.list: update for OOo-2.0.4 based on
	   http://qa.openoffice.org/qatesttool/all_tests_ooo204.html

2006-10-28  Rene Engelhard  <rene@debian.org>

	* patches/src680/buildfix-hsqldb-1-8-0-7.diff: add buildfix for
	  build with hsqldb 1.8.0.6/7

2006-10-26  Petr Mladek  <pmladek@suse.cz>

	* src680/office-cfg-common-template-dir.diff: add also
	  /usr/share/templates/ooo2/common and /usr/share/templates/ooo2/<lang>
	  to the search path for templates; make sure that the new paths are
	  used also with existing user configuration

2006-10-24  Rene Engelhard  <rene@debian.org>

	* patches/src680/buildfix-gcc-4.1.2-NULL.diff: add buildfix for
	  newer gccs

2006-10-25  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/ooo69620.vcl.atkcombo.diff,
	patches/src680/ooo70361.vcl.atkfilechooser.diff,
	patches/src680/ooo70782.secondaryfpicker.atk.diff: Import from FC.
	patches/src680/apply: Apply in FedoraFixes.

2006-10-24  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-detect-csv-saved-as-xls.diff,
	  patches/src680/apply: CSV saved with .XLS extension should load in
	  calc.

2006-10-23  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/sd.sal_uInt32_aslong.diff: Fix for i#70601.
	* patches/src680/apply: Apply in Fixes.

2006-10-22  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: add vba-accent-in-module.diff for n#214312
	fixes problem with binding for controls with accents
	* patches/vba/vba-accent-in-module.diff:

2006-10-20  Petr Mladek  <pmladek@suse.cz>

	* bin/test-ooo-analyze: small fixes

2006-10-19  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4.1	(openSUSE-10.2-beta1)

	* patches/src680/office-cfg-common-template-dir.diff,
	  patches/src680/apply: search <ooo-home>/share/template/common for
	  language independent templates
	* patches/src680/sfx2-template-category-labels.diff,
	  patches/src680/apply: add new category "Labels" for blank labels,
	  calling cards, CD labels, etc.

2006-10-19  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbworkbook.cxx: fix close method to use current model
	not the current document.
	* patches/vba/sc-source-ui-vba-vbaworkbook-cxx.diff: scratch->patch

2006-10-19  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-support-export-palette.diff: problem with color 
	palette, we really shouln't export a palette that has not being 
	imported to the vba api because it will have bogus data

2006-10-19  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/apply: moved the 11 patches from FC (added by
	  Matthias on 2006-10-12) from DebianBase to FedoraFixes to be
	  applied everywhere

2006-10-19  Tor Lillqvist  <tml@novell.com>

	* bin/unpack: Typo.

2006-10-18  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: port fixes from HEAD
	* patches/vba/sc-source-ui-vba-vbaapplication-cxx.diff: 
	* patches/vba/vba/vba-basic-array-erase.diff:
	* patches/vba/sc-source-ui-vba-vbacombobox-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworksheet-cxx.diff:
	* patches/vba/vba-basic-globals.diff:
	* patches/vba/vba-dim-and-constants-patch.diff:

2006-10-18  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: disable Shrink patchset, causes e.g.
	  "*.*" disappearing from file dialog dropdown and other problems

2006-10-18  Tor Lillqvist  <tml@novell.com>

	* distro-configs/CommonWin32.conf.in: No reason to --disable-directx.

2006-10-17  Rene Engelhard  <rene@debian.org>

	* bin/unpack: add support for unpacking extras_<iso>.tar.gz and
	  help_images_<iso>.tar.gz (like on Pavels FTP) if there and
	  language is supposed to be built

2006-10-17  Rene Engelhard  <rene@debian.org>

	* src/rhino1.5R4.patch: remove, obsolete since ood680-m2
	* bin/unpack: remove handling of new rhino1.5R4.patch

2006-10-16  Petr Mladek  <pmladek@suse.cz>

	* distro-configs/SUSE-64.conf.in,
	  distro-configs/SUSE-PPC.conf.in,
	  distro-configs/SUSE.conf.in: sync to use the same features on
	  all architectures; you would need to install sablot-devel, xalan-j2
	  xerces-j2, and xml-commons-apis on ix86; You would need to install
	  mono-devel on x86_64.

2006-10-16  Juerg Billeter  <j@bitron.ch>

	* patches/src680/apply:
	* patches/src680/scp2-parallel-build-fix.diff: Fix parallel build in
	  scp2

2006-10-16  Tor Lillqvist  <tml@novell.com>

	* patches/src680/mozilla-ab-filename-encoding.diff: New file. Fix
	for i#69327 by Robert Vojta, from CWS dba205c.

	* patches/src680/apply: Add it to Fixes.

2006-10-15  Rene Engelhard  <rene@debian.org>

	* patches/ooinstall: run SDK installer only with -l en-US to prevent
	  overly long lines with many languages; remove OOO_RUN_SDK_INSTALLER
	  hack again

2006-10-15  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-icu.diff: readd configure flag; s/gt/ge/,
	  make it AC_MSG_ERROR instead of AC_MSG_RESULT when system-icu >= 3.4

2006-10-15  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-icu.diff: fix for icu 3.4, partly thanks
	  to Hanno

2006-10-13  Matthias Klose  <doko@ubuntu.com>

	* bin/ooinstall: Skip running the SDK installer, when
	OOO_RUN_SDK_INSTALLER is not set to 'yes' (defaults to yes).
	* bin/openoffice-xlate-lang: Add eo (esperanto).

2006-10-13  Tor Lillqvist  <tml@novell.com>

	* bin/unpack: In a Win32 build, require gdiplus.dll already at
	this stage (config_office/configure will also require it), and
	copy it into $OOBUILDDIR/external/gdiplus. Thus it's enough to
	download it once into src and it gets copied automatically into
	each milestone you build.

2006-10-13  Rene Engelhard  <rene@debian.org>

	* patches/src680/sd-slideshowimpl-check-for-viewframe.diff: add
	  .hxx part

2006-10-12  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/system-icu.diff: fix obvious typo,
	  U_ICU_VERSION_MAJOR_NUM => U_ICU_VERSION_MINOR_NUM

2006-10-12  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: (DebianBaseOnly) remove
	  ooo69530.sd.crash.diff in favour of identical 
	  sd-slideshowimpl-check-for-viewframe.diff
	* patches/src680/ooo69530.sd.crash.diff: remove

2006-10-12  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.4		(openSUSE-10.2-alpha5plus)

	* configure.in: Default to OOO_2_0_4

	* support for OOO_2_0_4 sources

2006-10-12  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/buildfix-configurein.diff,
	  patches/src680/buildfix-vcl-with-libsn-GetX11SalData.diff,
	  patches/src680/cws-jl47.diff,
	  patches/src680/ppc-symbols-fix.diff,
	  patches/src680/recovery-disabled-crashreporter-localize-ood680-m1.diff,
	  patches/src680/sfx2-docfile-newfilesave.diff,
	  patches/src680/x11r7-fix-xinerama-check.diff,
	  patches/src680/apply: remove older than ood680-m5.

	* patches/vba/cws-npower3.diff, patches/src680/apply: remove the verion
	  of the patch that is for newer src680.

2006-10-12  Petr Mladek  <pmladek@suse.cz>

	* Branched for 2.0.4:
	  OOO-BUILD-2-0-4-ANCHOR - the anchor tag,
	  ooo-build-2-0-4 - the branch.

2006-10-12  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/sd-slideshowimpl-check-for-viewframe.diff:
	  backport revision 1.31.60.1 from cws impress107 to fix crash on
	  the impress wizard (i#69530)

2006-10-12  Petr Mladek  <pmladek@suse.cz>

	* patches/cairo/cairo-canvas-win32.diff: use ::rtl::math::round as a
	  cross pratform solution; the rtl implementation is needed on Win32;
	  it is not enough to use "using namespace ::rtl::math;" because then
	  the compiler does not know wheter to use the rtl implementation or
	  the system one on linux
	* patches/src680/apply: move cairo-canvas-win32.diff after other
	  cairo patches

	* patches/src680/sc-optional.diff: add missing return

	* patches/src680/build-java-target.diff, patches/src680/apply:
	  add --with-java-target-version configure options; it allows
	  to build the classes for JVM 1.4 even with JDK 1.5; this
	  is needed for openSUSE where only the newer JDK is available

2006-10-12  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaapplication.cxx: moved Application::Range
	implementation into vbarange, also a hack in there to allow 
	Application::Range to handle references to other sheets 
	* scratch/sc-vba/vbarange.[ch]xx:

2006-10-12  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/ooo67658.sfx2.reloadcrash.diff,
	patches/src680/ooo67716.svx.overflow.diff,
	patches/src680/ooo67781.sc.reloadhiddenrows.diff,
	patches/src680/ooo67976.svx.macroscrash.diff,
	patches/src680/ooo68048.vcl.imsurroundtext.diff,
	patches/src680/ooo68919.sc.atk.diff,
	patches/src680/ooo69236.slideshow.esccrash.diff,
	patches/src680/ooo69530.sd.crash.diff,
	patches/src680/oooXXXXX.vcl.x86_64.impressatk.diff,
	patches/src680/workspace.calc39.diff,
	patches/src680/workspace.vcl65.diff: Import from FC.
	* patches/src680/apply: Apply above patches for DebianBase,
	for not breaking the whole world.

2006-10-11  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Add the Win32 cairo patches to the
	cairocanvas section, so that it gets verified that they don't
	affect Linux builds. Add cairocanvas to the NovellWin32 and
	NovellWin32ISO distros.

2006-10-11  Noel Power  <noel.power@novell.com>

	* patches/vba/vbaevents-services-sources.diff: add support for 
	combo box changed event

2006-10-11  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaglobals.cxx: add back ActiveSheet into globals
	* scratch/sc-vba/vbaworksheet.cxx: make the property search a little
	faster ( not much though )

2006-10-11  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: disable size-sal-textenc.diff, makes
	  e.g. rscdep segfault on amd64

2006-10-10  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: disable speed-chart.diff; causes
	  http://bugs.debian.org/391875

2006-10-10  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/xalan-serializer-jar-more.diff, patches/src680/apply:
	  again add automatical detection of serializer.jar into the configure;
	  add it to classpath on one more place; was lost during the switch to
	  cws-cmcfixes28.diff

2006-10-10  Tor Lillqvist  <tml@novell.com>

	* patches/cairo/cairo-cairo-1-2-4-diff.diff: Use MMX in cairo also
	when building with MSVC. Seems to work, but more testing and more
	eyeballs is surely needed. Correct two problems in
	cairo-win32-surface.c: Don't use ARGB32 format for 32 bpp HDCs,
	the proper thing is to use RGB24. Don't use the bogus
	_cairo_win32_surface_show_glyphs method, which doesn't work for
	rotated text.

2006-10-10  Petr Mladek  <pmladek@suse.cz>

	* bin/test-ooo: fix the check for a blacklist

2006-10-10  Tor Lillqvist  <tml@novell.com>

	* patches/src680/size-sal-textenc.diff (sal/util/makefile.mk):
	Define also SHL3DEF and DEF3NAME so that a .def file gets made for
	the sal_textebc3.dll on Win32. Use correct PLUGIN_NAME on Win32.

2006-10-10  Jiao Jianhua <jjiao@novell.com>

	* scratch/sc-vba/vbaapplication.cxx: update Cursor and StatusBar 
	Cursor only change the current objectshell view.

2006-10-10  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaglobals: really remove ActiveSheet from list of 
	globals
	* scratch/sc-vba/vbacombobox.cxx: make sure XPropertySetInfo returned
	is static ( performance related )
	* scratch/sc-vba/vbarange.cxx: ditto

2006-10-10  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-basic-default.diff: added necessary forgotten bit 
	to enable lazy init of default properties

2006-10-09  Tor Lillqvist  <tml@novell.com>

	* patches/cairo/cairo-canvas-win32.diff: Fix handling of Bitmaps
	that are implemented as in-memory DIBs by WinSalBmp. This is
	indicated by BitmapSystemData::pDIB being non-NULL. It is a
	HGLOBAL for the DIB. We can't pass the bitmap data for that to
	cairo_image_surface_create_for_data() as the format is wrong in
	many ways; for starters, it's upside-down, and if it has a DIB
	format other than 24-bit BI-RGB, cairo wouldn't understand it
	anyway.

	Possibly it would make sense to have sal create DIB sections
	instead of mucking around with "global" memory segments and
	in-memory DIBs. Probably that code in sal is a leftover from Win9x
	days, or even older. DIB sections have the actual bits in-memory
	anyway, and additionally they have HBITMAP handles that can be
	used like HBITMAP handles for DDBs.

	* patches/cairocanvas-check-bitmap-system-data-pixmap-size.diff
	(DeviceHelper::getSurface): On Win32, notice DIB bitmaps early
	here before even calling the Surface constructor. Return NULL
	instead, and the code higher in the call chain will use fallback
	code instead.

2006-10-09  Noel Power  <noel.power@novell.com>

	* patches/src680/cws-npower3.diff: Mikhail V. on returning from his 
	leave spotted a nice improvement to the patch.
	* patches/src680/cws-npower3-m4.diff: < m186 version

2006-10-09  Noel Power  <noel.power@novell.com>
	
	* scratch/sc-vba/vbaglobals: remove ActiveSheet from list of globals
	sent to basic ( performance )
	* patches/vba/vba-basic-default.diff: make default property lazy inited
	performance improvement

2006-10-09  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: added fix from Caolan, move path
	coordinates only when doing stroke. Before they were moved for
	fills as well. It happened because of unclear method name, which
	was indicating just strokes, but was used for clips and fills as
	well. I changed the method names as well now.

2006-10-09  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-sal-textenc.diff,
	* patches/src680/apply: several fixes & enable.

	* patches/src680/system-icu.diff: fix crasher preprocessor logic bugs.

2006-10-09  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply CalcSolver patchset in DebianBase since
	  it now also builds on amd64. Move system-lpsolve-use_pic.diff into
	  DebianBaseOnly and make system-lpsolve-link-with-colamd.diff
	  DebianOnly instead of Debian32Only

2006-10-09  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/soffice-detect-mozilla-certificates.diff: Fix b0rkage.

2006-10-08  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-icu.diff: fix #if, should be == 4 instead of
	  == 6

2006-10-08  Rene Engelhard  <rene@debian.org>

	* patches/src680/soffice-detect-mozilla-certificates.diff: add patch
	  to handle multiple mozilla profiles in the same subdir and profiles
	  with spaces

2006-10-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-sal-textenc.diff: add scp2 section,
	add map-file & update makefile to use it.

2006-10-06  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-sal-textenc.diff,
	* patches/src680/apply: save 1.6Mb or so of pointless text
	encoding translation tables, disabled for now.

2006-10-06  Petr Mladek  <pmladek@suse.cz>

	* configure.in, download.in: download the prebuild cli_types*.dlls
	  from the MWS specific directory; it is not perfect solution
	  because more .dlls versions might be necessary with one MWS;
	  it should be enough because everybody builds the latest milestone
	  anyway

2006-10-06  Noel Power  <noel.power@novell.com>

	* patches/vba/cws-npower3.diff: restore to cws-extract version
	* patches/vba/cws-npower3-m4.diff: contitionalise correctly
	* patches/src680/apply:

2006-10-06  Noel Power  <noel.power@novell.com>

	* patches/src680/cws-npower.diff: manually hack out include causing 
	problem in m4 builds ( temporary solution, will conditionalize patches )

2006-10-06  Rene Engelhard  <rene@debian.org>

	* patches/src680/soffice-detect-mozilla-certificates.diff:
	  prioritize ~/.firefox. Add ~/.mozilla-firefox

2006-10-05  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-icu.diff: merge caolans icu 3.6 patch;
	  try to make it support 3.4 and 3.6...
	* patches/src680/cws-icuupgrade.diff: add
	* patches/src680/apply: add cws-icuugrade.diff to new ICU36 Section;
	  apply it for Debian/Debian64

2006-10-05  Robert Vojta  <rvojta@gmail.com>

	* doc/connectivity-module-new-driver.txt: Simple How To which guide
	you through all steps for new driver integration into OO.o source tree

2006-10-05  Petr Mladek  <pmladek@suse.cz>

	* configure.in: Default to ood680-m5

	* distro-configs/SUSE-10.1.conf.in: enable gstreamer on SLED10

	* bin/install-mono: works with DESTDIR again

2006-10-05  Noel Power  <noel.power@novell.com>

	* patches/vba/cws-npower3.diff: cws-extract with latest changes

2006-10-05  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/xalan-serializer-jar.diff: Bin, in cmcfixes28.
	* patches/src680/gnujre-searchpath-java.home-property.diff: Bin, in
	  sixtyfour08.
	* patches/src680/cws-cmcfixes28.diff: Extract of cmcfixes28 (64bit and
	  other fixes)
	* patches/src680/cws-sixtyfour08.diff,
	  patches/src680/use-system-xt.diff: Update.
	* patches/src680/apply: Apply the changes.

2006-10-05  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/fontconfig-substitute3.diff: Update from FC.
	* patches/src680/cws-sixtyfour08.diff: Update from FC.

2006-10-03  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply: Re-Shuffle some patches from Gentoo
	experimental to "vanilla" Gentoo

2006-10-03  Noel Power  <noel.power@novell.com>

	* patches/src680/cws-npower.diff: updated with latest changes from the
	cws.

2006-10-02  Robert Vojta  <robert@vojta.name>

	* patches/src680/zoom-combobox.diff: Czech & Slovak translations

2006-09-30  Tor Lillqvist  <tml@novell.com>

	* patches/cairo/cairo-canvas-win32.diff: Don't use
	cairo_helper.cxx on Win32 (ifdef out all of it). It's much cleaner
	to just have the necessary code inline in cairo_cairo.cxx, which
	is the only source file that used the cairo_helper functions
	anyway. Additional cleanups. Plug HDC leak: keep HDC and its
	original bitmap around in ::cairo::Surface so that we can properly
	deallocate the HDC in the destructor.

	* patches/cairo/cairocanvas-check-bitmap-system-data-pixmap-size.diff:
	Revert my changes on 2006-09-27, not needed now when not using
	cairo_helper on Win32..

2006-10-01  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/jni-throw-exception.diff: Bin. If ever again someone
	sees a jni exception she/he may apply patch attached to i#65977.

2006-09-30  Tor Lillqvist  <tml@novell.com>

	* patches/cairo/cairo-canvas-win32.diff: Fix a few obvious mistakes.

2006-09-30  Robert Vojta  <robert@vojta.name>

	* patches/src680/sc-optional.diff: Make VLA compilable on Win32 

2006-09-29  Tor Lillqvist  <tml@novell.com>

	Fix the fontconfig-substitute* diffs to unbreak the Win32
	build. Whether fonts work correctly on Win32 currently I have no
	idea yet.
	
	* patches/src680/fontconfig-substitute.diff
	(vcl/source/gdi/makefile.mk)
	(vcl/source/window/makefile.mk): Pass -DENABLE_FONTCONFIG in CDEFS
	when ENABLE_FONTCONFIG is set.
	(vcl/source/gdi/outdev3.cxx:GetFcSubstitute) Return an empty
	string unless ENABLE_FONTCONFIG.
	(vcl/source/window/window.cxx:Window::ImplCheckUIFont): Don't
	attempty to use psp::PrintFontManager on WNT where the fontman
	library isn't built.

	* patches/src680/fontconfig-substitute2.diff
	(vcl/source/gdi/outdev3.cxx): Adapt to the above change, it
	changes the context lines for two chunks of this diff.

	* patches/src680/fontconfig-substitute2.diff
	(vcl/source/gdi/sallayout.cxx): Use ::abs() instead of the
	nonportable std::abs().

2006-09-29  Rene Engelhard  <rene@debian.org>

	* patches/src680/soffice-detect-mozilla-certificates.diff: add
	  extra check to not give nothing to dirname when no mozilla profile
	  is found
	* patches/src680/apply: apply BerkeleyDB43 also for Debian64

2006-09-29  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-configmgr-template.diff,
	* patches/src680/apply: save more space/time/code.

	* patches/src680/size-configmgr.diff: bump back-log to 16 to
	capture 'filter' repetition.

2006-09-29  Petr Mladek  <pmladek@suse.cz>

	* bin/install-mono: allow to install OOo without root permissions

2006-09-27  Tor Lillqvist  <tml@novell.com>

	Initial commit of diffs for the cairo canvas code on Win32. Work
	in progress. No idea whether it works at all yet, but at least the
	cairo canvas DLL did build successfully at one stage. For some
	unrelated reason, I seem to have to do a clean rebuild of all of
	OO.o right now. (I get a weird component registration problem with
	binfilter, for instance.) So, it will have to wait some days until
	the build is done before I can actually try running OO.o with the
	cairo canvas on Win32.

	* patches/cairo/cairo-canvas-win32.diff (canvas/prj/build.lst):
	Make it depend on cairo if the CAIRO build type is turned on.
	(canvas/source/cairo/makefile.mk): On Win32 link with cairo.lib,
	pixman.lib and gdi32.lib.
	(canvas/source/cairo/cairo_cairo.hxx): Include <stdio.h> for
	NULL. No need for mpDisplay, mhDrawable, and mpRenderFormat fields
	on Win32. Adapt constructors and methods correspondingly on Win32.
	(canvas/source/cairo/cairo_helper.hxx): Make many of the functions
	X11-only.
	(canvas/source/cairo/cairo_cairo.cxx): Adapt for Win32.
	(canvas/source/cairo/cairo_canvashelper.cxx)
	(canvas/source/cairo/cairo_spritehelper.cxx): Use namespace
	::rtl::math for round().
	(canvas/source/cairo/cairo_canvashelper_text.cxx): Include
	<windows.h> (surrounded by the lovely <tools/prewin.h> and
	<tools/postwin.h> headers) on WNT. Add ifdefs for the X11 code,
	add corresponding Win32 code. Use F_PI instead of the nonportable
	M_PI.
	(canvas/source/cairo/cairo_helper.cxx): Also include <windows.h>
	here, add ifdefs for X11 code, add Win32 code.

	* patches/cairo/cairo-config_office-configure-in.diff
	(config_office/configure.in): Add CAIRO to BUILD_TYPE if using
	internal cairo.

	* patches/cairo/cairo-makefile-mk.diff (cairo/makefile.mk):
	Deliver also cairo-win32.h.

	* patches/cairo/cairocanvas-check-bitmap-system-data-pixmap-size.diff
	(canvas/source/cairo/cairo_helper.cxx): Yes, more diffs to the
	same file here as in cairo-canvas-win32.diff. Part of the diffs
	for Win32 would have partially overlapped the lines already
	handled in this diff, so have to have them here.

	* patches/cairo/cairocanvas-vcl-add-pixmap-size-to-bitmap-system-data.diff
	(vcl/inc/bitmap.hxx): Have the mnWidth and mnHeight fields also on
	Win32. Don't know if this will turn out to be absolutely
	necessary.
	(vcl/win/source/gdi/salbmp.cxx): Set mnWidth and mnHeight in
	WinSalBitmap::GetSystemData().

2006-09-29  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/vba/offapi-org-openoffice-vba-xapplication-idl.diff,
	* patches/src680/vba/sc-source-ui-vba-vbaapplication-cxx.diff,
	* patches/src680/vba/sc-source-ui-vba-vbaapplication-hxx.diff: For Cursor
	using SystemWindow.
	* scratch/sc-vba/XApplication.idl,
	* scratch/sc-vba/vbaapplication.hxx,
	* scratch/sc-vba/vbaapplication.cxx,

2006-09-28  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sc-optional.diff,
	* patches/src680/apply: fix another round of problems, looking
	good now, enable by default

2006-09-28  Matthias Klose  <doko@ubuntu.com>

	* bin/cws-commit-patch, bin/ooinstall, bin/package-lang-win32,
	bin/reorder-link: Explicitely use bash when sucking variables
	from the shell.
	* bin/install-dictionaries: Remove bashisms.

	* patches/src680/fontconfig-substitute.diff: Update from FC.
	* patches/src680/fontconfig-substitute[23].diff: New, taken from FC.
	* patches/src680/apply: Apply new patches.

	* bin/build-ooo: Search for additional GSI files.

2006-09-27  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/xalan-serializer-jar.diff: add automatical detection
	  of serializer.jar into the configure; add it to classpath on one
	  more place

	* patches/src680/sw-input-field-dialog.diff, patches/src680/apply:
	  Improve input field dialog. Created by Zhang Yun. I have removed
	  it by mistake on 22 Oct because it had the confusing name
	  sw-inline-edit.diff

2006-09-27  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sc-optional-addins.diff,
	* patches/src680/sc-optional.diff,
	* doc/calc-optional.txt: improved patches & notes.
	* patches/test/sc-optional.diff: remove.

2006-09-27  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: make basic call to Application::Reschedule 
	a bit more efficient
	* patches/vba/basic-speedup.diff:

2006-09-27  Tor Lillqvist  <tml@novell.com>

	Initial configury to use cairo on Win32. Still need to add
	Win32-specific code to cairocanvas.

	* configure.in: Use cairo 1.2.4 on Win32.

	* download.in: Don't download the glitz tarball on Win32.

	* bin/unpack: Don't copy the glitz tarball on Win32. Correct log
	messages.

	* patches/cairo/cairo-makefile-mk.diff
	* patches/cairo/cairo-prj-build-lst.diff
	* patches/cairo/cairo-prj-d-lst.diff: Resurrected these files, but
	now change them to be for Win32 only. (On Linux, we always use the
	system cairo.)

	* patches/cairo/cairo-cairo-1-2-4-diff.diff: New file. Diff to
	cairo 1.2.4. Adds hand-written config.h, makefile.mk,
	pixman/src/makefile.mk and src/makefile.mk, and patches
	src/cairo-features.h in cairo 1.2.4.

	* patches/cairo/cairo-config_office-configure-in.diff: New
	file. Set build_cairo to true on Cygwin, but don't set
	SYSTEM_CAIRO, and don't check for system cairo.

	* patches/cairo/cairo-canvas-win32.diff: New file. Patch
	canvas/prj/build.lst and canvas/source/cairo/makefile.mk to build
	cairocanvas on Win32, too, if enabled.

2006-09-26  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-modscopevariable.diff: extended to the cater for
	private variables also ( new opcode _PUBLIC_P )

2006-09-26  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-optional.diff: update: fixes most missing
	optional arg scenarios, updates the parser etc.

2006-09-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/svg-import.diff: Initial import of SVG import code.
	  NB. Experimental, in progress, not ready by any means! ;-)

2006-09-26  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: allow module scope variables lifecycle to be
	extended to the lifetime of the associated document ( when vbasupport
	is enabled )
	* patches/vba/vba-modscopevariable.diff:

2006-09-26  Robert Vojta  <robert@vojta.name>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: Czech translation
	* patches/src680/vba-sc-handleautoshapemacro-import.diff: Czech
	translation
	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: Slovak translation
	* patches/src680/vba-sc-handleautoshapemacro-import.diff: Slovak
	translation
	* patches/src680/sc-natural-sort.diff: Slovak translation

2006-09-25  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-optional.diff,
	* test/calc/optional.xls: setup opt. arg. test cases,
	and 1st hack at a way around.

2006-09-22  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-filter-props.diff: remove debug.

2006-09-25  Rene Engelhard  <rene@debian.org>

	* patches/src680/cws-jl47.diff, patches/src680/apply:
	  cws-extract jl47

2006-09-25  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply BerkeleyDB43 for Debian

2006-09-24  Rene Engelhard  <rene@debian.org>

	* patches/vba/sc-source-ui-vba-vbaapplication-cxx.diff:
	  #include <stdio.h>

2006-09-22  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/sw-input-field-inline-edit.diff,
	  patches/src680/apply: Improve input field inline editing.
	  Created by Zhang Yun  <mypersonal1971@gmail.com>.
	* patches/src680/sw-inline-edit.diff, patches/src680/apply:
	  remove obsolete work

2006-09-22  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/apply (Fixes): Add cws-sixtyfour08.diff, fix
	crash in base on amd64.
	* patches/src/cws-sixtyfour08.diff: New.
	* patches/src680/apply (TemporaryHacks): Add sal-doublefree.diff,
	fix crash in the help on amd64.
	* patches/src/sal-double: New.

2006-09-22  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in: Add --with-system-icu to
	Gentoo defaults

2006-09-22  Matthias Klose  <doko@ubuntu.com>

	* bin/openoffice-xlate-lang: Add georgian.

2006-09-22  Jiao Jianhua  <jjiao@novell.com>

	* patches/scratch/sc-vba/vbaapplication.[ch].xx: update scratch
	* patches/scratch/offapi-vba/XApplication.idl: update scratch

2006-09-22  Jiao Jianhua  <jjiao@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xapplication-idl.diff: 
	  add Goto, DisplayStatusBar and StatusBar.
	  Goto is not compeleted. And the others are implemented.
	* patches/vba/c-source-ui-vba-vbaapplication-[ch]xx.diff: 

2006-09-22  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/apply (DebianBaseOnly): Bild using -O2 on x86
          and sparc according to Debian policy.
	* patches/src/debian-opt.diff: New.

2006-09-22  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbacombobox.[ch]xx: default value for combobox
	* patches/vba/sc-source-ui-vba-vbacombobox-[ch]xx.diff: scratch->patch

2006-09-22  Robert Vojta  <robert@vojta.name>

	* patches/src680/sc-natural-sort.diff: Czech translation

2006-09-21  Petr Mladek  <pmladek@suse.cz>

	* Version ood680-m4	(openSUSE-10.2-alpha5)

	* patches/src680/svtools-fsstor-temporary-O0.diff,
	  patches/src680/apply (TemporaryHacks): OOo does not start when
	  svtools/source/fsstor/fsstorage.cxx is compiled with -Os with
	  gcc 4.1.2 20060913

2006-09-21  Giuseppe Ghib? <ghibo@mandriva.com>
	* patches/src680/office-cfg-vcl-chinese-fonts-i65097.diff: added
	  patch for Chinese (i#65097).
        * patches/src680/apply: use office-cfg-vcl-chinese-fonts-i65097.diff
	  instead of novell-cjk-fonts.diff (in MandrivaOnlyLinux target
	  for now).

2006-09-21  Robert Vojta  <robert@vojta.name>

	* doc/extra-localizations.txt: More details about GSI files

2006-09-21  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/apply: add xmlhelp-use-libxslt-from-system.diff to
	  NovellOnlyUnix; fixes problems with helpcontent on x86_64;
	  it is in the distro specific section because it breaks help without
	  system libxslt
	* distro-configs/SUSE-*.conf.in: use --with-system-libxslt

2006-09-21  Noel Power <noel.power@novell.com>

	* patches/src680/basic-dfltmethod-bug.diff: fix for i#69718, regression
	with default method handling.
	* patches/src680/apply:

2006-09-21  Radek Doulik  <rodo@novell.com>

	* doc/avmedia.txt: updated

	* patches/src680/apply: added gstreamer-avmedia-file-types.diff
	and gstreamer-svtools-content-types.diff, 1st one adds ogg and
	flac extensions to file selector filter. 2nd one adds ogg/vorbis
	and ogg/theora to known file types

2006-09-21  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbacombobox.[ch]xx: Add new ComboBox object & add
	controls ( well only comboboxes ) to the available symbols from 
	Worksheet
	* scratch/sc-vba/vbaworksheet.[ch]xx:
	* scratch/sc-vba/vbaworksheetsl.cxx:
	* scratch/sc-vba/makefile.mk:
	* scratch/offapi-vba/makefile.mk:
	* scratch/offapi-vba/XComboBox.idl:
	* patches/vba/offapi-org-openoffice-vba-makefile-mk.diff: scratch->patch
	sync
	* patches/vba/sc-source-ui-vba-makefile-mk.diff:
	* patches/vba/sc-source-ui-vba-vbaworksheet-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworksheet-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworksheets-cxx.diff:
	* patches/vba/offapi-org-openoffice-vba-xcombobox-idl.diff:
	* patches/vba/sc-source-ui-vba-vbacombobox-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbacombobox-hxx.diff:

2006-09-20  Tor Lillqvist  <tml@novell.com>

	* distro-configs/NovellWin32ISO.conf.in: Fix quoting.

2006-09-20  Petr Mladek  <pmladek@suse.cz>

	* configure.in: Default to ood680-m4

2006-09-20  Robert Vojta  <robert@vojta.name>

	* patches/src680/sc-r1c1.diff: Czech translation added
	* patches/src680/sc-insert-note-on-right-click.diff: Czech translation

2006-09-20  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-msi-patchability.diff: More hacking,
	this is still work in progress.
	(instsetoo_native/inc_ooolangpack/windows/msi_templates/codes.txt):
	Add product and upgrade codes for language packs for all languages
	listed in setup_native/source/win32/msi-encodinglist.txt. With the
	other changes in this diff, building language packs for languages
	with no code would otherwise fail. Use same order as in the
	msi-encodinglist.txt file. Not sure whether it is correct to use
	different codes for languages that are really the same, like pt
	and pt-PT or hi and hi-IN. But, as long as we consistently use
	only either one of such pairs, it shouldn't matter. Why such
	duplicates are even listed in msi-encodinglist.txt I don't know.
	(solenv/bin/modules/installer/windows/file.pm)
	(solenv/bin/modules/installer/windows/msiglobal.pm): Use
	Filesys::CygwinPaths::win32path() instead of running cygpath -w
	countless times. (#i69671)

2006-09-19  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-workbook-worksheet-events.diff: new patch file enables
	basic workbook_beforesave, workbook_open & worksheet_activate events
	* patches/src680/apply: add new patch file above

2006-09-19  Radek Doulik  <rodo@novell.com>

	* split avmedia/source/gstreamer/ patch to sever ones, each for
	one file, so that the changes are more transient.

	* gstplayer.cxx (processSyncMessage): set condition even if we
	weren't able to get video size - might be audio only stream
	(getPreferredPlayerWindowSize): init size to 0, 0 - in case we
	don't have video size, it will fallback to system media window
	content (some icon)

2006-09-18  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-msi-patchability.diff: New patch.
	Sets things up to enable using Windows Installer patch and upgrade
	functionality. Work in progress, to be continued.

2006-09-18  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbarange.cxx: some minor fixes
	* scratch/sc-vba/vbainterior.cxx:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff: scatch->patch sync
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:

2006-09-15  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/gentooexperimental-gnujre.diff: Undo changes of
	jvmfwk-gij-paths.diff. It breaks the build.
	* patches/src680/xalan-serializer-jar.diff: Add system serializer.jar to
	classpath, i#69026.

2006-09-10  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-configmgr.diff,
	* patches/src680/apply: kill configmgr bloat.

2006-09-14  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in:
	* patches/src680/apply: Update some Gentoo Bits

2006-09-11  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/sw-recursive-im.diff,
	  patches/src680/apply: remove sw-recursive-im.diff, it included in ood-m3

2006-09-09  Rene Engelhard  <rene@debian.org>

	* patches/src680//soffice-detect-mozilla-certificates.diff,
	  patches/src680/apply: patch soffice to find the mozilla
	  certificate dir

2006-09-08  Petr Mladek <pmladek@suse.cz>

	* configure.in: Default to ood680-m3

	* patches/mono/bridges-mono-uno-build-keyfile.diff,
	  patches/mono/mono-build-keyfile.diff, patches/src680/apply:
	  sign the output assembly using the key pair; it is needed to install
	  the versioned assemblies into the system Global Assembly Cache  (GAC)
	* configure.in, bin/ooinstall, bin/install-mono, bin/Makefile.am,
	  src/mono-ooo.pc.in, src/Makefile.am: install the .dll files into
	  the Global Assembly Cache

2006-09-08  Rene Engelhard  <rene@debian.org>

	* patches/src680/config_office-dbus-check.diff: make conditionalizing
	  (--disable-dbus) work and improve check by using PKG_CHECK_MDOULES.

2006-09-07  Petr Mladek <pmladek@suse.cz>

	* patches/src680/libxmlsec-system-nss.diff, patches/src680/apply:
	  fix build with system libnss installed apart from mozilla, i#69368;
	  required on SL10.1/SLED10 where the xulrunner-nss.pc is broken,
	  n#195272

	* distro-configs/SUSE-10.0.conf.in,
	  distro-configs/SUSE-10.1.conf.in,
	  distro-configs/SUSE-9.1.conf.in,
	  distro-configs/SUSE-9.2.conf.in,
	  distro-configs/SUSE-9.3.conf.in: disable gstreamer on older
	  distributions where gstreamer >= 0.10 is not available

2006-09-06  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbarange.cxx: latest changes to support Jodies bits
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff : scratch->patch sync

2006-09-06  Jody Goldberg <jody@gnome.org>

	* patches/src680/sc-r1c1.diff : update with extensions for VBA and
	  better error handling for external refs.
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff : minor tweaks to use
	  the new extensions.

2006-09-05  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: move_wrappers soffice wrapper

2006-09-05  Petr Mladek  <pmladek@suse.cz>

	* patches/evo2/evo2-evolution-data-server-1.8-soname.diff,
	  patches/src680/apply: adds soname of the module from
	  evolution-data-server-1.8, fixes the search order, so the recent
	  versions are preferred; Patch by Harish Krishnaswamy
	  <kharish@novell.com>; i#69291

2006-09-04  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/ubuntu-edgy-lpi.diff,
	patches/src680/ubuntu-no-stack-protector.diff,
	patches/src680/unxlngi6-notune.diff: New patches.
	* patches/src680/apply: New sections Ubuntu{Dapper,Edgy}Only.
	* patches/src680/apply: Remove DebianBaseNoHelpContent from
	the Ubuntu sections, fails at the installation step.
	* patches/src680/gcj-32bit-runtime-path.diff: Update.
	* configure.in: Add new patchsets.

2006-09-04  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/apply.: remove sfx2-docfile-newfilesave.diff

2006-09-04  Noel Power <noel.power@novell.com>

	* patches/vba/cws-npower3.diff: seems to fix the saveas error, changed
	the logic in NeedsBinPasswdLibWarning ( now is the same as 
	ImplGetSignatureState ) it now checks GetMedium()->GetName().Len() 

2006-09-04  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/gnujre-searchpath-java.home-property.diff,
	  patches/src680/apply: Add java.home property to gnujre searchpath,
	i#68665.

2006-09-04  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/sfx2-docfile-newfilesave.diff: For error new file save.
	* patches/src680/apply.: add sfx2-docfile-newfilesave.diff

2006-09-04  Radek Doulik  <rodo@novell.com>

	* patches/gstreamer/gstreamer-avmedia-source-gstreamer.diff: use
	pow instead of non portable pow10, suggested by NAKATA Maho.

2006-09-03  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-libc.diff: add missing soltools piece

2006-09-03  Rene Engelhard  <rene@debian.org>

	* patches/src680/debian-dictionary.diff: update for dokos dictionary
	  changes...

2006-09-01  Andreas Proschofsky  <suka@gentoo.org>

	* bin/unpack: Stuff that gets downloaded should always be
	referenced with $SRCDIR and not with $TOOLSDIR/src otherwise
	we break the possibility of using --with-srcdir

2006-08-31  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: don't try to mv classes/ when it doesn't exist
	  (no-Java build)

2006-08-31  Petr Mladek  <pmladek@suse.cz>

	* Version ood680-m2 (openSUSE-alpha4plus)

	* bin/package-ooo: /usr/bin/soffice symlink is necessary by java UNO
	  components to find the UNO installation using $PATH, see
	  http://udk.openoffice.org/common/man/spec/transparentofficecomponents.html

2006-08-31  Radek Doulik  <rodo@novell.com>

	* updated gstreamer avmedia source patch

2006-08-31  Noel Power <noel.power@novell.com>

	* patches/scratch/vbarange.cxx: fix for sorting bug.
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:

2006-08-31  Rene Engelhard  <rene@debian.org>

	* configure.in: only try to copy unowinreg.dll on Java builds

2006-08-30  Radek Doulik  <rodo@novell.com>

	* build/ood680-m1/avmedia/source/viewer/mediawindow_impl.cxx
	(onURLChanged): test for pSystemData->aWindow in case of
	GSTREAMER. this fixes problem with mediawindow not created

2006-08-30  Noel Power <noel.power@novell.com>

	* patches/vba/basic-newsize-image-layout.diff: removed
	* patches/vba/cws-npower3.diff: added
	* patches/src680/apply: Changed to reflect the modifications above
	* Changelog: correct wrong date on my last patch

2006-08-30  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-stlport5.diff: s/long double/double/

2006-08-30  Jiao Jianhua <jjiao@novell.com>

	* patches/src680/sw-inline-edit.diff: Improve input field dialog.
	  This patch ceated by Zhang Yun  <mypersonal1971@gmail.com>.
	* patches/src680/apply: add sw-inline-edit.diff 

2006-08-30  Jiao Jianhua <jjiao@novell.com>

	* patches/src680/size-thread-stack.diff: Add an function 
	  osl_createSuspendedThreadWithStack for sync reason,
	  and to repalce osl_createSuspendedThread.

2006-08-29  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbafont.cxx: detect special case colorindex = 0 for
	default
	* scratch/sc-vba/vbainterior.cxx:
	* scratch/sc-vba/vbaborders.cxx:
	* patches/vba/sc-source-ui-vba-vbaborders-cxx.diff: scratch->patch 
	* patches/vba/sc-source-ui-vba-vbafont-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:

2006-08-29  Tor Lillqvist  <tml@novell.com>

	* download.in (download_files): Don't put empty strings into
	@files. Write the list of files for the current build to
	download.list.

	* bin/make-win32-iso: Use download.list instead of hardcoding the
	list here. Don't put the non-redistributable files in the source
	ISO, though.

	* patches/src680/win32-build-fixes.diff (solenv/inc/postset.mk):
	Update for ood680-m2.

2006-08-29  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply, patches/src680/lfs.diff: build with
	  -D_FILE_OFFSET_BITS=64 if wanted/possible/needed

2006-08-29  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/ubuntu-lpi.diff: Update for 2.0.4.
	* patches/src680/apply: Move corporate-dictionary.diff from
	LockDown to NovellOnly.
	* patches/src680/ubuntu-dictionary.diff: Update for 2.0.4.
	* scratch/buildbot/buildbot-0.7.3/buildbot/__init__.pyc,
	buildbot/buildbot-source/buildbot/__init__.pyc: Remove.

2006-08-29  Tor Lillqvist  <tml@novell.com>

	* bin/Makefile.am (script_files): Add make-win32-iso.

2006-08-28  Tor Lillqvist  <tml@novell.com>

	* bin/make-win32-iso: Further work. Now it actually produces the
	installer and source ISOs. Could use some more work, for instance
	it would be nice if the list of tarballs that was downloaded by
	the download script was saved somewhere. Now I have the current
	list for Win32 duplicated here (sans the stuff that presumably
	can't be redistributed).

2006-08-28  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbfont.[ch]xx: make Font object return null if for an
	attribute of that object every cell in the range does not have the
	same value
	* scratch/sc-vba/vbahelper.[ch]xx:
	* scratch/sc-vba/vbarange.[ch]xx:
	* scratch/offapi-vba/XFont.idl:
	* patches/vba/offapi-org-openoffice-vba-xfont-idl.diff:
	* patches/vba/sc-source-ui-vba-vbafont-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbafont-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbahelper-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbahelper-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-08-28  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-stlport5.diff: Revert last change.
	* patches/src680/size-vcl-fontcfg.diff: Fix for STLport5.

2006-08-28  Petr Mladek  <pmladek@suse.cz>

	* configure.in: Default to ood680-m2.

2006-08-28  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-registry-branding.diff: Use a
	Novell-specific *key* pathname (with "Novell" as a component) as
	that is what the Novell ZAM people want. Not just a *value*
	containing the vendor. Unfortunately this means this patch now
	hardcodes "Novell" but upstream doesn't seem to be particularily
	interested in this class of functionality anyway.

	It would be possible to use the OOO_VENDOR string as subkey
	pathname component by adding handling of appropriate metasyntax to
	installer::windows::registry::get_registry_key, but that is a bit
	messy as that string typically contains punctuation (for us,
	"Novell, Inc."), and using such in Registry key pathnames is
	highly unusual. So we would need another configure option,
	--with-vendor-clean or whatever, and pass just "Novell" for that.

2006-08-28  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-stlport5.diff: ood680-m2 update.
	* patches/src680/gentooexperimental-gnujre.diff: GentooExperimental
	Gnu JRE paths.

2006-08-27  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/disable-external.diff: Bin hack.

	* scratch/scsolver/source/numeric/cellfuncobj.cxx,
	  patches/scsolver/scsolver-source-numeric-cellfuncobj-cxx.diff:
	Buildfix; #include <stdio.h>

	* patches/src680/size-filter-props.diff: Another buildfix.

2006-08-27  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-32bit-runtime-path.diff: remove gcj/libgcj path
	  changes
	* patches/src680/jvmfwk-gij-paths.diff: add here
	* patches/src680/aply: add above, remove jvmfwk-gij-4.1.diff

2006-08-26  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-32bit-runtime-path.diff: allow /gcj-4.1/libjvm.so
	* patches/src680/cws-ause064-external-glibc.diff: remove two
	  file removal hunks since they make problems...

2006-08-26  Rene Engelhard  <rene@debian.org>

	* patches/src680/cws-ause064-external-glibc.diff: add (most)
	  external/glibc parts of cws ause064 to ...
	* patches/src680/system-libc.diff: ... make this patch for using of
	  getopt() and readdir_r() from system libc possible
	* patches/src680/apply: apply above

2006-08-26  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-framework-xml.diff,
	* patches/src680/apply: more memory saved.

2006-08-25  Rene Engelhard  <rene@debian.org>

	* bin/unpack: do not copy the rhino patch into the source for >= m2
	  since cws misclic got integrated

2006-08-25  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/recovery-disabled-crashreporter-localize-ood680-m1.diff,
	  patches/src680/recovery-disabled-crashreporter-localize.diff,
	  patches/src680/apply: port for ood680-m2

2006-08-25  Michael Leibowitz <michael.leibowitz@intel.com>

	* buildbot: add buildbot stuff on behalf of pmadhav

2006-08-25  Michael Leibowitz <michael.leibowitz@intel.com>

	* scratch/configdbbe: nuke a bunch of outdated garbage

2006-08-25  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: ood680-m2 support.

2006-08-24  Noel Power <noel.power@novell.com>

	* patches/vba/vba-basic-default.diff: needed to remove gaurds around
	getDefaultProp method to allow other code ( using runtime vbaenabled 
	switch ) to compile when ENABLE_VBA is NO 	

2006-08-24  Noel Power <noel.power@novell.com>

	* patches/src680/apply: changed order of patch ( dependecy :-( )
	* patches/vba/vba-basic-default.diff: 
		* modified  SbiRuntime::StepSET_Impl logic also added new pcode 
			_VBASETCLASS	to distinguish between a set and assignment, 
			previously these were treated the same. 
		* removed the ifdef ENABLE_VBA gaurds as it was too hard to read the
		code, now the code is protected/switched by the runtime check

2006-08-25  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-registry-branding.diff: New patch to
	add vendor and build identification information to the Registry,
	too. (n#191913)
	(scp2/source/ooo/registryitem_ooo.scp): Add Vendor, PackageVersion
	and BuildVersion values under
	HKLM\Sotware\OpenOffice.org\OpenOffice.org\2.0.
	(solenv/bin/modules/installer/windows/registry.pm): Handle the
	above, expand as OOO_VENDOR, OOO_PACKAGEVERSION and
	BUILD_VER_STRING.

	* patches/src680/apply: Add above patch to NovellOnlyWin32.

2006-08-25  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply, patches/apply.pl
	(print_statistic_no_issue): ignore patches with owner
	'^cws-.*', and annotate back-ports.

	* patches/test/sc-postit.diff: yet more work - mostly on
	intractable cross-document note cut/paste bug.

2006-08-24  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply :
	- Move
	    gui-sc-delete.diff
	    warning-uninitialized-variables-sc.diff
	    zoom-combobox.diff
	    sc-iteration.diff
	    sc-paste-dialog.diff
	    sc-paste-redraw.diff
	    sc-without-stlport.diff
	    gcc4-visibility-sc.diff
	  into CalcFixes
	- delete excel-a1-style-column-addressing.diff because it has been
	    subsumed into
	- the updated sc-r1c1.diff which moved after sc-get-pivot-data.diff
	  Know regression in TestAddress.xls "Columns('a')" is invalid, added
	  hook for Col/Row only parser ScRange::ParseCols/ParseRows (TODO)
	  Some ui/compiler fixes for r1c1 (eg pos in r1c1 should use abs pos)

	* patches/src680/sc-r1c1.diff : massive update to include XL style A1,
	  and add XL workbook/sheet name parsing and formating.  Prep to
	  split out ui for er.

	* patches/vba/excel-a1-style-column-addressing.diff : delete

2006-08-24  Rene Engelhard  <rene@debian.org>

	* patches/gstreamer/gstreamer-avmedia.diff: add pieces to use
	  SystemChildWindow instead of JavaChildWindow, we don't need Java
	  when we use GStreamer and JavaChildWindow makes problems

2006-08-24  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-filter-props.diff,
	* patches/src680/apply: another 140k.

2006-08-24  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	  bin/unpack: Improve ccache-enabled builds (between milestones).

2006-08-24  Tor Lillqvist  <tml@novell.com>

	* patches/src680/size-thread-stack.diff
	(sal/osl/unx/thread.c sal/inc/osl/thread.h): Change the nFrames
	parameter of osl_createThreadWithStack() to signed.
	(sal/osl/w32/thread.c): Add nFrames parameter to the internal
	thread creation function here, too, and pass stack size in bytes
	on to _beginthreadex(). Adapt callers. Add Win32 implementation of
	osl_createThreadWithStack().

2006-08-24  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: fix patches annotatations ( get rid of 
	i#ixxxx issues )

2006-08-24  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: annotate patches 

2006-08-24  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in: Remove the splash entry,
	we handle that in our own ebuild now

2006-08-23  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/size-vcl-fontcfg.diff,
	* patches/src680/apply: another few 100k

	* patches/src680/size-thread-stack.diff,
	* patches/src680/size-cppuhelper.diff,
	* patches/src680/size-vcl-gcache.diff,
	* patches/src680/apply: shrink apparent & real memory use,
	saves a few hundreds of kb.

2006-08-23  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: uses-vfs.diff moved to [FixesNotForUpstream].

2006-08-23  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-use-short-tmp.diff: New patch to take care
	of the problem with too long lines being in ddf files.
	(config_office/configure.in): If $TMP or $TEMP is longer than a
	relatively arbitrary limit of 10 chars, try to use c:\tmp instead.
	(config_office/set_soenv.in): Set TMP and TEMP if necessary.

	* patches/src680/apply: Add it to BuildBits.

2006-08-23  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/dbase-utf8.diff: Update for fixing werstein charactor

2006-08-23  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sal-string-instrument.diff: allow dump of
	ustring table.

	* patches/test/memprof-nptl.diff: bin: up-stream now.

2006-08-23  Petr Mladek  <pmladek@suse.cz>

	* Version ood680-m1 (openSUSE-alpha4)

2006-08-23  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: export
	latest multi-area bits in scratch/*-vba to patches
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-08-23  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/dbase-utf8.diff: Update for coding

2006-08-22  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/fontconfig-substitute.diff: Update for ENABLE_FONTCONFIG

2006-08-22  Petr Mladek  <pmladek@suse.cz>

	* configure.in, patches/Makefile.am, patches/gstreamer/Makefile.am:
	  gstreamer patches to be in the released ooo-build tarball

2006-08-22  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/kde-nwf-cleanup.diff: Remove the ugly
	  #define private public.

2006-08-22  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: filled SectionIssue for gstreamer
	integration

2006-08-22  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/dbase-utf8.diff: Throw an exception for lenght exceed. 
	* patches/src680/apply: Update dbase-utf8.diff  

2006-08-22  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/native-HelpLinker-use-system-libs.diff: Do not copy
	system jar.so's into OOo tree.
	* patches/src680/readlicense_oo-xml-apis.diff,
	  patches/src680/apply: Buildfix for some JDKs, i#68790

2006-08-22  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/dbaccess-default-varchar-lenght.diff: Add for set 
	default varchar lenght to 100 in dbaccess.
	* patches/src680/apply: added dbaccess-default-varchar-lenght.diff 

2006-08-22  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: disable
	remove-default-multimedia-menu.diff, so that it is possible to
	insert media files

2006-08-21  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/i18npool-chinese-char-dic.diff: Add for tanslation 
      between Simplified Chinese and Traditional Chinese. correct replace table.
	* patches/src680/apply: added i18npool-chinese-char-dic.diff 

2006-08-21  Rene Engelhard  <rene@debian.org>

	* patches/gstreamer/gstreamer-config-office.diff: remove wrong comma

2006-08-21  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-32bit-runtime-path.diff: remove obsolete hunk
	  again to make it apply again.
	  Try to port to 2.0.4 which has no /lib,/lib64 etc anymore in ar[]

2006-08-21  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/sw-recursive-im.diff: For IM crashed from Caolan
	* patches/src680/apply: added sw-recursive-im.diff 

2006-08-21  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/fontconfig-substitute.diff: Update for
	remove CJK font name convert (Localized <-> English).  
    * patches/src680/localized-fontname.diff: correct Localized <-> English.
    * patches/src680/apply: Add localized-fontname.diff

2006-08-21  Tor Lillqvist  <tml@novell.com>

	* patches/gstreamer/gstreamer-avmedia-source-gstreamer.diff
	(avmedia/source/gstreamer/makefile.mk): Bypass unless
	ENABLE_GSTREAMER.

	* patches/src680/apply: Move fontconfig-substitute.diff to
	LinuxOnly for now, as it breaks build on Win32.

2006-08-21  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: added gstreamer to PATCHPATH

2006-08-21  Tor Lillqvist  <tml@novell.com>

	* scratch/scsolver/source/tool/timer.cxx
	* patches/scsolver/scsolver-source-tool-timer-cxx.diff: Implement
	getTime() on Win32.

2006-08-21  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: enabled GStreamer patches, added forgotten
	slideshow patch part

2006-08-20  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/fontconfig-substitute.diff: Update for
	CJK font name convert (Localized <-> English).  
    CJK charactor check update.

2006-08-20  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/gcj-32bit-runtime-path.diff: Update for
	new/changed libgcj sonames.

2006-08-20  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/src680/apply:
	* patches/scsolver/*.diff: re-gen'ed.

2006-08-19  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/gnome2.16-no-bonobo.diff: New.
	* patches/src680/apply: Apply for UbuntuOnly.

2006-08-19  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply (GStreamer): remove; was a local change
	  forgotten to revert, let rodo add it to apply when it is ready for
	  doing so

2006-08-19  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply, patches/src680/ooqstart-etc-openoffice-sofficerc.diff:
	  (DebianBaseOnly): our <ooodir>/program/sofficerc contains referrals
	  to /etc/openoffice/sofficerc which are not yet handled; hardcode the
	  path for now as temporary hack
	* patches/src680/apply, patches/src680/std-mk-no-unowinreg-dll.diff:
	  remove

2006-08-18  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply (GStreamer): rodo owns this,
	sort out some other owners too.

	* patches/src680/sw-sort-fix.diff: fix numeric fields with
	date / complex formatting etc.

2006-08-18  Petr Mladek  <pmladek@suse.cz>

	* ooo-build/configure.in, ooo-build/download.in, ooo-build/bin/unpack,
	  ooo-build/bin/setup.in: use prebuilt unowinreg.dll on Linux when
	  odk is enabled and --with-mingwin is not set

2006-08-18  Rene Engelhard  <rene@debian.org>

	* distro-configs/Debian*conf.in: remove --with-mingwin= again, now
	  done in debian/rules
	* patches/src680/fontconfig-substitute.diff: remove stuff which
	  obviously accidentially went into this diff (dbus, nas xorg7, ..)

2006-08-18  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/apply: move fontconfig-substitute.diff to TemparyHacks
      upate it for cjk charactor check and using default font in VCL.xcu

2006-08-18  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: remove ooqstart-*

2006-08-18  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/unxsplash-desktop-unx-source.diff:
	  - fixed (my) bitmap reading stupidity in splashx.c
	  - fork first, then take care of the splash
	  - read settings from sofficerc

2006-08-18  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sw-sort-fix.diff,
	* patches/src680/apply: fix sorting silly: i#68769, n#200102

	* doc/startup.txt: some startup strace -ttt analyis notes.

2006-08-18  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: pmladek04 integrated

2006-08-18  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-vrb-branding.diff: New patch to
	change the company names in Win32 .EXE and .DLL version resources,
	and to use version numbers more informative to end-users. (n#191913)
	(config_office/configure.in): Look up the OO.o version number from
	instsetoo_native/util/openoffice.lst, and AC_SUBST it and its
	components.
	(config_office/set_soenv.in): Propagate OOO_PACKAGEVERSION,
	OOO_PACKAGEVERSION_MAJOR, _MINOR and _MICRO to the environment.
	(solenv/inc/tg_app.mk solenv/inc/_tg_app.mk solenv/inc_tg_shl.mk)
	(solenv/inc/_tg_shl.mk): Propagate them to the .rc files.
	(desktop/util/ooverinfo.rc solenv/inc/shlinfo.rc): Use them for
	the binary file and string file and product version
	information. Use Novell instead of Sun Microsystems as
	CompanyName, but not LegalCopyright.

	* patches/src680/apply: Add the above patch to
	NovellOnlyWin32. Add NovellWin32ISO distro (identical to
	NovellWin32 patch-wise).
	
	* bin/make-win32-iso: Make use of the OOO_PACKAGEVERSION from
	winenv.set.sh. Even if what we want is the multilingual installer,
	we must have also openoffice_en-US first as a separate target on
	the ALLTAR line in instsetoo_native/util/makefile.mk. Otherwise
	the hack_msitemplates target won't get built.

2006-08-17  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-32bit-runtime-path.diff: remove obsolete hunk

2006-08-17  Michael Meeks  <michael.meeks@novell.com>

	* doc/postit.txt, patches/test/sc-postit.diff: finally
	starting to work quite well.

2006-08-17  Radek Doulik  <rodo@novell.com>

	* added gstreamer-avmedia-source-gstreamer.diff, contains files
	from scratch gstreamer/avmedia/gstreamer directory

	* build/ood680-m1/slideshow/source/engine/viewmediashape.cxx: pass
	xwindow id to gstreamer avmedia backend, recognize cairo canvas
	and use vcl based aproach. use SystemChildWindow instead of
	JavaChildWindow if gstreamer is used

2006-08-16  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Owners for issues that did not have one.

2006-08-16  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/vcl-gnome-screensaver-poke.diff: use
	  dbus_connection_close instead of dbus_connection_disconnect;
	  the old one was deprecated since dbus-1-0.34 and has been
	  removed in dbus-1-0.90

	* bin/cws-commit-patch: update help; add note that the default MWS
	  should be changed with care

2006-08-17  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: preliminary ood680-m2 stuff, configure19
	  integrated.
	* patches/src680/jvmfwk-gij-4.0.diff: remove ...
	* patches/src680/jvmfwk-gij-4.1.diff: and add this ...
	* patches/src680/apply: and apply the new patch

2006-08-17  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/native-HelpLinker-use-system-libs.diff: Fix warning.
	Use .jar.so's from system.
	* patches/src680/apply: Drop GCJExperimental section. Rename
	SystemJavaBitsWorkaround to GCJWorkaround.

2006-08-17  Radek Doulik  <rodo@novell.com>

	* build/src680-m176/avmedia/source/viewer/mediawindow_impl.cxx
	(MediaWindowControl): pass xwindow id to gstreamer avmedia backend
	(gstreamer-avmedia.diff)

	* patches/gstreamer: added gstreamer-config-office.diff patch,
	allows diabling/enabling of gstreamer in configure.in, enabled by
	default. added gstreamer-solenv.diff - takes care about
	-DGSTREAMER, modified all the patches to use -DGSTREAMER

2006-08-17  Tor Lillqvist  <tml@novell.com>

	* distro-configs/NovellWin32ISO.conf.in: New file.

	* configure.in: Define Automake conditional BUILD_WIN32. Expand
	distro-configs/NovellWin32ISO.conf.

	* bin/make-win32-iso: New script to construct Win32 installer and
	source code ISOs. Intermediate commit, not finished yet.

	* Makefile.shared: On Win32 invoke the above script for "make
	install".

2006-08-16  Petr Mladek  <pmladek@suse.cz>

	* bin/cws-commit-patch, bin/cws-extract: add -w|--mws option to define
	  another master workspace

	* patches/src680/buildfix-vcl-with-libsn-GetX11SalData.diff,
	  patches/src680/apply: fixes build with libsn; fixes forgotten
	  location after the change SalData -> X11SalData, i#68668

	* configure.in: Default to ood680-m1.

	* patches/src680/speed-image.diff,
	  patches/src680/speed-quickstart.diff,
	  download.in: Update for ood680-m1

	* patches/src680/build-optimized-link-m180.diff,
	  patches/src680/buildfix-cli_ure.diff,
	  patches/src680/buildfix-nojava-scp2.diff,
	  patches/src680/buildfix-qadevOOo.diff,
	  patches/src680/buildfix-slideshow.diff,
	  patches/src680/buildfix-testshl2.diff,
	  patches/src680/buildfix-tools.diff,
	  patches/src680/crash-sd-spellcheck.diff,
	  patches/src680/cws-kdesettings3.diff,
	  patches/src680/default-no-registration-menu-m180.diff,
	  patches/src680/fsstorage.diff,
	  patches/src680/jvmfwk-setup-gij.diff,
	  patches/src680/recently-used.diff,
	  patches/src680/sfx2-title-generic-url.diff,
	  patches/src680/sw-ww8-redlining.diff,
	  patches/src680/system-agg-2.4.diff,
	  patches/src680/without-agg.diff,
	  patches/src680/zoom-combobox-m180.diff,
	  patches/vba/basic-scriptframework-byref.diff,
	  patches/vba/vba-tokennames-as-defaultparams.diff,
	  patches/src680/apply: Remove older than ood680-m1.

2006-08-16  Michael Meeks  <michael.meeks@novell.com>

	* doc/postit.txt, patches/test/sc-postit.diff: more work,
	more work required.

	* patches/src680/sc-size-fillinfo.hxx, 
	* patches/src680/apply: simple shrink of base FillInfo
	by using bitfields.

2006-08-16  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: more multi-
	area support get/setWrapText, EntireRow, EntireColumn
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* scratch/sc-vba/vbaranage.[ch]xx:
	* scratch/offapi-vba/XRange.idl:

2006-08-15  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/ibm-j9vm.diff: Use IBM j9vm over IBM classic JVM. See
	https://bugs.gentoo.org/show_bug.cgi?id=143217

2006-08-15  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-quickstart-eggtray-transparent.diff,
	* patches/src680/speed-quickstart-transparent.diff,
	* patches/src680/apply: a number of systray fixes.

2006-08-15  Petr Mladek  <pmladek@suse.cz>

	* distro-configs/Common.conf.in, distro-configs/CommonWin32.conf.in,
	  distro-configs/SUSE*conf.in: move --with-use-shell=bash to
	  Common.conf.in

2006-08-15  Tor Lillqvist  <tml@novell.com>

	* configure.in: On Win32 automatically do --enable-binfilter.

2006-08-15  Noel Power <noel.power@noel.power.org>

	* patches/src680/apply: add new vba-cellsuno-numformat-support.diff
	which allows me to get the SfxItemSet associated with a range but
	in this case a SfxItemSet that hasn't ClearInvalidItems() applied to
	it.
	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: make 
	numformat attribute be a variant instead of string
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff: various bits to	
	make numformat property work correctly
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* scratch/sc-vba/vbarange.[ch]xx:
	* scratch/offapi-vba/XRange.idl:

2006-08-14  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply :
	    - Add sc-xls-builtin-name-scope.diff
	    - Add sc-natural-sort.diff
	    - Re-enable sc-dp-hash-items.diff

2006-08-15  Rene Engelhard  <rene@debian.org>

	* patches/src680/libso3_gcc4_visibility_markup.diff:
	  add SO3_DLLPUBLIC for MakeLnkName(), otherwise bf_sw link fails

2006-08-15  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Move SpeedImageList to Common, it works
	also on Win32.

2006-08-14  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/sal-architecture-independent-clock-ticks.diff,
	  patches/src680/apply: HZ will no longer be defined by glibc because
	  the value is architecture dependent. sysconf(_SC_CLK_TCK) must be
	  used instead, i#68616

2006-08-14  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/native-HelpLinker-use-system-libs.diff: Build libraries
	for xml-apis.jar and xercesImpl.jar from system. Reduce build time for
	module helpcontent2 to a third with native HelpLinker. At least here.

2006-08-14  Petr Mladek  <pmladek@suse.cz>

	* po/POTFILES.in, po/*.po, desktop/Makefile.am, configure.in: use
	  .in.in files in the .po files, so the automatic checks by
	  Marcel Telka <marcel@telka.sk> do not longer complain

2006-08-14  Tor Lillqvist  <tml@novell.com>

	* distro-configs/CommonWin32.conf.in: Use --with-use-shell=bash.

2006-08-14  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Move libso3_gcc4_visibility_markup.diff
	from LinuxOnly to Fixes, it applies on Win32, too, and doesn't
	seem to have any ill effects. Keep the order of diffs in the file
	to avoid unintentional breakage.

2006-08-14  Tor Lillqvist  <tml@novell.com>

	* patches/src680/about-build-ver-readability.diff: New patch: Make
	the BUILD_VER_STRING display in the Help:About dialog more
	readable: Don't scale the font size by 0.75. (i#68590)

	* patches/src680/apply: Include it in the NotDebian set, as Rene
	doesn't like it.

2006-08-14  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/svtools-R_X86_64_PC32.diff: Bin.

2006-08-11  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-postit.diff: drastic re-work, (partial)
	of post-it stuff, compiles, runs, doesn't work.

2006-08-11  Tor Lillqvist  <tml@novell.com>

	* patches/src680/libso3_gcc4_visibility_markup.diff: Make it work
	on Win32, too. Well, at least build without errors.
	(so3/inc/soimpl.hxx): Don't add SO3_DLLPUBLIC and SO3_DLLPRIVATE
	decorations to the JobSetupWrapper class. It causes unresolved
	externals errors. There is no implementation of this class as far
	as I can see, and it doesn't seem to be used anywhere either.
	(so3/source/data/makefile.mk so3/source/dialog/makefile.mk)
	(so3/source/inplace/makefile.mk so3/source/misc/makefile.mk)
	(so3/source/ole/makefile.mk so3/source/persist/makefile.mk)
	(so3/source/solink/makefile.mk): Include so3/util/makefile.pmk
	after the other .mk files, so that its variable settings actually
	are effective. Otherwise settings.mk will reset the CDEFS. The
	flag SO3_DLLIMPLEMENTATION that is added to CDEFS in
	so3/util/makefile.pmk is essential when building the so3 DLL on
	Win32.

2006-08-11  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-basic-default.diff: fix core when using concat 
	{ and other arithmetic operators } on objects that have a 'default' 
	value
	* tests/macro/MiscRangeTest.xls: added a regression test in there for
	the core

2006-08-10  Tor Lillqvist  <tml@novell.com>

	* patches/src680/warning-implicit-declaration-soltools.diff: Don't
	include <unistd.h> on WIN32.

2006-08-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/unxsplash-desktop-unx-source.diff,
	  patches/src680/apply: Use the same pipe name as the up-stream OOo.

	* patches/src680/speed-splash-ipc-name.diff: Bin.

2006-08-10  Michael Meeks  <michael.meeks@novell.com>

	* bin/svn-pack (rewrite_entries, setup_entry),
	(find_emit_entry): edit .svn/entries to fool svn
	wrt. missing files & dirs eg. localize.sdfs (commonly)
	Append `svn cleanup` at the end to do the inode
	wasteage.

2006-08-10  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680//buildfix-nojava-scp2.diff: fix --without-java build

2006-08-09  Rene Engelhard  <rene@debian.org>

	* patches/src680/odk-remove-non-free.diff: m181

2006-08-09  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to m181.

2006-08-09  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: added fix for n#197859, it has 2 parts,
	1st one for vcl, where we add size information to bitmap system
	data. 2nd for cairo canvas, where we check that available pixmap
	from vcl has the size we need

2006-08-09  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/build-optimized-link-m180.diff,
	  patches/src680/build-optimized-link.diff,
	  patches/src680/default-no-registration-menu-m180.diff,
	  patches/src680/default-no-registration-menu.diff,
	  patches/src680/zoom-combobox-m180.diff,
	  patches/src680/zoom-combobox.diff,
	  patches/src680/apply: m181 support.

	* patches/src680/buildfix-configurein.diff,
	  patches/src680/apply: Fix configure check for the KDE version.

2006-08-09  Petr Mladek  <pmladek@suse.cz>

	* ooo-build/src/openabout_suse.bmp, ooo-build/src/openintro_suse.bmp,
	  ooo-build/src/Makefile.am: remove more unused files

	* distro-configs/SUSE-10.0.conf.in, distro-configs/SUSE-10.1.conf.in
	  distro-configs/SUSE-64.conf.in, distro-configs/SUSE-9.1.conf.in
	  distro-configs/SUSE-9.2.conf.in, distro-configs/SUSE-9.3.conf.in
	  distro-configs/SUSE-PPC.conf.in, distro-configs/SUSE.conf.in:
	  remove --with-intro-bitmaps and --with-about-bitmaps stuff. It is
	  in the spec file now. Use --with-use-shell=bash.
	* ooo-build/src/openabout_suse.png, ooo-build/src/Makefile.am: remove
	  the unused file.

	* patches/src680/warning-implicit-declaration-soltools.diff,
	  patches/src680/apply: fixes implicit declaration of functions that
	  use their correct prototypes to allow the lightweight buffer overflow
	  checking to work, see -D_FORTIFY_SOURCE, i#68295

2006-08-09  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/vcl-glyphs-cjk-embolden.diff: Correct patch to m180.

2006-08-09  Tor Lillqvist  <tml@novell.com>

	* patches/src680/cygwin-make-ver.diff: Correct path to configure.in.

2006-08-09 Rajesh Sola <rajesh@lisor.org> 

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: new Worksheet
	property for Range
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* scratch/offapi-vba/XRange.idl:
	* scratch/sc-vba/vbarange.[ch]xx:

2006-08-09  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply: move printer-properties
	patch into NotDebian section & re-enable.

	* patches/src680/cywin-make-ver.diff,
	* patches/src680/apply: nasty check for cygwin foo.

2006-08-08  Rene Engelhard  <rene@debian.org>

        * patches/src680/apply: disable printer-properties-disable.diff, see
          http://bugs.debian.org/353595

2006-08-08  Noel Power  <noel.power@novell.com>
	
	* patches/src680/tool-ooidlbuild.diff: removed
	* patches/src680/apply: added 
	* patches/src680/makefile-idl-build.diff: new patch file to add idl
	target to top-level makefile

2006-08-08  Noel Power  <noel.power@novell.com>

	* patches/src680/vba/sc-source-ui-vba-vbarange-[ch]xx.diff: some changes
	to ColumWidth/Width RowHeight/Height properties code to use calc core
	directly instead of uno in an attempt to get more precision/reliablity.
	also some supporting code changes for Address and Range to handle
	"SheetName!" in a Range address.
	* scratch/sc-vba/vbarange.[ch]xx: ditto 

2006-08-08  Rene Engelhard  <rene@debian.org>

	* configure.in: ooo1.1.spec also needs to be removed here

2006-08-07  Tor Lillqvist  <tml@novell.com>

	* patches/src680/speed-quickstart.diff: Small fix so we don't try
	to compile the Unix bits on Win32.

	* patches/src680/apply: Put system-icu.diff in BuildBits instead
	of SystemBits (which is Linux-only) so it gets applied also on
	Win32. Not that we ever use any "system" ICU on Win32, but to
	avoid pain as intros-scp2.diff depends on this one having been
	applied.

2006-08-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-quickstart.diff,
	* patches/src680/apply: re-factor to work
	on Win32 nicely (QuickStartTray): enable on
	win32 too.

2006-08-07  Tor Lillqvist  <tml@novell.com>

	* patches/src680/build-identification.diff: New file.

	Patches scp2/source/ooo/profileitem_ooo.scp and
	solenv/bin/modules/installer/scriptitems.pm to add two new lines
	to .versionrc (version.ini on Windows): Vendor with the value of
	OOO_VENDOR, and BuildVersion with the value of
	BUILD_VER_STRING. These get their values from the --with-vendor
	and --with-build-version switches to the OOo configure.in.

	* patches/src680/apply: Add it to BuildBits.

2006-08-07  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: cws thbpp4 is integrated in m181

2006-08-07  Radek Doulik  <rodo@novell.com>

	* patches/gstreamer: added avmedia patch

	* patches/gstreamer: new directory for gstreamer patches, added
	scp2, sd and slideshow patches

2006-08-07  Matthias Klose  <doko@ubuntu.com>

	* distro-configs/Ubuntu*.in: Remove --with-{about,intro-bitmaps}
	* src/openabout_ubuntu.bmp, src/openabout_ubuntu.png,
	src/openintro_ubuntu.bmp: Remove.

2006-08-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-insensitive-menuitems.diff,
	* patches/src680/apply: remove up-stream,
	disable nfs-flock for now: apparently 'fixed'
	up-stream, not that convinced personally.
	Adjust some issues & owners.

	* src/*kde*.png/bmp, src/*redhat*.png/bmp,
	* src/Makefile.am: prune cruft.

	* ooo1.1.spec*, src/file-bug*.png: clean cruft.

2006-08-07  Adam Go??biowski  <adamg@pld-linux.org>

	* patches/src680/solenv-unxlngi4-link.diff,
	* patches/src680/sfx2-badscript.diff,
	* patches/src680/apply: fix PLD build.

2006-08-07  Michael Meeks  <michael.meeks@novell.com>

	* src/*qi*.png/bmp
	* src/*pld*.png/bmp
	* src/*dropline*.png/bmp
	* src/*mandriva*.png/bmp
	* src/*translateorgza*.png/bmp
	* patches/src680/translate-org-za-splash.diff,
	* patches/src680/dropline-gnome-splash.diff,
	* patches/src680/mandriva-splash.diff,
	* patches/src680/qilinux-splash.diff,
	* patches/src680/pld-splash.diff,
	* patches/src680/apply: kill stale splash patches,
	please put artwork in your up-stream package,
	and add the .spec file and use the
	--with-*-bitmap/--with-vendor system.
	If you lost your splash/about images - update -r to
	the tag to recover them:

	* Tag: BEFORE_SPLASH_PRUNE

2006-08-06  Noel Power  <noel.power@novell.com>

	* patches/vba/excel-a1-style-column-addressing.diff: swap range address
	 sheet seperator tokens based on addressing scheme.

2006-08-05  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/apply: Add Ubuntu{Dapper,Edgy}{,64}.
	* distro-configs/Ubuntu{Dapper,Edgy}{,64}.in: New.

2006-08-04  Rene Engelhard  <rene@debian.org>

        * patches/src680/system-xmlsec.diff: PKG_CONFIG_MODULES=xmlsec1-nss

2006-08-04  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: uri-encode now also belongs into -core

2006-08-04  Michael Meeks  <michael.meeks@novell.com>

	* bin/svn-pack: also unpack, and re-generate svn
	directories.

2006-08-04  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-intros.diff,
	  patches/src680/speed-ooqstart-more-steps.diff,
	  patches/src680/speed-ooqstart-open-empty.diff,
	  patches/src680/speed-ooqstart-options.diff,
	  patches/src680/speed-ooqstart-service.diff,
	  patches/src680/speed-ooqstart-slot.diff,
	  patches/src680/speed-ooqstart-unxsplash.diff,
	  patches/src680/speed-ooqstart-x11-only.diff,
	  patches/src680/speed-ooqstart.diff: Bin.
	* patches/src680/unxsplash-desktop-unx-source.diff,
	  patches/src680/unxsplash-desktop-unx-splash.diff,
	  patches/src680/unxsplash-desktop.diff,
	  patches/src680/unxsplash-scp2.diff,
	  patches/src680/apply: New version of the patches - no incremental
	  patching.

2006-08-04  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-basic-default.diff: fix performance problem make
	sure that a set on a class does not result in a copy ( when a default 
	property exists for that object )

2006-08-04  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: install gid_Module_Optional_Grfflt into -draw

2006-08-04  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-service.diff,
	  patches/src680/speed-ooqstart-unxsplash.diff,
	  patches/src680/speed-ooqstart.diff,
	  patches/src680/apply: Implement PipeSplashScreen service instead of
	  patching SplashScreen service.  (Most of the speed-ooqstart* patches
	  will be replaced with one flat set to avoid incremental patching -
	  these are committed to have history...)

2006-08-04  Tor Lillqvist  <tml@novell.com>

	* patches/src680/mozilla-buildlibs-win32.diff: Use Bourne shell
	syntax for variable assignment if OOo is configured --with-use-shell=bash.

2006-08-04  Jan Holesovsky  <kendy@suse.cz>

	* bin/show-issues: Improve owner parsing.

2006-08-04  Michael Meeks  <michael.meeks@novell.com>

	* bin/svn-pack: create script to pack svn repo.
	information.

2006-08-04  Tor Lillqvist  <tml@novell.com>

	* patches/src680/framework-layered-accelerators.diff
	(framework/source/accelerators/acceleratorconfiguration.cxx):
	Define and initialise aWriteLock.

2006-08-04  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Add a PlainWin32 "distro" that doesn't
	include the NovellOnly, NovellOnlyWin32, Lockdown or CalcSolver
	that are in NovellWin32. Put system-xmlsec.diff in BuildBits
	instead of SystemBits (which is Linux-only) so it gets applied
	also on Win32. Not that we ever use any "system" xmlsec on Win32,
	but to avoid pain as other diffs depend on this one having been
	applied.

2006-08-03  Rene Engelhard  <rene@debian.org>

	* distro-configs/Debian*in: add --with-mingwin=i586-mingw32msvc-g++
	  in preparation for m181
	* patches/src680/apply, patches/src680/ppc-symbols-fix.diff: fix ppc
	  makefiles to actually use -g1/-g
	* patches/src680/apply, patches/src680/x11r7-fix-xinerama-check.diff:
	  fix brokeness in Xinerama check introuduced with m178

2006-08-03  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/redhat-standard-colors.diff,
	* patches/src680/apply: remove - unused section.

2006-08-02  Michael Meeks  <michael.meeks@novell.com>

	* patches/apply.pl: fix help.

	* patches/src680/apply: fix patch owners, mklose owns
	ubuntu- patches not pmladek.

2006-08-03  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-tools.diff,
	  patches/src680/apply: Fix 64bit build.

	* patches/src680/framework-layered-accelerators.diff: Lock & unlock
	  aWriteLock around clearing m_aReadCache.

	* configure.in: Default to m180.

2006-08-03  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-lpsolve-use-_pic.diff: adapt for new
	  patches/scsolver/solenv-inc-libs-mk.diff

2006-08-03  Tor Lillqvist  <tml@novell.com>

	* patches/src680/buildfix-no-werror.diff: I give up. Disable -WX
	completely on wntmsci10, like we disable -Werror on unxlngi6.

2006-08-03  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Updated to m180.

2006-08-03  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scsolver-source-inc-solvemodel-hxx.diff
	* patches/scsolver/scsolver-source-inc-unohelper-hxx.diff
	* patches/scsolver/scsolver-source-ui-unohelper-cxx.diff: Remove
	extra CRs that mess up make patch.unapply on Win32.

2006-08-03  Jan Holesovsky  <kendy@suse.cz>

	* bin/show-issues: Show isssues sorted by owners.

2006-08-02  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-valuefunc.diff: Bin, fixed up-stream.

	* patches/src680/apply: Updated IZ numbers of some of the patches.

	* patches/src680/parallel-sysui-makefiles.diff,
	  patches/src680/apply: Not needed any more (hopefully ;-) ).

	* patches/src680/apply: More updated IZ numbers.

2006-08-02  Tor Lillqvist  <tml@novell.com>

	* patches/src680/gui-insensitive.diff
	(vcl/source/gdi/impimage.cxx): Add cast to avoid compiler warning.

2006-08-02  Rajesh Sola <rajesh@lisor.org>

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: Add RowHeight
	and Height properties for range
	* patches/vba/sc-source-ui-vba-vbarange-[ch]xx.diff:
	
2006-08-02  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/solenv-inc-libs-mk.diff: Put the Win32
	definition of LPSOLVELIB in libs.mk in the correct place. The list
	of Win32 library names follows the list of Unix names as a whole.

	* patches/scsolver/scsolver-source-numeric-makefile-mk.diff
	* patches/scsolver/scsolver-source-service-makefile-mk.diff
	* patches/scsolver/scsolver-source-ui-makefile-mk.diff
	* patches/scsolver/scsolver-util-makefile-mk.diff: Set
	EXTERNAL_WARNINGS_NOT_ERRORS to TRUE.

2006-08-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/framework-layered-accelerators.diff,
	  patches/src680/apply: Fixed Tools->Customize->Keyboard, updated to
	  use openPreset() instead of openTarget(), & moved in the apply file
	  to [ Features ].

2006-08-01  Noel Power  <noel.power@novell.com>

	* patches/src680/offapi-org-openoffice-vba-*-idl.diff: remove published
	keyword from idl
	* scratch/offapi-vba/*.idl: 

2006-08-01  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaborders.cxx: sync patch/scratch 
	* scratch/sc-vba/vbahelper.cxx:
	* scratch/sc-vba/vbahelper.hxx:
	* scratch/sc-vba/vbainterior.cxx:

2006-08-01  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbaborders-cxx.diff: make the api
	aware that Basic now swaps the color components if compatibility is
	enabled.		
	* patches/vba/sc-source-ui-vba-vbahelper-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbahelper-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:

2006-08-01  Noel Power  <noel.power@novell.com>

	* patches/vba/extensions-source-propctrlr-makefile-mk.diff: removed 
	unused patches
	* patches/vba/extensions-source-propctrlr-formcontroller-cxx.diff:
	* patches/vba/vba-runtime-vba-enabled.diff:

2006-08-01  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/lwp-build.diff: bin, stale
	* patches/src680/apply: re-enable sc-pv-crasher.diff

2006-08-01  Noel Power  <noel.power@novell.com>

	* patches/vba/vbaevents-services-sources.diff: modified patch
	to cater for case insensitive matching for control bindings

2006-08-01  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/gentoo-splash.diff, hang-sw-layout:
	prune, stale.

2006-08-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/sixtyfour-warnings-basic.diff: Bin, not needed any
	  more.

2006-08-01  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scsolver-source-numeric-diff-cxx.diff: Remove
	unused variable.

2006-07-31  Jan Holesovsky  <kendy@suse.cz>

	* distro-configs/SUSE.conf.in: Added --disable-qadevooo.
	
	* patches/src680/buildfix-qadevOOo.diff,
	  patches/src680/apply: Fix qadevOOo build.

2006-07-31  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/font-sourceview.diff: fix mis-apply
	vs. m179

2006-07-31  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to m179.

	* patches/mono/mono-build-m177.diff,
	  patches/src680/buildfix-comphelper-64bit.diff,
	  patches/src680/buildfix-connectivity-evoab2.diff,
	  patches/src680/buildfix-dbaccess-64bit.diff,
	  patches/src680/buildfix-desktop.diff,
	  patches/src680/buildfix-moz-flavour-nspr.diff,
	  patches/src680/buildfix-no-libart.diff,
	  patches/src680/buildfix-system-moz-plugin.diff,
	  patches/src680/buildfix-system-nss.diff,
	  patches/src680/buildfix-xmerge.diff,
	  patches/src680/config-mozilla-xulrunner.diff,
	  patches/src680/config_office-system-mozilla-fix.diff,
	  patches/src680/db4-jni-casting-m178.diff,
	  patches/src680/disable-pam.diff,
	  patches/src680/fix-fileview-search.diff,
	  patches/src680/fix-license_dialog.cxx.diff,
	  patches/src680/installer-regexp-quoting.diff,
	  patches/src680/intros-desktop-m178.diff,
	  patches/src680/leak-svx-3d.diff,
	  patches/src680/native-HelpLinker-use-system-libs-m177.diff,
	  patches/src680/o3tl.diff,
	  patches/src680/parallel-solenv-target.diff,
	  patches/src680/rsc-increase-nwork.diff,
	  patches/src680/sal-linux.diff,
	  patches/src680/sc-toggle-merge-really-toggles.diff,
	  patches/src680/speed-ooqstart-m178.diff,
	  patches/src680/svtools-source-edit-texteng-core.diff,
	  patches/src680/system-agg-2.4-m177.diff,
	  patches/src680/system-neon-0.26.diff,
	  patches/src680/system-stlport5-m178.diff,
	  patches/src680/tools-smb-url.diff,
	  patches/src680/use-system-xt-m178.diff,
	  patches/src680/vba-sc-autoshapes-hyperlinks-m178.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import-m178.diff,
	  patches/src680/warning-uninitialized-variables-tools.diff,
	  patches/vba/sc-vba-build-lst-m177.diff,
	  patches/vba/vba-sc-docuno-hook-m161.diff,
	  patches/src680/apply: Bin old patches.

	* patches/src680/vcl-menu-fixes.diff: Update to m179.

2006-07-31  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-gw-send-mail.diff
	(shell/source/win32/simplemail/senddoc.cxx): Remove unused
	variable.

2006-07-31  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Temporarily disabled
	  speed-ooqstart-hide-asap.diff, breaks ooqstart after m179.

2006-07-31  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/font-sourceview.diff,
	* patches/src680/apply: better lockdown here.

2006-07-31  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-odma.diff
	(ucb/source/ucp/odma/odma_datasupplier.hxx)
	(ucb/source/ucp/odma/odma_datasupplier.cxx): Fix mismatched
	virtual member function implementations that cause warnings which
	now are treated as errors.
	
	* patches/src680/novell-win32-odma.diff
	(ucb/source/ucp/odma/odma_content.cxx)
	(ucb/source/ucp/odma/odma_contentcaps.cxx)
	(ucb/source/ucp/odma/odma_services.cxx): Add workarounds for
	warning 4100 (unreferenced formal parameter), as warnings now are
	treated as errors.

	* patches/src680/novell-win32-odma.diff (ucb/prj/build.lst):
	Update for m178, where there is no ucb/unotypes.

2006-07-28  Rene Engelhard  <rene@debian.org>

	* patches/src680/ooqstart-honour-sofficerc.diff: improve error
	  message; fix segfault

2006-07-28  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-slideshow.diff,
	  patches/src680/apply: Fix x86-64 build in slideshow.

	* patches/src680/vba-sc-autoshapes-hyperlinks-m178.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import-m178.diff,
	  patches/src680/vba-sc-autoshapes-hyperlinks.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import.diff,
	  patches/src680/apply: Update to m179.

	* patches/src680/apply: Don't apply
	  sc-toggle-merge-really-toggles.diff twice.

	* patches/src680/apply: mono-build-m177.diff for m177.

	* patches/src680/buildfix-cli_ure.diff,
	  patches/src680/apply: Fix installation.

2006-07-28  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/XINC-XLIB-default-locations.diff,
	  patches/src680/fix-shell-checks.diff,
	  patches/src680/gentoo-xmlsecurity-system-nss.diff: In m179, bin.

	* patches/64bit/64bit-jdk-server-paths.diff,
	  patches/src680/omit-fp-workaround.diff,
	  patches/src680/apply: Update GentooOnly and GentooExperimental for
	m179.

	* patches/src680/system-stlport5.diff: Fix.
	sal/inc/internal/allocator.hxx moved to sal/inc/rtl.

2006-07-28  Miklos Vajna <vmiklos@frugalware.org>

	* configure.in: correct the help message of --with-binsuffix:
	according to the code the default value is 2.0, not 1.9

2006-07-18  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/db4-jni-casting-m178.diff,
	  patches/src680/db4-jni-casting.diff,
	  patches/src680/intros-desktop-m178.diff,
	  patches/src680/intros-desktop.diff,
	  patches/src680/speed-ooqstart-m178.diff,
	  patches/src680/speed-ooqstart.diff,
	  patches/src680/apply: Update to m179 - applies, but no idea if it
	  compiles (yet).

	* patches/src680/crash-xmlhelp.diff: Workaround a crash in xmlhelp.

2006-07-28  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: fix --disable-kde builds
	
2006-07-28  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply stuff for m179

	* patches/src680/apply,
	  patches/src680/system-stlport5-m178.diff,
	  patches/src680/system-stlport5.diff: m179

2006-07-27  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/use-system-xt{,-m178}.diff,
	  patches/src680/apply: m179; Delete cruft.

2006-07-27  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: one obvious m179 update

2006-07-27  Miklos Vajna <vmiklos@frugalware.org>

	* distro-configs/Frugalware{64,}.conf.in: clean up old/invalid
	switches

2006-07-27  Tor Lillqvist  <tml@novell.com>

	* patches/vba/vba-support-stoc-typeprovider-xexactname.diff
	(stoc/source/registry_tdprovider/tdprovider.cxx): Drop unused
	variable to avoid compiler warning (which is treated as an error
	now in the MSVC build).

2006-07-27  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/native-HelpLinker-use-system-libs.diff,
	  patches/src680/native-HelpLinker-use-system-libs-m177.diff: more
	  m178 stuff, we need the xt parts of this patch on m178 still, thanks
	  geki

2006-07-27  Noel Power  <noel.power@novell.com>

	* Changelog: add comment from 2006-07-25 for comment that somehow didn't
	makeit into the changelog
	* patches/src680/apply: add borders/border objects to api, fix 
	ColorPalette export, add new constant, fixes n#194614
	* patches/src680/offapi-org-openoffice-vba-excel-xlborderweight-idl.diff:
	* patches/src680/offapi-org-openoffice-vba-xborder-idl.diff :
	* patches/src680/offapi-org-openoffice-vba-xborders-idl.diff :
	* patches/src680/sc-source-ui-vba-vbaborders-cxx.diff :
	* patches/src680/sc-source-ui-vba-vbaborders-hxx.diff:
	* patches/src680/offapi-org-openoffice-vba-excel-constants-idl.diff:
	* patches/src680/offapi-org-openoffice-vba-excel-makefile-mk.diff:
	* patches/src680/offapi-org-openoffice-vba-excel-xlbordersindex-idl.diff:
	* patches/src680/offapi-org-openoffice-vba-makefile-mk.diff:
	* patches/src680/offapi-org-openoffice-vba-xrange-idl.diff:
	* patches/src680/sc-source-ui-vba-makefile-mk.diff:
	* patches/src680/sc-source-ui-vba-vbacollectionimpl-hxx.diff:
	* patches/src680/sc-source-ui-vba-vbafont-cxx.diff:
	* patches/src680/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/src680/sc-source-ui-vba-vbarange-hxx.diff vba-sc-docuno-hook.diff:
	* scratch/offapi-vba/*:
	* scratch/sc-vba/*:

2006-07-27  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(setup_native/source/win32/customactions/sellang/sellang.cxx): As
	the MSVC build treats warnings as errors in current milestones, we
	must disable warnings from system headers. Add #pragma lines.

2006-07-26  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply sc-vba-build-lst-m177.diff

2006-07-26  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(instsetoo_native/inc_openoffice/windows/msi_languages/Langpack.ulf):
	Drop this part of the patch, has been integrated in m177.

	* patches/src680/win32-gw-send-mail.diff
	(shell/source/win32/simplemail/senddoc.cxx): Update for m177.

2006-07-26  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scs-scp2.diff (scp2/source/calc/file_calc.scp):
	As the lpsolve library gets built as a static library only (due to
	problems in its MSVC build, the afxres.h that lpsolve.rc tries to
	include isn't found), don't try to include the nonexistant lpsolve
	DLL. But do fix the name of the lpsolve DLL we would have used
	anyway, it would be called lpsolve55.dll, not liblpsolve55.dll. At
	least that's what the cvc6.bat tries to create, but fails. It
	doesn't do any harm as such that we use a static lpsolve library,
	only scsolver.uno.dll links to it.

2006-07-16  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-testshl2.diff,
	  patches/src680/apply: Fix build break in o3tl (caused by a bug in
	  testshl2).

2006-07-26  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scsolver-prj-d-lst.diff: DLLs are in bin, not
	lib.

2006-07-25  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbarange-[ch]xx.diff: enable some
	more multi-area selection bits.
	* patches/vba/excel-a1-style-column-addressing.diff:

2006-07-25  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/package-shrink.diff: add my re-factor as a
	patch, sadly pointless.

2006-07-25  Tor Lillqvist  <tml@novell.com>

	* bin/build-ooo: No need for the --enable-check-only on Win32 any
	longer with Michael's fix from 2006-07-05.

2006-07-25  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/dbase-utf8.diff: upadate file database's 
	  default encoding as UTF8

2006-07-25  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/builfix-no-libart.diff: fix tools' --without-gpc
	  build

2006-07-24  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/system-agg-2.4-m177.diff,
	  patches/src680/systen-agg-2.4.diff,
	  patches/mono/mono-build-m177.diff,
	  patches/mono/mono-build.diff,
	  patches/vba/sc-vba-build-lst-m177.diff,
	  patches/vba/sc-vba-build-lst.diff: m178
	  (vba-sc-autoshapes-hyperlinks.diff still to do, temporarily
	  disabled)

	* patches/vba/vba_configure_set_soenv_in.diff: move to other place
	  in configure.in...

2006-07-21  Jan Holesovsky  <kendy@suse.cz>

	* bin/cws-commit-patch: Fixed addition of newly created files.

	* patches/src680/kdesettings-speedup-backends.diff,
	  patches/src680/kdesettings-speedup-currentcontext.diff,
	  patches/src680/kdesettings-speedup-scp2.diff,
	  patches/src680/kdesettings-speedup.diff: Bin.
	* patches/src680/cws-kdesettings3.diff,
	  patches/src680/apply: Now they are in a CWS.

	* bin/hicontrast-to-theme.sh: Bin, up-stream for quite some time.
	* bin/Makefile.am: Update accordingly.

	* patches/64bit/cws-bfsixtyfour.diff,
	  patches/64bit/sixtyfour-warnings-fpicker.diff,
	  patches/64bit/sixtyfour-warnings-vcl.diff,
	  patches/src680/buildfix-longnames-54730.diff,
	  patches/src680/cws-targetedaot-helpcontent2.diff,
	  patches/src680/cws-warningfixes01.diff,
	  patches/src680/fix-JDK-gcj-checks.diff,
	  patches/src680/gcj-HelpLinker-native.diff,
	  patches/src680/helpcontent2-fix-create-ilist.diff,
	  patches/src680/leak-registry.diff,
	  patches/src680/parallel-solenv-tg_sdi-mk.diff,
	  patches/src680/sc-get-pivot-data-m175.diff,
	  patches/src680/sc-info-func.diff,
	  patches/src680/sc-r1c1-m175.diff,
	  patches/src680/sc-source-ui-unobj-funcuno-cxx.diff,
	  patches/src680/sc-xl-errors-m175.diff,
	  patches/src680/sd-save-image-context-menu-localize.diff,
	  patches/src680/sd-save-image-context-menu.diff,
	  patches/src680/sd-slideshow-cursor-hide.diff,
	  patches/src680/sd-sls-process-request-crash-fix.diff,
	  patches/src680/speed-image-m176.diff,
	  patches/src680/system-stlport5-config-m175.diff,
	  patches/src680/system-xmlsec-m176.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import-m175.diff,
	  patches/src680/vcl-gtk-key-menu.diff,
	  patches/src680/vcl-gtk-yield.diff,
	  patches/src680/xt-precompile.diff,
	  patches/vba/vba-build-m175.diff: Bin.
	* patches/src680/apply,
	  configure.in: Support just m177 (and above).

2006-07-21  Petr Mladek  <pmladek@suse.cz>

	* Version src680-m176

2006-07-21  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/xmlhelp-use-libxslt-from-system.diff: Fix segfault.
	Array out of bounds.

2006-07-20  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/fix-license_dialog.cxx.diff,
	  patches/src680/apply: Fix getCppuType issue, i#67587.

	* patches/src680/system-xmlsec-m176.diff,
	  patches/src680/system-xmlsec.diff,
	  patches/src680/apply: m177 support.

	* patches/src680/without-agg.diff: Add missing scp2 hunks.

2006-07-19  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-image-m176.diff,
	  patches/src680/speed-image.diff,
	  patches/src680/apply: m177 support.

	* patches/src680/o3tl.diff,
	  patches/src680/apply: Create 'o3tl' module that is missing in m177.

	* patches/src680/buildfix-xmerge.diff,
	  patches/src680/apply: Fix xmerge build.

	* patches/src680/buildfix-desktop.diff,
	  patches/src680/apply: Fix part of the desktop build - more to come.

2006-07-19  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/binfilter-stl.diff,
	* patches/src680/apply: Fix binfilter STLport issues, i#63770. Add to
	BFBuildBits.

2006-07-19  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: m177 stuff (speed-image.diff) still missing)
	* patches/src680/system-stlport.diff: adapt to cws-mdbtools*.diff

2006-07-17  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbaapplication-cxx.diff: In order to 
	support multi-range selections we need an areas collection
	* patches/vba/sc-source-ui-vba-vbarange-[ch]xx.diff:
	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff:
	* scratch/sc-vba/vbaapplication.cxx:
	* scratch/sc-vba/vbarange.[ch]xx:
	* scratch/offapi-vba/XRange.idl:

2006-07-17  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/without-agg.diff,
	  patches/src680/apply: Make use of agg optional; Add to BuildBits.

2006-07-17  Noel Power  <noel.power@novell.com>

	* test/macro/missing_vbafeatures.ods: updated with latest analysis

2006-07-17  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/connectivity-source-drivers-mdb-config-h.diff,
	  patches/src680/connectivity-source-drivers-mdb-dataaccess-xcu.diff,
	  patches/src680/connectivity-source-drivers-mdb-exports-dxp.diff,
	  patches/src680/connectivity-source-drivers-mdb-makefile-mk.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-allocator-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-baseresultset-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-baseresultset-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-connection-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-connection-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-databasemetadata-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-databasemetadata-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-driver-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-driver-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-preparedstatement-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-preparedstatement-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-resultset-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-resultset-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-resultsetmetadata-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-resultsetmetadata-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-sequenceresultset-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-sequenceresultset-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-statement-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-statement-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-wrapper-cxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-wrapper-hxx.diff,
	  patches/src680/connectivity-source-drivers-mdb-mdb-xml.diff,
	  patches/src680/disable-access.diff: Bin.
	* patches/src680/msaccess-db-create-dialog-fix.diff: Updated.
	* patches/src680/cws-mdbdriver02.diff,
	  patches/src680/apply: Use an extracted CWS instead of the
	  abovementioned patches.

2006-07-17  Miklos Vajna <vmiklos@frugalware.org>

	* distro-configs/Frugalware{64,}.conf.in: add --disable-qadevooo and
	--enable-gcjaot

2006-07-17  Michael Meeks  <michael.meeks@novell.com>

	* configure.in, download.in: grok --enable-binfilter and
	download the .tar.bz2 if it's enabled.

	* distro-configs/Common.conf.in: add --without-agg
	it's not really used for anything.

2006-07-17  Noel Power <noel.power@novell.org>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: n#192786 fix 
	core on reading hlink 

2006-07-16  Miklos Vajna <vmiklos@frugalware.org>

	* patches/src680/apply: STLport5 >= src680m176 -> STLport5 >=
	src680-m176

2006-07-14  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-agg-2.4.diff: fix, AC_EGREP_HEADER is
	  useless here.....

2006-07-14  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sw-ww8-redlining.diff,
	* patches/src680/apply: fix red-lining silly.

2006-07-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-comphelper-64bit.diff,
	  patches/src680/buildfix-dbaccess-64bit.diff,
	  patches/src680/apply: Fix 64bit build.

2006-07-14   Adam Gołębiowski <adamg@pld-linux.org>

	* bin/build-galleries: kill bashizm; Petr Mladek agrees that it is
	  better to remove the redirection of the error output at all

2006-07-14  Sasa Ostrouska  <saxa@droplinegnome.org>

	* modified distro-configs/DroplineGNOME.conf.in
	* added vendor in configure.in

2006-07-14  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-stlport5-config.diff,
	  patches/src680/system-stlport5-config-m175.diff,
	  patches/src680/apply: m176

2006-07-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-get-pivot-data-m175.diff,
	  patches/src680/sc-r1c1-m175.diff,
	  patches/src680/sc-xl-errors-m175.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import-m175.diff,
	  patches/vba/vba-build-m175.diff: Old m175 versions.
	* patches/src680/sc-get-pivot-data.diff,
	  patches/src680/sc-r1c1.diff,
	  patches/src680/sc-xl-errors.diff,
	  patches/src680/vba-sc-handleautoshapemacro-import.diff,
	  patches/vba/vba-build.diff,
	  patches/src680/apply: m176 support.

	* patches/src680/buildfix-connectivity-evoab2.diff,
	  patches/src680/apply: Fix the build.

2006-07-13  Rene Eneglhard  <rene@debian.org>

	* patches/src680/checkdeliver-regexp-quoting.diff: fix
	* patches/src680/apply: (re-)apply above

2006-07-13  Michael Meeks  <michael.meeks@novell.com>

	* doc/redline.txt: Notes on redlining debugging.

2006-07-13  Noel Power <noel.power@novell.com>

	* patches/vba/excel-a1-style-column-addressing.diff:
	* patches/vba/sc-source-ui-vba-vbahelper-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-[ch]xx.diff:
	* scratch/sc-vba/vbahelper.cxx:
	* scratch/sc-vba/vbarange.[ch]xx:

2006-07-13  Miklos Vajna <vmiklos@frugalware.org>

	* patches/src680/apply: vcl-gtk-key-menu.diff no longer necessary for
	m176.

2006-07-13  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/native-HelpLinker-use-system-libs.diff,
	  patches/src680/apply: Link native HelpLinker to system jars, i#67323.
	Added to GCJExperimental section.

2006-07-13  Petr Mladek  <pmladek@suse.cz>

	* distro-configs/SUSE-9.2.conf.in,
	  distro-configs/SUSE-9.3.conf.in,
	  distro-configs/SUSE-10.0.conf.in: disable cairo for older SUSE
	  distributions. cairo-1.0.2 is required. It is available neither
	  in the old distributions nor in OOo sources

2006-07-12  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-image-polish.diff,
	* patches/src680/apply: bin bogus pMaskColor parameter.

	* bin/oosize: add tool for breaking down stripped
	object size per source directory, and inside a dir.

2006-07-12  Jan Holesovsky  <kendy@suse.cz>

	* bin/cws-commit-patch: Better tempdir creation.

2006-07-12  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: don't apply std-mk-no-unowinreg-dll.diff
	  anymore, now being cross-built with mingw32

2006-07-12  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-chart.diff,
	* patches/src680/apply: 5x speedup for some charts.

2006-07-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/parallel-idlc.diff: Bin.
	* patches/src680/parallel-solenv-target.diff,
	  patches/src680/apply: New fix for the parallel build problem.

2006-07-12  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: move system-neon-0.26.diff to BuildBits
	* patches/src680/apply, patches/src680/system-agg-2.4.diff: fixes for
	  agg 2.4 (conditional)
	* patches/src680/apply, patches/src680/rsc-increase-nwork.diff: fix
	  for build with many languages

2006-07-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-toggle-merge-center.diff,
	  patches/src680/apply: Implement 'Toggle merge & center'.

2006-07-11  Noel Power  <noel.power@novell.com>

	* patches/vba/excel-a1-style-column-addressing.diff: modified
	getFileNameFromDoc method ( reduced it somewhat )

2006-07-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/parallel-idlc.diff: Trivial update.

	* patches/src680/speed-ooqstart-x11-only.diff: Fix build.

2006-07-11  Noel Power  <noel.power@novell.com>

	* patches/vba/excel-a1-style-column-addressing.diff: added 
	"Row style" addressing e.g. Range("10:12")
	* test/macro/TestAddress.xls: some new tests for the above

2006-07-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/parallel-solenv-urd.diff: Bin.
	* patches/src680/parallel-idlc.diff,
	  patches/src680/apply: The real fix for the parallel build problem in
	  udkapi.

2006-07-11  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: more src680-m175 fixes; move
	  cws-targetedaot-helpcontent2.diff to GCJExperimental to replace
	  gcj-HelpLinker-native.diff which obviously no longer applies

2006-07-11  Petr Mladek  <pmladek@suse.cz>

	* doc/announce-odi.txt: update

2006-07-10  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/cws-targetedaot-helpcontent2.diff,
	  patches/src680/apply: Use native HelpLinker in helpcontent2, i#67209.
	Add to GentooExperimental section.

2006-07-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/parallel-solenv-urd.diff,
	  patches/src680/apply: Parallel build issue fix.
	* patches/src680/parallel-solenv-urd.diff: Disabled again, breaks
	  'sal'

2006-07-10  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-icu.diff: Fix system icu build.

2006-07-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Support for m175.

2006-07-10  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff: Add Activate 
	method for range
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* scratch/offapi-vba/XRange.idl:
	* scratch/sc-vba/vbarange.cxx:
	* scratch/sc-vba/vbarange.hxx:

2006-07-10  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-gtk-key-menu.diff,
	* patches/src680/apply: fix Alt- menu key issue

2006-07-10  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/gentoo-no-plain-gcj.diff: Bin. CWS targetedaot is in
	m175.

	* patches/src680/fix-shell-checks.diff: Fix shell checks.
	* patches/src680/fix-JDK-gcj-checks.diff: Fix misuse of JDK check.
	* patches/src680/apply: Add them to GentooExperimental section.

2006-07-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/recovery-disabled-crashreporter-localize.diff,
	  patches/src680/apply: Fixed to apply again.

2006-07-10  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply, patches/src680/std-mk-no-unowinreg-dll.diff: do not
	reference unowinreg.dll from std.mk (DebianOnly for now)

2006-07-07  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/src680/speed-ooqstart-x11-only.diff: changes applied on behalf
	of NAKATA Maho that fixes build problem on FreeBSD.

2006-07-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-menu-fixes.diff: re-work, fix toolbar
	context menu popups, fix spacing in sub-menus with
	check-buttons but no images.

2006-07-06  Noel Power  <noel.power@novell.com>

	* patches/vba/sc/sc-source-ui-vba-vbaglobals-cxx.diff: Added 
	Range, Worksheets & ActiveSheet properties to Application object
	also some reorg/move of code from globals application
	* patches/vba/sc/offapi-vba/XApplication.idl:
	* scratch/offapi-vba/XApplication.idl:
	* scratch/sc-vba/vbaapplication.cxx:
	* scratch/sc-vba/vbaapplication.hxx:
	* scratch/sc-vba/vbaglobals.cxx:

2006-07-06  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* Changelog: fixed typo (2007 -> 2006).

	* patches/src680/sc-standard-filter-options.diff: changed implementation
	to honor regex setting.

2006-07-06  Rene Engelhard  <rene@debian.org>

	* scratch/scsolver/source/service/service.cxx,
	  patches/scsolver/scsolver-source-service-service.cxx:
	  fix g++ 3.3 build

2006-07-06  Rene Engelhard  <rene@debian.org>

       * patches/src680/vcl-glyphs-cjk-embolden.diff: properly #ifdef to
         get an effect of the configure check we have

2006-07-06  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-image-refactor.diff,
	* patches/src680/speed-image.diff: fix arrow issue.

	* patches/src680/speed-image-refactor.diff: fix bitmap snafu.

2006-07-06  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	* patches/src680/checkdeliver-regex-quoting.diff: one more regex
	  quoting thing

2006-07-05  Rene Engelhard  <rene@debian.org>

	* patches/src680/config_office-freetype-embolden-check.diff,
          patches/src680/apply: add; didn't get over from -2-0-2; put it into
          Misc
	* scratch/scsolver/source/ui/scsolver.src.
          patches/scsolver/scsolver-source-ui-scsolver-src.diff: remove useless
          "Text [ de ]"'s (correct german translations coming later)

2006-07-05  Michael Meeks  <michael.meeks@novell.com>

	* bin/build-ooo: do the bootstrap before sourcing the env.
	which (itself) requires dmake seemingly these days (on win32).

2006-07-05  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-build.diff: fix vba headers not getting delivered
	seems that structure of offuh has changed a little, modified patch
	to build.	

2006-07-05  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/gentoo-gcc-naming-and-versioning.diff,
	  patches/src680/system-neon-0.26.diff,
	  patches/src680/xmlhelp-use-libxslt-from-system.diff: Fix apply.
	* patches/src680/apply: update comment for
	gentoo-gcc-naming-and-versioning.diff

2006-07-05  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/buildfix-no-werror.diff: don't barf
	immediately on error.

	* patches/test/sc-postit.diff: 1st cut at removing bloating
	PostIt pointer from ScCell structure; requires more
	refactoring.

2006-07-05  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-stlport5-STLPORT_VER.diff: update
	* patches/src680/apply: temporarily disable
	  recovery-disabled-crashreporter-localize.diff; does not apply

2006-07-04  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-local-link-except.diff: Update to the offuh
	  changes.

	* patches/src680/system-xmlsec.diff: Don't break un-applying any more.

	* patches/src680/cws-warningfixes01.diff,
	  patches/src680/apply: Fixes after warnings01 integration.

	* patches/src680/session-management.diff,
	  patches/src680/xmlhelp-port-to-db-4.4.diff,
	  patches/vba/vba-mscompat-wait.diff,
	  patches/src680/automation-testtool-oobuildfix.diff: Fix build.

2006-07-04  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-image-refactor.diff: fix
 	radio/check items to not overlap.

2006-07-04  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to src680-m174.

	* patches/cairo/vcl-composite-string-set-alpha.diff,
	  patches/src680/crash-menu-escape.diff,
	  patches/src680/cws-kdesettings.diff,
	  patches/src680/cws-quote.diff,
	  patches/src680/cws-vgbugs03.diff,
	  patches/src680/deliver-regexp-quoting.diff,
	  patches/src680/gengal-cleanup.diff,
	  patches/src680/gui-gtk-contextmenu.diff,
	  patches/src680/vcl-freetype-2.2.x.diff,
	  patches/src680/warning-return-values-connectivity-kab.diff,
	  patches/src680/warning-return-values-framework.diff,
	  patches/src680/warning-uninitialized-variables-comphelper.diff: Bin.

	* patches/src680/buildfix-gcc41-pointers-icu.diff,
	  patches/src680/file_url.diff,
	  patches/src680/fpicker-export-expand.diff,
	  patches/src680/libsb_gcc4_visibility_markup.diff,
	  patches/src680/libso3_gcc4_visibility_markup.diff,
	  patches/src680/myspell_hashify.diff,
	  patches/src680/session-management.diff,
	  patches/src680/speed-image.diff,
	  patches/src680/speed-local-link-except.diff,
	  patches/src680/speed-quickstart.diff,
	  patches/src680/svtools-unsort-template-dialogentries.diff,
	  patches/src680/system-icu.diff,
	  patches/src680/vba-sc-autoshapes-hyperlinks.diff,
	  patches/src680/vcl-glyphs-cjk-embolden.diff,
	  patches/src680/xmlhelp-port-to-db-4.4.diff,
	  patches/vba/basic-newsize-image-layout.diff,
	  patches/vba/vba-basic-default.diff,
	  patches/vba/vba-build.diff,
	  patches/vba/vba-dim-and-constants-patch.diff: Fix to apply against
	  m174.

	* patches/src680/apply: Updated.

2006-07-04  Rene Engelhard  <rene@debian.org>

	* bin/unpack: remove -system and -binfilter check again, not working
	  due to ooo-builds configure mechanism, need to think about some other
	  way...
	* bin/unpack: (DebianOnly) copy license fixed rhino path into the tree
	  (cws misclic)
	* patches/src680/apply: remove disable-rhino.diff

2006-07-03  Rene Engelhard  <rene@debian.org>

	* distro-configs/{Debian,Debian64,DebianSarge,Ubuntu,Ubuntu64}.conf.in:
	  remove --with-system-neon, done in debian/rules now
	* bin/unpack: check for needed tarballs when not specifiying
	  --disable-binfilter (binfilter tarball) or not one of --with-system-*
	  where the internal one would need the -system tarball (./download
	  parts yet missing) and work around neon/download/neon-0.24.7.tar.gz not present in Debians
	  .orig.tar.gz

2006-07-03  Jan Holesovsky  <kendy@suse.cz>

	* Branched for 2.0.3:
	  OOO-BUILD-2-0-3-ANCHOR - the anchor tag,
	  ooo-build-2-0-3 - the branch.

2006-07-03  Rene Engelhard  <rene@debian.org>

	* patches/scsolver/scs-scp2.diff: re-add makefile.mk snippet....

2006-07-03  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in:
	* patches/src680/apply: Remove gentoo-splash-hack and use the new
	config-flags for that

2006-07-02  Rene Engelhard  <rene@debian.org>

	* patches/src680/system-lpsolve-use-_pic.diff: update

2006-07-01  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/*.diff: re-gen'ed.

2006-07-01  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* scratch/lpsolve/makefile.mk: added BUILD_ACTION for windows per
	Tor Lillqvist.

	* scsolver/lpsolve-makefile-mk.diff: re-gen'ed.

	* scsolver/solenv-inc-libs-mk.diff: added linker flag for lp_solve
	for Windows build per Tor Lillqvist.

	* scsolver/scs-scp2.diff: added entry for scsolver res file.

2006-06-30  Matthias Klose  <doko@ubuntu.com>

	* distro-configs/Ubuntu*.in: Configure --with-vendor.

2006-06-29  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply CalcSolver for DebianSarge again, lost

2006-06-29  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-toggle-merge-really-toggles.diff,
	  patches/src680/apply: Fix 'Toggle merge' so that the range stays
	  selected after un-toggle.

2006-06-28  Jody Goldberg <jody@gnome.org>

	* patches/src680/sc-read-only-colrow-resize.diff : new
	* patches/src680/apply : Add it to CalcFixes

2006-06-29  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/apply (UbuntuOnly): Don't apply ubuntu-splash.
	* src/openabout_ubuntu.bmp: New file.
	* distro-configs/Ubuntu*.in: Configure --with-*-bitmap.
	* patches/src680/ubuntu-splash.diff: Remove.

2006-06-29  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/apply (Ubuntu, UbuntuL10n): Add CalcSolver,
	removed from DebianBase.

2006-06-28  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: remove /usr/share/doc moving, now using
	  --with-docdir= (Debian)

2006-06-28  Petr Mladek  <pmladek@suse.cz>

	* Version ooc680-m7

2006-06-28  Jan Holesovsky  <kendy@suse.cz>

	* bin/setup.in: Define also exec_prefix, necessary for @libdir@.

2006-06-27  Petr Mladek  <pmladek@suse.cz>

	* patches/64bit/sixtyfour-warnings-binfilter.diff: add one more
	  fix of a dangerous warning

	* bin/package-ooo: bin the hardcoded list of poor help localizations;
	  it is configurable via --with-poor-help-localizations configure
	  switch for a long time (the list was Novell specific)

2006-06-27  Petr Mladek  <pmladek@suse.cz>

	* bin/build-ooo, bin/ootestapi.in, bin/package-ooo, bin/setup.in: allow
	  to install OOo below /usr/lib64 using the --libdir=/usr/lib64
	  configure switch. It is useful on 64-bit systems.

2006-06-27  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Removed --with-vendor from ooo-build/configure.in.

2006-06-27  Noel Power  <noel.power@novell.org>

	* patches/src680/apply: added svtools-source-edit-texteng-core.diff 
	patch for issue# 66790
	* patches/src680/svtools-source-edit-texteng-core.diff:

2006-06-27  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: fix nld_list.txt file list to follow the Kendy's
	  --with-*-bitmaps changes

2006-06-26  Noel Power  <noel.power@novell.org>

	* patches/src680/apply: add new patch file for 66752
	* patches/src680/vba-sc-handleautoshapemacro-import.diff: more tuning
	for group behavior
	* patches/src680/vba-sc-autoshapes-hyperlinks.diff:

2006-06-26  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: bin forgotten
	  hunks for .orig file

	* bin/package-ooo: make use of gid_Module_Langpack_Help.$lang
	  conditional again. It is not used on ppc with gcj.

2006-06-26  Noel Power  <noel.power@novell.org>

	* patches/src680/vba-sc-handleautoshapemacro-import.diff: patche rework/
	cleanup
	* patches/src680/vba-sc-autoshapes-hyperlinks.diff:

2006-06-26  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply CalcSolver patchset only for Debian,
	  not for DebianBase (due to build problems....); add
	  system-lpsolve-link-with-colamd.diff to Debian32Only since
	  we now don't have a scsolver/ on Debian64. Apply
	  system-lpsolve-use_pic.diff on Debian32Only
	* patches/src680/static-libs-use-_pic.diff: move lpsolve_pic stuff
	  from here...
	* patches/src680/system-lpsolve-use-_pic.diff: ... to here ..
	* patches/src680/apply: ... and apply system-lpsolve-use-_pic.diff for
	  Debian32Only

2006-06-24  Giuseppe Ghib? <ghibo@mandriva.com>

	* patches/src680/buildfix-xorg7-nas.diff: added (from VMiklos) to
	  let compile with internal nas library under Xorg 7.0 and 7.1
	  (i#64134).
	* patches/src680/apply: added buildfix-xorg7-nas.diff and added 
	  SystemJavaBitsWorkaround to Mandriva64 section.
	* distro-configs/Mandriva64.conf.in: removed default 
	  --with-system-db.

2006-06-23  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scs-scp2.diff: Fix syntax error.

2006-06-22  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply : Move some calc patched from Fixes ->
	  CalcFixes to facilitate building with a clean tree.
	    : sc-sheet-double-click-rename.diff
	    : sc-autofilter-empty-nonempty.diff
	    : sc-standard-filter-options.diff
	    : sc-filter-hide-filteredrows.diff
	    : sc-no-delete-filteredrows.diff
	    : sc-filters-fill-fix.diff
	    : sc-datapilot-dynamic-range.diff
	    : sc-datapilot-autoformat.diff
	    : sc-datapilot-crash-fix.diff
	    : sc-dp-database-crash.diff
	    : sc-autofilter-autotrim-choices.diff
	    : sc-save-password-minlength.diff
	    : sc-change-record-dnd.diff
	    : sc-insert-note-on-right-click.diff
	    : sc-datapilot-cut-paste-disable.diff
	    : sc-source-ui-unobj-funcuno-cxx.diff
	    : vba-sc-handleautoshapemacro-import.diff
	    : vba-sc-autoshapes-hyperlinks.diff
	    : sc-html-export-tables.diff

2006-06-23  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/sax-writer.diff, patches/src680/apply: fixes some
	  wrong usages of the function AddBytes that would malform the xml
	  output, i#66693

2006-06-23  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/solar-dont-define-NULL.diff,
	  patches/src680/apply: Don't re-define NULL in solar.h, IZ numbers
	  for some of the sixtyfour-warnings* patches.

2006-06-23  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: put back the xmloff
	part of the patch that it appears I deleted by mistake

2006-06-23  Radek Doulik  <rodo@novell.com>

	* patches/cairo/cairo-canvas-clip-more.diff: fixed clipping
	problem in case cached primitive is used

2006-06-23  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-image-sort.diff: add packimages.pl bits.
	* patches/src680/size-shrink.diff: bin.
	* patches/src680/apply (LinuxCommon): add SpeedImageList

2006-06-22  Radek Doulik  <rodo@novell.com>

	* patches/src680: updated dbus patches to allow build on system
	without dbus

2006-06-22  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-image-refactor.diff,
	* patches/src680/speed-image.diff,
	* patches/src680/apply: add.

	* patches/src680/speed-image-sort.diff: add.

2006-06-22  Noel Power  <noel.power@novell.com>
	* patches/src680/apply scratch/sc-vba/vbaapplication.cxx:
	fix n#186977 regression wrt Evaluate and '[]' shortcut syntax
	* scratch/sc-vba/vbaworksheet.cxx:
	* patches/vba/sc-source-ui-vba-vbaapplication-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworksheet-cxx.diff:

2006-06-22  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: fixed dodgy
	non check of object pointer in the patch

2006-06-22  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-intros.diff,
	  patches/src680/apply: Handle --with-intro-bitmaps= configure switch.

2006-06-22  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: added support
	for graphic objects also 

2006-06-21  Michael Meeks  <michael.meeks@novell.com>

	* bin/image-sort, bin/image-sort.lst, doc/image.txt:
	update, 1st cut at optimized images.zip sort list construction.

2006-06-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/sixtyfour-warnings-basic.diff,
	  patches/64bit/sixtyfour-warnings-binfilter.diff,
	  patches/64bit/sixtyfour-warnings-fpicker.diff,
	  patches/64bit/sixtyfour-warnings-svx.diff,
	  patches/64bit/sixtyfour-warnings-vcl.diff,
	  patches/64bit/sixtyfour-warnings-xmloff.diff,
	  patches/src680/apply: Fix warnings that appear on x86-64 & are
	  considered dangerous.

	* configure.in: Default to ooc680-m6.

2006-06-21  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-image.diff: maintain a by-name hash
	for ImplAryData structures, and dynamically allocate them.

2006-06-21  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: added support for
	Edit Hyperlink, Open Hyperlink & Delete Hyperlink context menus on
	autoshapes 

2006-06-21  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply,
	  i18nutil-glibc-braindamage-workaround.diff: Work around a bug in
	  glibc 2.4's langinfo.h that breaks the build

2006-06-21  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-image.diff: reserve not resize
	in ImplImage - fixes a number of bugs.

2006-06-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Moved cws-mdbdriver01.diff to [ msaccess ]
	  - where it belongs.

2006-06-21  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added sd-accept-uri-list-drop.diff, let sd
	accept uri-list drop, n#183719
	
	* patches/src680/apply: added
	sd-sls-process-request-crash-fix.diff fix reading of freed memory
	in slidesorter, due to weird reentrancy, n#186621

2006-06-21  Chris Halls  <halls@debian.org>

	* patches/scsolver/scsolver-prj-build-lst.diff: fix typo, rcs->rsc

2006-06-20  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/*.diff: re-gen'ed.

2006-06-20  Rene Engelhard  <rene@debian.org>

	* patches/src680/static-libs-use-_pic.diff: add missing .IF
	* patches/src680/system-lpsolve-link-with-colamd.diff: missing ==

2006-06-20  Chris Halls  <halls@debian.org>

	* patches/src680/installer-quote-regexp.diff,
	  patches/src680/apply: the installer was confused 
	  by regex metacharacters in DESTDIR

2006-06-20  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/static-libs-use-_pic.diff,
	  patches/src680/system-lpsolve-config_office.diff,
	  patches/src680/system-lpsolve-link-with-colamd.diff,
	  patches/scsolver/scsolver-prj-build.lst,
	  patches/scsolcer/scs-scp2.diff,
	  scratch/scsolver/prj/build.lst: additions/fixes for system-lpsolve
	* patches/scsolver/scsolver-prj-build.lst,
	  scratch/scsolver/prj/build.lst: add missing dependency on rsc

2006-06-19  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-image-refactor.diff,
	* patches/test/speed-image.diff: split the 2 bits,
	works for me - slower on cold start, but saves a lot
	of memory.

2006-06-19  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/system-icu.diff: Fixed to apply, ucacollator
	  initialized just in the 'SYSTEM_ICU' case.

2006-06-19  Noel Power    <noel.power@novell.com>
	
	* patches/vba/sc-source-ui-inc-viewfunc-hxx.diff: removed these now
	unused patches
	* patches/vba/extensions-source-propctrlr-makefile-mk.diff:
	* patches/vba/extensions-source-propctrlr-formcontroller-cxx.diff :
	* patches/vba/vba-basic-collection.diff:
	* patches/vba/sc-source-ui-vba-service-cxx.diff:
	* patches/vba/vba-sc-docuno-hook-m161.diff:
	* patches/vba/vba-runtime-vba-enabled.diff:
	* patches/vba/vba-basic-multidim-uno-arraywrap.diff:
	* patches/vba/sc-inc-docuno-hxx-visibility.diff:
	* patches/vba/sc-source-ui-inc-tabview-hxx.diff:
	* patches/vba/vba-optionbasesupport-m162.diff:
	* patches/vba/sc-inc-document-gcc4-visibility.diff :
	* patches/vba/gcc4-vba-pastespecial-visibility.diff :
	* patches/vba/vba-optionbasesupport.diff:

2006-06-19  Noel Power    <noel.power@novell.com>

	* patches/src680/apply: added hyperlink patch file ( below ) for issue
	i#59082
	* patches/src680/vba-sc-autoshapes-hyperlinks.diff: new patch file
	* patches/src680/vba-sc-handleautoshapemacro-import.diff: some cleanup

2006-06-19  Jiao Jianhua    <jjiao@novell.com>

	* patches/src680/apply: Enable.
	  enable patches/src680/plus-minus-sw-navigator.diff.

2006-06-19  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/intptr-basic.diff,
	  patches/src680/parallel-dmake-dont-remove.diff: Removed.
	* patches/src680/apply: Update, [ Experimantal ] section for the
	  dangerous patches that should not be enabled by default.

	* patches/src680/sc-paste-redraw.diff: Fixed typo.

2006-06-19  Giuseppe Ghibò <ghibo@mandriva.com>

	* patches/src680/mandriva-splash.diff: readapted patch for using the
	  FixesNotForUpstream tag, with the community-splash.diff patch.

2006-06-19  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sc-paste-redraw.diff,
	* patches/src680/apply: fix redraw artefacts post paste.

	* patches/src680/sparc-bridges-use-g++-3.4.diff: prune stale.

2006-06-18  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/scs-scp2.diff: liblpsolve55.so added.

2006-06-18  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: initial src680-m172 stuff, easy apply stuff so
	  far; apply STLport5 patchset for Debian

2006-06-18  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply: ooc680-m6 stuff

2006-06-18  Bernhard Rosenkraenzer <bero@arklinux.org>

	* distro-configs/Ark.conf.in, distro-configs/Ark64.conf.in,
	  patches/src680/ark-splash.diff, patches/src680/apply: Move Ark to
	  --with-*-bitmap/--with-vendor system

2006-06-16  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/svtools-R_X86_64_PC32.diff: Fix ld error in svtools.
	From Fedora CVS.
	* patches/src680/apply: Add to GentooExperimental section.

	* patches/src680/system-icu.diff: Update from Fedora CVS.
	* patches/vba/vba_configure_set_soenv_in.diff: Fix configure check.
	* patches/vba/vba-build.diff: Fix '--disable-vba' build.
	Add '#ifdef ENABLE_VBA' to appluno.cxx.

2006-06-16  Michael Meeks  <michael.meeks@novell.com>

	* doc/history.txt: add some patch distribution history.

	* patches/apply.pl (print_statistic_breakdown):
	add function to breakdown patches by directory.

	* patches/test/README: move SlideSorterDemo section
	here.

	* patches/src680/buildfix-ucb-without-stlport4.diff,
	* buildfix-svx-without-stlport4, lwp-parse, lwp-detect,
	* lwp-build, filebug-support, default-vba-compatible,
	* fix-calctyping-core, nsplugin-MOZILLA_FIVE_HOME,
	* gui-slidesort-backspace, fix-64bit-xmloff-units,
	* mono-build-m166,
	* patches/src680/apply: dung out crud.
	* patches/src680/sw-default-bullet.diff: needs fix, but
	never gets fixed so removed.

	* patches/src680/recently-used.diff,
	* patches/src680/apply: fix nasty ~/.recently-used corruption:
	n#184895.

2006-06-16  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/sc-standard-filter-options-i18n-fake.diff,
	  ooo-build/patches/src680/apply: new fake translations; combo box
	  entries are not visible in the given localization if they are not
	  translated, i#66473
	* patches/src680/sc-standard-filter-options-i18n.diff,
	  patches/src680/sc-standard-filter-options.diff,
	  patches/src680/sc-datapilot-dynamic-range.diff,
	  patches/src680/sc-datapilot-autoformat.diff,
	  patches/src680/sc-info-func.diff,
	  patches/src680/sc-r1c1.diff: more i18n fixes

2006-06-16  Chris Halls  <halls@debian.org>

	* patches/src680/deliver-regexp-quoting.diff,
	  patches/src680/apply: Deliver was confused by regex
	  metacharacters in paths

2006-06-16  Miklos Vajna  <vmiklos@frugalware.org>

	* patches/src680/apply: add ooqstart-black-progress-bar.diff also
	  for Frugalware

2006-06-16  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/*: re-gen'ed.

2006-06-15  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-html-export-tbody.diff: Remove, moved the
	  functionality to the patch below.
	* patches/src680/sc-html-export-tables.diff,
	  patches/src680/apply: Improve exporting spreadsheets to HTML.

	* patches/src680/speed-ooqstart-hide-asap.diff: Hide also the vcl
	  splash, not just the external one.

2006-06-15  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to ooc680-m5.

	* patches/src680/automation-x86-64-platform.diff,
	  patches/src680/java-1_5-enum-reserved-word.diff,
	  patches/src680/recovery-disabled-crashreporter-localize.diff,
	  patches/src680/apply: Remove older than ooc680-m5.

2006-06-14  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(scp2/source/ooo/windowscustomaction_ooo.scp): Finally figured out
	how to get my custom action to run at the right time: Don't
	mention it in the InstallExecuteSequence and InstallUISequence
	tables at all, but attach it to the Next button of the SetupType
	dialog in the ControlEvent table.

2006-06-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sc-html-export-tbody.diff,
	  patches/src680/apply: Don't write unwanted </TBODY><TBODY> when
	  exporting spreadsheet to HTML.

2006-06-14  Noel Power  <noel.power@novell.com>

	* patches/vba/sc-source-ui-vba-vbaglobals-cxx.diff: make correct context
	is used ( otherwise some services misbehave )	
	* scratch/sc-vba/vbaglobals.cxx: synch patch & scratch versions

2006-06-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/kdesettings-speedup-backends.diff,
	  patches/src680/kdesettings-speedup-currentcontext.diff,
	  patches/src680/kdesettings-speedup-scp2.diff,
	  patches/src680/kdesettings-speedup.diff,
	  patches/src680/apply: Another solution for the 'kdesettings causes
	  linking against kde libs even in Gnome' problem.

	* patches/src680/kdesettings-speedup.diff: Added forgotten build bits.

2006-06-14  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/*: regenerated.
	* patches/src680/apply: updated patch list for CalcSolver.

2006-06-12  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: Debian fixes/enhancements;
	  revert last package-ooo changes, apparently somehow works now
	  (maybe it was the in the patch again, which also broke some other
	   stuff in ooo-build...)

2006-06-13  Tor Lillqvist  <tml@novell.com>

	* src/Makefile.am (EXTRA_DIST): Add glib-1.2.10-ooo.patch and
	libIDL-0.6.8-ooo.patch.

2006-06-13  Miklos Vajna  <vmiklos@frugalware.org>

	* patches/src680/frugalware.diff,
	  patches/src680/frugalware64.diff,
	  distro-configs/Frugalware.conf.in,
	  distro-configs/Frugalware64.conf.in,
	  patches/src680/apply,
	  src/openabout_fw.bmp,
	  src/openabout_fw64.bmp: Update according to the new branding
	  patches.

	* src/openabout_fw.png,
	  src/openabout_fw64.png: Removed.

2006-06-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/cws-quote.diff: Update to the version from ause056.

	* bin/cws-commit-patch: Make it _really_ work in oo?680 environment.

2006-06-13  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/speed-quickstart-i18n.diff: fix to really show
	  the string on UN*X; use a local ID for the string; set the
	  first character as uppercase; add Czech translation

2006-06-13  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	  bin/setup.in: Support for distro-configs/ even
	  for Win32
	* distro-configs/Common.conf.in,
	  distro-configs/CommonLinux.conf.in,
	  distro-configs/CommonWin32.conf.in,
	  distro-configs/NovellWin32.conf.in: Split Common.conf.in into
	  CommonLinux and CommonWin32.

	* patches/src680/novell-splash.diff
	  patches/src680/apply: Not necessary any more.

2006-06-13  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(setup_native/source/win32/customactions/sellang/sellang.cxx):
	Factor out the code that converts a LANGID to a "sv" style string
	into a separate function. Don't unselect a localization that
	corresponds to the user's locale's language. Use better variable
	names.

2006-06-12  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(config_office/set_soenv.in): Other patches being applied earlier
	also modify the same spot in this file, adapt to that.
	(scp2/source/math/file_math.scp): Update patch context lines to
	match current sources.

	* patches/src680/apply: Add Lockdown and CalcSolver to NovellWin32.

2006-06-11  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/solenv-inc-libs-mk.diff,
	  patches/scsolver/lpsolve-*.diff: new patches added.
	* patches/src680/apply: modified to apply new patches.

2006-06-10  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* scratch/lpsolve,
	  scratch/apply.in: added new module lpsolve.
	* download.in: added bits for downloading lpsolve package.
	* bin/unpack: move lpsolve package to designated place.

2006-06-10  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/helpcontent2-fix-create-ilist.diff: fix create_ilist.pl
	  to not get confused by paths with regex metacharacters, from cws ause058,
	  i60940
	* bin/package-ooo: don't try to do stuff with gid_Module_Langpack*,
	  not there (anymore?); make the debian section more generic; install
	  kdebe1.uno.so, resume.ott and project-proposal.ott

2006-06-09  Jan Holesovsky  <kendy@suse.cz>

	* distro-configs/SUSE-10.0.conf.in,
	  distro-configs/SUSE-10.1.conf.in,
	  distro-configs/SUSE-64.conf.in,
	  distro-configs/SUSE-9.1.conf.in,
	  distro-configs/SUSE-9.2.conf.in,
	  distro-configs/SUSE-9.3.conf.in,
	  distro-configs/SUSE-PPC.conf.in,
	  distro-configs/SUSE.conf.in,
	  patches/src680/abouts-sfx2.diff,
	  patches/src680/apply,
	  patches/src680/intros-config_office.diff,
	  patches/src680/intros-scp2.diff,
	  patches/src680/novell-splash.diff,
	  src/openabout_suse.bmp: New --with-about-bitmaps
	  config_office/configure switch for the branded 'About' bitmaps.

2006-06-07  Petr Mladek  <pmladek@suse.cz>

	* patches/qatesttool/calc-datapilot-autoformat.diff,
	  patches/qatesttool/calc-datapilot-dynamic-range.diff,
	  patches/qatesttool/calc-delete-to-backspace-i17965.diff,
	  patches/qatesttool/calc-delete-to-backspace-menu-bug-i17965.diff,
	  patches/qatesttool/framework-large-standardbar.diff,
	  patches/qatesttool/graphics-crash-when-setting-grid.diff,
	  patches/qatesttool/writer-testtool-crash-n176102.diff: fix qatestool
	  for many ooo-build specific bugs and changes
	* patches/qatesttool/global-input-ole-linux.diff: bin already
	  upstreamed patch
	* patches/qatesttool/pdf-converter-as-default-printer.diff: extra
	  patch for installed OOo; It adds a PDF converter and set it as
	  the default printer; It is useful when running qatestool
	* patches/qatesttool/apply: update to mention latest changes

	* etc/test.blacklist: blacklist b_lvl1_Addressbook.bas. It tests only
	  Mozilla and LDAP address books. We have neither of them in the Novell
	  package.

	* etc/test.list: bin duplicities

2006-06-07  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Opened issue for the missing language
	names. Opened another issue for the filtering out of incomplete
	help localizations from the Windows installer. Add issue numbers.

	* patches/src680/win32-multi-lang-installer.diff
	(instsetoo_native/inc_openoffice/windows/msi_languages/Langpack.ulf):
	Add also Belarusian.

2006-06-07  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/kdesettings-speedup.diff,
	  patches/src680/apply: Fix unneeded dlopen()ing of KDE configuration
	  backend in Gnome (and vice versa).

2006-06-07  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff
	(config_office/configure.in): Check for
	--with-poor-help-localizations also here, set
	WITH_POOR_HELP_LOCALIZATIONS and AC_SUBST it.
	(config_office/set_soenv.in): Propagate
	WITH_POOR_HELP_LOCALIZATIONS as an environment variable.
	(scp2/macros/macro.pl): Write out also a macro
	EXTRA_ALL_GOOD_HELP_LOCALIZATIONS_LANG that is like EXTRA_ALL_LANG
	except the languages with poor help localization have been
	filtered out.
	(scp2/source/base/file_base.scp, scp2/source/calc/file_calc.scp)
	(scp2/source/draw/file_draw.scp)
	(scp2/source/impress/file_impress.scp)
	(scp2/source/math/file_math.scp, scp2/source/ooo/file_ooo.scp)
	(scp2/source/ooo/file_ooo.scp.orig)
	(scp2/source/writer/file_writer.scp): Use
	EXTRA_ALL_GOOD_HELP_LOCALIZATIONS_LANG instead of EXTRA_ALL_LANG
	for the help files.
	(setup_native/source/win32/customactions/sellang/sellang.cxx): Fix
	behaviour of the custom action on en-US machines: In that case we
	should also deselect all the other UI languages.
	(instsetoo_native/inc_openoffice/windows/msi_languages/Langpack.ulf):
	Add some missing names and descriptions for language
	packs. Otherwise these components show up as blank in a
	multi-language installer.

	* patches/src680/apply: Add win32-multi-lang-installer.diff to
	Win32Only.

2006-06-06  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: move nsplugin-path.diff to Fixes, remove
	  nsplugin-path from the rest; remove nsplugin_MOZILLA_FIVE_HOME.diff
	  from DebianOnly
	* patches/src680/apply, patches/src680/no-mozilla-plug-in-option.diff:
	  remove Mozilla Plug-In option completely (DebianBaseOnly)

2006-06-06  Jody Goldberg <jody@gnome.org>

	* patches/src680/cws-quote.diff,
	* patches/src680/apply: fix egregious mis-feature
	in ~/.cwsrc parsing

2006-06-04  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in:
	* patches/src680/apply:
	* patches/src680/gentoo-dicooo.diff: Gentoo finally using its own
	myspell-stuff, so remove the hacks, also update to the distro
	specific stuff

2006-06-02  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-multi-lang-installer.diff: New patch that
	sets up a custom action for the Win32 MSI installer. If the
	installer is a multi-language one the custom action deselects the
	features corresponding to other languages than the system default
	UI language.

2006-06-02  Jan Holesovsky  <kendy@suse.cz>

	* desktop/.cvsignore: Ignore all the generated stuff.
	
	* patches/src680/cws-vgbugs03.diff: Remove the broken hunk completely.

	* patches/src680/intros-config_office.diff,
	  patches/src680/intros-scp2.diff: Implemented --with-vendor for
	  easier specification of the builder/vendor of the build.

	* distro-configs/SUSE-10.0.conf.in,
	  distro-configs/SUSE-10.1.conf.in,
	  distro-configs/SUSE-64.conf.in,
	  distro-configs/SUSE-9.1.conf.in,
	  distro-configs/SUSE-9.2.conf.in,
	  distro-configs/SUSE-9.3.conf.in,
	  distro-configs/SUSE-PPC.conf.in,
	  distro-configs/SUSE.conf.in,
	  patches/src680/novell-splash.diff,
	  patches/src680/apply: Enable --with-intro-bitmaps and --with-vendor.

2006-06-02  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: new patch for i#66055
	* patches/vba/basic-scriptframework-byref.diff:

2006-06-02  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: sal-oustring-debug.diff moved
	  to [ FixesNotForUpstream ] section.

2006-06-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sal-oustring-debug.diff,
	  patches/src680/apply: operator<< for rtl::OUString for easier
	  debugging using cerr << aOUString << endl.

	* patches/src680/cws-vgbugs03.diff: Don't patch revision number.

2006-06-01  Miklos Vajna  <vmiklos@frugalware.org>

	* distro-configs/Frugalware*.conf.in: add --with-openclipart.

2006-05-31  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply,
	  patches/src680/ooqstart-black-progress-bar.diff: (DebianBaseOnly)
	  make progress bar black since a white progress bar on a white
	  background (OOo-standard-splash) is bad(tm) ;)
	* patches/src680/ooqstart-honour-sofficrc.diff: move to
	  DebianBaseOnly
	* patches/src680/apply,
	  patches/src680/cws-vgbugs03.diff,
	  patches/src680/automation-sparc-platform.diff: fix build.pl and
	  sparc build 

2006-05-31  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/intros-config_office.diff,
	  patches/src680/intros-desktop.diff,
	  patches/src680/intros-scp2.diff,
	  patches/src680/intros-svx.diff: --with-intro-bitmaps configure
	  switch & branding changing according to it.  Prototype, not enabled yet.

2006-05-31  Jiao Jianhua   <jjiao@novell.com>

	* patches/src680/plus-minus-sw-navigator.diff: a plus / minus
	  sign next to each heading in Navigato. but just in HEAD. Disabled it.
	* patches/src680/apply: add plus-minus-sw-navigator.diff and then disable it.

2006-05-31  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-msgbox.diff: prototype image re-work.

2006-05-30  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/64bit/64bit-jdk-server-paths.diff: server-only versions of
	64bit JDKs
	* patches/src680/jni-throw-exception.diff: throw exception on JNI error
	* patches/src680/system-db-check.diff: system db check
	* patches/src680/system-portaudio-use-lpthread.diff: needs -lpthread
	* patches/src680/XINC-XLIB-default-locations.diff: do not add compiler
	default include/library path; do not catch misplaced files

2006-05-30  Jan Holesovsky  <kendy@suse.cz>

	* bin/cws-commit-patch: Make it work with SRC680 even in OOC680
	  environment.

	* patches/src680/cws-kdesettings.diff,
	  patches/src680/kde-backend-build.diff,
	  patches/src680/kde-backend-lockdown.diff,
	  patches/src680/kde-backend-package.diff,
	  patches/src680/kde-backend.diff,
	  patches/src680/apply: Extracted the latest & greatest kdesettings
	  CWS.

2006-05-30  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-basic-default.diff: fix for n#178312

2006-05-30  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/default-impress-ruler.diff,
	* patches/src680/apply: remove.

2006-05-29  Noel Power  <noel.power@novell.com>

	* test/macro/TestAddress.xls: Test doc for various permutations of
	Range.Address() function and associated paramaters
	* test/macro/TestFormula.xls: ditto for the Formula method
	* test/macro/vba_streams/excel-vba-streams-#1.bas: Donated streams by
	Rail for analysis ( currently contains also our own test documents
	which need to be stripped out )

2006-05-29  Noel Power  <noel.power@novell.com>

	* scratch/offapi-vba/XRange.idl: fix for n#179188 & scratch patch
	sync
	* scratch/sc-vba/vbarange.cxx:
	* scratch/sc-vba/vbarange.hxx:
	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-05-29  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/ubuntu-lpi.diff,
	patches/src680/disable-helpcontent2.diff: Update for m3.

2006-05-28  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added fix for n#171052, use basic
	(advanced) shapes for rectangle/ellipse on draw/impress's
	toolbars. make shapes wrap words by default

2006-05-28  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/fontconfig-substitute: Update from Fedora CVS.

2006-05-27  Rene Engelhard  <rene@debian.org>

	* bin/openoffice-xlate-lang: s/ta/ta-IN/

2006-05-27  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply: Reshuffle patch from GentooExperimental
	to GentooOnly, also take Ownership for GentooOnly

2006-05-26  Tor Lillqvist  <tml@novell.com>

	* bin/build-ooo: On Win32 run the OOo configure with
	--enable-check-only so that it doesn't run set_soenv which checks
	for dmake.exe to exist. It doesn't yet at that time on a fresh
	build. Instead run bootstrap after running configure, and only
	then run set_soenv.

2006-05-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sfx2-fallback-to-en-help.diff: Fixed to build.

2006-05-26  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Split out the Novell-specific Win32
	patches to a separate label.

2006-05-26  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added patch to fix problems with cropped
	text sprites

2006-05-02  Miklos Vajna  <vmiklos@frugalware.org>

	* patches/src680/disable-regcomp-java.diff,
	* patches/src680/apply: disable regcomp.

2006-05-26  Noel Power  <noel.power@novell.com>

	* scratch/offapi-vba/XRange.idl: fixes for n#175726, n#178717, n#105391
	* scratch/sc-vba/vbaglobals.cxx:
	* scratch/sc-vba/vbarange.cxx:
	* scratch/sc-vba/vbarange.hxx:
	* scratch/sc-vba/vbaworkbook.cxx:
	* patches/vba/excel-a1-style-column-addressing.diff:
	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-05-26  Tor Lillqvist  <tml@novell.com>

	* patches/scsolver/scsolver-source-inc-global-hxx.diff
	* patches/scsolver/scsolver-source-inc-solvemodel-hxx.diff
	* patches/scsolver/scsolver-source-inc-unohelper-hxx.diff 
	* patches/scsolver/scsolver-source-ui-unohelper-cxx.diff: Remove
	CRs that confuse patch on Cygwin.

2006-05-25  Petr Mladek <pmladek@suse.cz>

	* configure.in, bin/setup.in, bin/package-ooo: new configure
	  option --with-poor-help-localizations to remove insufficient
	  help localizations
	* patches/src680/sfx2-fallback-to-en-help.diff, patches/src680/apply:
	  fall back to the English help even without the symlink, many
	  thanks to Caolan, rh#151357

	* bin/stat-localizations, doc/stat-localizations.txt: new script to
	  check state of localizations; it is very slow :-(

2006-05-25  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-agfa-monotype-fonts.diff
	(postprocess/prj/build.lst): Update.

2006-05-25  Jianhua Jiao <jjiao@novell.com>
    
	* patches/src680/apply,
	  patches/patches/src680/hang-sw-layout.diff: re-enable.
      because without the patch, OOo has same behavier. 

2006-05-25  Jianhua Jiao <jjiao@novell.com>
    
	* patches/src680/apply,
	  patches/patches/src680/hang-sw-layout.diff: disable again 
      because it will lose the space between footer and body frame.

2006-05-25  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added patches for poking gnome screensaver
	during slideshow

2006-05-24  Michael Meeks  <michael.meeks@novell.com>

	* bin/unpack: get top-level basic-shapes icon right, should be
	a diamond n#178384, bin older (up-stream) icon hacks.

2006-05-23  Jiao Jianhua  <jjiao@novell.com>

	* patches/src680/hang-sw-layout.diff,
	* patches/src680/apply: fix sw layout hang,
	n#162979, i#64301, patch from sun

2006-05-23  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: process the new filelist gid_Module_Optional_Kde;
	  it started to include kdebe1.uno.so

2006-05-23  Jan Holesovsky  <kendy@suse.cz>

	* www/detailed-build-guide.html,
	  www/hackers-guide.html,
	  www/index.html: s/go-ooo/go-oo/ ; don't link the old wiki any more.

2006-05-23  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/crash-menu-escape.diff,
	* patches/src680/apply: fix crasher dismissing menus
	n#170772, i#65721, remove obsolete AtkBridge section

2006-05-23  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/configmr-profile.diff: small test app to
	help profile configmgr usage.

2006-05-22  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/dbase-utf8.diff: fixup.

2006-05-22  Petr Mladek  <pmladek@suse.cz>

	* configure.in, desktop/Makefile.am, desktop/*.desktop.in.in,
	  desktop/openoffice-extra.keys.in, desktop/openoffice.applications.in,
	  desktop/openoffice.keys.in, desktop/openoffice.keys.in: substitute
	  @OOO_BINSUFFIX@ and @STARTUPNOTIFY@ already by configure; disable
	  StartupNotify also when libstartup-notify is not available; thanks
	  Grzegorz DÃÂbrowski <gdx@poczta.fm> for patch
	* desktop/*.desktop.in: bin; obsoleted by the new *.desktop.in.in

	* desktop/web.desktop.in: fix category from Office;WebDevelopment to
	  Network;WebDevelopment, n#168663

2006-05-22  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: removed some patch files that for gcc 
	visibility, and removed patch to add visibility macro in patch file 
	below
	* patches/vba/sc-sort-replace-support.diff:

2006-05-22  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Move VBAObjects to Common from
	LinuxCommon. (n#176760)

2006-05-22  Michael Meeks  <michael.meeks@novell.com>

	* download,in, bin/unpack: download biblio.tar.bz2 & unpack.

	* patches/src680/dbase-utf8.diff,
	* patches/src680/apply: Fix bibliographic encoding
	n#155725, i#62664

2006-05-22  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: add new patch for experimental column type 
	addressing support in calc.
	* patches/vba/excel-a1-style-column-addressing.diff:

2006-05-22  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/gengal-cleanup.diff, patches/src680/apply:
	  removes obsolete gengal.rdb and cleans up gengal.sh, i#65361

	* bin/test-ooo: read list of tests from extra config files; remove
	  the potentially broken user configuration after each test; try
	  to kill the potentially running office with both SIGTERM and
	  even with SIGKILL (just to be sure); print help
	* etc/test.list, etc/test.blacklist: initial lists of tests to be
	  started for OOo-2.0.3, many thanks to Joerg Skottke
	  <Joerg.Skottke@sun.com>
	* doc/test-ooo.txt: update for the latest changes

	* bin/test-ooo-analyze: fix output of two statistics

2006-05-22  Tor Lillqvist  <tml@novell.com>

	* doc/bundle-contrib-dicts.sh: More comments about the Portuguese,
	Norwegian and Russian complexities.

2006-05-22  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Make ./configure --help beautiful again.  Hint how to
	  create an own mirror.

2006-05-20  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: fold vba api back into libsc ( keep it as a 
	component though )
	* patches/vba/sc-source-ui-vba-makefile-mk.diff:
	* patches/vba/sc-source-ui-vba-vbaglobals-cxx.diff:
	* patches/vba/scp_vba_uno_service.diff:
	* patches/vba/vba-build.diff:

2006-05-19  Jan Holesovsky  <kendy@suse.cz>

	* patches/cairo/cairo-canvas-clip-more.diff: Fix to apply.

	* patches/64bit/cws-bfsixtyfour.diff,
	  patches/src680/apply: 64bit clean binfilter - by Caolan.

	* configure.in: Default to ooc680-m2.

2006-05-19  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: added cairo-canvas-clip-more.diff which
	contains workaround for cairo bug visible on Xgl and also fixes
	problem with black artefacts around images (also visible on Xgl
	with fixed cairo)

2006-05-19  Jan Holesovsky  <kendy@suse.cz>

	* download.in: Download ooc680-*.

	* configure.in,
	  patches/src680/apply: Switched to ooc680 MWS.

2006-05-19  Noel Power <noel.power@novell.com>

	* patches/vba/*: add tml's Windows fixes (n#176760)
	* scratch/sc-vba/*: sync scratch/patch

2006-05-18  Jianhua Jiao <jjiao@novell.com>
    
	* patches/src680/apply,
	  patches/patches/src680/hang-sw-layout.diff: disable

2006-05-18  Noel Power  <noel.power@novell.com>

	patches/src680/apply: add new patch ( below )
	patches/src680/vcl-glyphs-cjk-embolden.diff: Jian's patch to use for
	n#176701 and i#65520 to use FT_GlyphSlot_Embolden

2006-05-18  Bernhard Rosenkraenzer  <bero@arklinux.org>

	* patches/src680/apply,
	  patches/src680/svx-no-stlport.diff: Fix compile with --without-stlport

	* patches/src680/apply: ooc680-m1 bits

2006-05-18  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/bigint-sfx2.diff,
	  patches/src680/buildfix-i65110.diff,
	  patches/src680/buildfix-scp2-systemjava.diff,
	  patches/src680/buildfix-sd-exceptions.diff,
	  patches/src680/buildfix-sd-exceptions2-m165.diff,
	  patches/src680/buildfix-sd-exceptions2.diff,
	  patches/src680/buildfix-sd-extra-qualification.diff,
	  patches/src680/buildfix-system-xalan.diff,
	  patches/src680/cws-atkbridge-20060328.diff,
	  patches/src680/cws-atkbridge-20060425.diff,
	  patches/src680/fix-stlport-includes-m166.diff,
	  patches/src680/framework-check-items.diff,
	  patches/src680/gtk-kde-fix-m166.diff,
	  patches/src680/leak-sal-module.diff,
	  patches/src680/linguistic-rework.diff,
	  patches/src680/novell-cjk-fonts-m167.diff,
	  patches/src680/novell-splash-m165.diff,
	  patches/src680/office-cfg-vcl-greek-fonts-m167.diff,
	  patches/src680/recovery-disabled-crashreporter-localize-m168.diff,
	  patches/src680/sc-r1c1-m165.diff,
	  patches/src680/sd-gcc41.diff,
	  patches/src680/sfx2-source-view-viewprn-cxx.diff,
	  patches/src680/sot-gcc41.diff,
	  patches/src680/speed-quickstart-m165.diff,
	  patches/src680/speed-uiconfig-parse.diff,
	  patches/src680/store-drop-gcc-libs-on-linking.diff,
	  patches/src680/strtmpl.diff,
	  patches/src680/svx-vbaimport-basic-hang.diff,
	  patches/src680/vcl-menu-fixes-m166.diff,
	  patches/src680/vcl-nwf-menu-checkmarks.diff,
	  patches/src680/win32-msvs-2003-configure.diff,
	  patches/vba/cws-npower1.diff,
	  patches/src680/apply: Remove everything older than m169.

2006-05-18  Michael Meeks  <michael.meeks@novell.com>

	* AUTHORS: update.

2006-05-18  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added tools-smb-url.diff and
	sfx2-title-generic-url.diff, fixes i#65518 and i#65519 - both
	related to document printing (in case document lives on samba
	share)

2006-05-17  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/vcl-freetype-2.2.x.diff,
	  patches/src680/apply: Make it build with system freetype 2.2.x

2006-05-17  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/psprint-postscript-page-setup.diff,
	  patches/src680/apply: Write setup to %%Begin(End)Setup, instead of
	  %%Begin(End)PageSetup, n#80448.

2006-05-17  Noel Power  <noel.power@novell.com>

	* patches/src680/vba/offapi-org-openoffice-vba-xrange-idl.diff: fixes for
	n#104857 & n#176055 
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-05-17  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Update issue and bug numbers for
	win32-activex-disable.diff.

	* bin/unpack: Copy oowintool only if not already there.

2006-05-15  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff: fix for 
	n#175726#
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* scratch/offapi-vba/XRange.idl:
	* scratch/sc-vba/vbarange.[ch]xx:

2006-05-15  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-excel-xlunderlinestyle-idl.diff:
	fixes n#105125#
	* patches/vba/offapi-org-openoffice-vba-xfont-idl.diff:
	* patches/vba/sc-source-ui-vba-vbafont-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbafont-hxx.diff:

2006-05-15  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/recovery-disabled-crashreporter-localize-m168.diff,
	  patches/src680/recovery-disabled-crashreporter-localize.diff,
	  patches/src680/apply: Update for m169.

2006-05-14  Rene Engelhard  <rene@debian.org>

	* patches/src680/disable-access.diff: s/==/=/, patch by NAKATA Maho

2005-05-14  Rene Engelhard  <rene@debian.org>

	* bin/openoffice-xlate-lang: some new languages new in 2.0.3

2006-05-13  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-stlport5.diff: m169 update

2006-05-12  Petr Mladek  <pmladek@suse.cz>

	* bin/build-galleries: sort the list of files that are added to the
	  galleries

2006-05-12  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to m169.

2006-05-12  Noel Power  <noel.power@novell.com>

	* patches/src680/filechooser-samba-problem.diff: fix for n#167900
	* patches/src680/apply:

2006-05-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/recovery-disabled-crashreporter-localize.diff,
	  patches/src680/recovery-disabled-crashreporter.diff,
	  patches/src680/apply: Don't talk about sending crash report when
	  it's disabled.

	* patches/src680/buildfix-ucb-xml-cflags.diff,
	  patches/src680/apply: Not necessary for some time.

2006-05-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: leak-sal-module.diff not necessary for m168
	  any more.

2006-05-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/novell-cjk-fonts-m167.diff,
	  patches/src680/novell-cjk-fonts.diff,
	  patches/src680/office-cfg-vcl-greek-fonts-m167.diff,
	  patches/src680/office-cfg-vcl-greek-fonts.diff,
	  patches/src680/apply: Update to m168.

2006-05-10  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-tokennames-as-defaultparams.diff: fix for n#173496#
	i#65194
	* patches/src680/apply:

2006-05-10  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbarange.[ch]xx: fix for #n105095#
	* scratch/sc-vba/vbacollection.[ch]xx:
	* patches/vba/sc-source-ui-vba-vbacollectionimpl-cxx.diff: cvt above
	into patches
	* patches/vba/sc-source-ui-vba-vbacollectionimpl-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:

2006-05-10  Noel Power  <noel.power@novell.com>

	* scratch/offapi-vba/XComments.idl: sync files in scratch ( seems these
	two are incorrect )
	* scratch/offapi-vba/XVBAToOOEventDescGen.idl:

2006-05-10  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: win32-msvs-2003-configure.diff has been
	integrated in m167.

2006-05-09  Jan Holesovsky  <kendy@suse.cz>

	* patches/mono/mono-build-m166.diff,
	  patches/mono/mono-build.diff,
	  patches/src680/apply,
	  patches/src680/fix-stlport-includes-m166.diff,
	  patches/src680/fix-stlport-includes.diff,
	  patches/src680/gtk-kde-fix-m166.diff,
	  patches/src680/gtk-kde-fix.diff,
	  patches/src680/vcl-menu-fixes-m166.diff,
	  patches/src680/vcl-menu-fixes.diff: Update to m167

	* patches/src680/linguistic-rework.diff,
	  src/Debian.dic,
	  src/Novell.dic,
	  src/Ubuntu.dic: m167 changes the OOo dict magic from OOoDICT1 to
	  OOoUserDict1.

	* patches/src680/automation-x86-64-platform.diff,
	  patches/src680/apply: Fix build of automation.

	* patches/src680/sc-standard-filter-options-i18n.diff,
	  patches/src680/apply: Added from ooo-build-2-0-2.

2006-05-08  Noel Power <noel.power@novell.com>

	* sc/source/ui/vba/vbacollectionimpl.cxx: fix for bug n#105095
	* sc/source/ui/vba/vbacollectionimpl.hxx:
	* sc/source/ui/vba/vbarange.cxx:
	* sc/source/ui/vba/vbarange.hxx:

2006-05-08  Giuseppe GhibÃ² <ghibo@mandriva.com>

	* patches/src680/apply, added fix_filedlghelper.diff in [ Fixes ]
	  section, ported from 2.0.2, as m166 crashes in the same way.
	* bin/packages-ooo: added program/kdebe1.uno.so to kde package list
	  section.

2006-05-06  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply, patches/src/buildfix-i65110.diff: more
	  m166 bits

2006-05-05  Radek Doulik  <rodo@grafik.lounovice>

	* patches/src680/apply: added vcl-composite-string-set-alpha.diff,
	fixes problem with text animations - make sure src picture for
	compositing text has right value alpha channel

2006-05-05  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/framework-layered-accelerators.diff: Updated
	  according to comments in the issue.

2006-05-05  maho <maho@FreeBSD.org> 

	* scratch/offapi-vba/XFont.idl: some new Font attributes
	* scratch/sc-vba/vbapalette.[ch]xx: 
	* scratch/sc-vba/makefile.mk: 
	* scratch/sc-vba/vbacharacters.[ch]xx: 
	* scratch/sc-vba/vbafont.[ch]xx: 
	* scratch/sc-vba/vbainterior.cxx: 
	* scratch/sc-vba/vbarange.cxx: 
	* patches/vba/offapi-org-openoffice-vba-xfont-idl.diff:
	* patches/vba/sc-source-ui-vba-vbapalette-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbapalette-hxx.diff:
	* patches/vba/sc-source-ui-vba-makefile-mk.diff:
	* patches/vba/sc-source-ui-vba-vbacharacters-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbacharacters-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbafont-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbafont-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:

2006-05-05  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-handleautoshapemacro-import.diff: add new 
	include as attempt to fix  m166 breakage 
	( won't affect previous minors )

2006-05-05  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-sd-exceptions2-m165.diff,
	  patches/src680/buildfix-sd-exceptions2.diff,
	  patches/src680/novell-splash-m165.diff,
	  patches/src680/novell-splash.diff,
	  patches/src680/sc-r1c1-m165.diff,
	  patches/src680/sc-r1c1.diff,
	  patches/src680/speed-quickstart-m165.diff,
	  patches/src680/speed-quickstart.diff,
	  patches/src680/apply: m166 support.

	* patches/src680/novell-splash.diff: Minor fix.

2006-05-04  Noel Power  <noel.power@novell.com>

	* patches/src680/sc-source-ui-unobj-funcuno-cxx.diff: fix missing
	strlen check in patch.

2006-05-04  Michael Meeks  <michael.meeks@novell.com>

	* doc/configmgr.txt: Meeks notes on config mgr.

2006-05-04  Jan Holesovsky  <kendy@suse.cz>

	* bin/show-obsolete-patches: Show all obsolete patches' issues.

	* patches/64bit/bigint-datetime.diff,
	  patches/64bit/buildfix-64bit-basic.diff,
	  patches/64bit/buildfix-64bit-config_office.diff,
	  patches/64bit/buildfix-64bit-forms.diff,
	  patches/64bit/buildfix-64bit-framework-minmax.diff,
	  patches/64bit/buildfix-64bit-sc-minmax.diff,
	  patches/64bit/buildfix-64bit-setup_native.diff,
	  patches/64bit/buildfix-64bit-solar-h-sc.diff,
	  patches/64bit/buildfix-64bit-solar-h.diff,
	  patches/64bit/buildfix-64bit-svtools-minmax.diff,
	  patches/64bit/buildfix-64bit-svtools.diff,
	  patches/64bit/buildfix-64bit-svx.diff,
	  patches/64bit/buildfix-64bit-system-jpeg.diff,
	  patches/64bit/buildfix-64bit-tools.diff,
	  patches/64bit/buildfix-comphelper-asyncnotification.diff,
	  patches/64bit/buildfix-incompatible-warning.diff,
	  patches/64bit/buildfix-streamdatetime.diff,
	  patches/64bit/cws-long2int-vcl.diff,
	  patches/64bit/cws-long2int-xmloff.diff,
	  patches/64bit/cws-long2int.diff,
	  patches/64bit/cws-ooo64bit02.2005-04-19.diff,
	  patches/64bit/cws-sixtyfour04.diff,
	  patches/64bit/cws-sixtyfour05-binfilter.diff,
	  patches/64bit/cws-sixtyfour05.diff,
	  patches/64bit/fix-64bit-tools-svbt-binfilter.diff,
	  patches/64bit/fix-64bit-tools-svbt.diff,
	  patches/64bit/streams-automation.diff,
	  patches/64bit/unsorted-basic.diff,
	  patches/64bit/vcl-intptr-m161.diff,
	  patches/64bit/vcl-intptr.diff,
	  patches/src680/ark-experimental-gcj-use-ecj-m163.diff,
	  patches/src680/buildfix-codemaker-interfacetype.diff,
	  patches/src680/buildfix-connectivity-ModuleContext.diff,
	  patches/src680/buildfix-fpicker.diff,
	  patches/src680/buildfix-gcc41-pointers-icu-m162.diff,
	  patches/src680/buildfix-no-java.diff,
	  patches/src680/buildfix-svx-int2long.diff,
	  patches/src680/buildfix-transex3-extra-qualification.diff,
	  patches/src680/cleanup-uiconfig-xml.diff,
	  patches/src680/config_office-ldap.diff,
	  patches/src680/config_office-openldap-fix.diff,
	  patches/src680/cws-dmake43p01-20060323.diff,
	  patches/src680/cws-mdbdriver01-m163.diff,
	  patches/src680/cws-menucleanup.diff,
	  patches/src680/default-no-registration-m163.diff,
	  patches/src680/default-no-registration-menu-m162.diff,
	  patches/src680/filter-always-xsltproc-m163.diff,
	  patches/src680/fix-collator.diff,
	  patches/src680/fontconfig-substitute-m162.diff,
	  patches/src680/fpicker-kde-gcc4-visibility-m162.diff,
	  patches/src680/gui-slide-switch.diff,
	  patches/src680/linguistic-rework-m162.diff,
	  patches/src680/nfs-flock-m164.diff,
	  patches/src680/ooo-save-msoffice-thumbnails.diff,
	  patches/src680/styles-dash.diff,
	  patches/src680/svx-dynamic-const-cast.diff,
	  patches/src680/system-icu-m162.diff,
	  patches/src680/ucb-system-libxml2.diff,
	  patches/src680/use-system-xt-m163.diff,
	  patches/src680/use-xalan-xerces-from-system-ark.diff,
	  patches/src680/vcl-keysymnames-ctrl.diff,
	  patches/src680/warning-return-values-toolkit.diff,
	  patches/src680/workspace.systemjava.diff,
	  patches/vba/cws-npower1-m162.diff,
	  patches/vba/vba-build-m162.diff,
	  patches/vba/vba-build-m163.diff,
	  patches/src680/apply: Remove everything older than m165.

	* patches/src680/apply: Preliminary m166 support, will probably need
	  more.

2006-05-04  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-quickstart-i18n.diff,
	* patches/src680/apply: add i18n & make more unixy.
	
	* patches/src680/sc-datapilot-autoformat.diff,
	* patches/src680/sc-paste-dialog.diff,
	* patches/src680/sc-xl-errors.diff,
	* patches/src680/sc-r1c1.diff: add i18n.

2006-05-04  Michael Meeks  <michael.meeks@novell.com>

	* bin/potores: output confimgr xml syntax too.

2006-05-02  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sc-insert-note-on-right-click.diff,
	* patches/src680/sc-datapilot-dynamic-range.diff,
	* patches/src680/sc-get-pivot-data.diff,
	* patches/src680/sc-info-func.diff: add i18n.

2006-05-03  Hanno Meyer-Thurow  <h.mth@web.de>

	* configure.in: Do not fail for missing PAM headers if '--disable-pam'
	flag is set.

2006-05-03  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-activex-disable.diff: Update for m165 to
	avoid fuzz.

2006-05-03  Jan Holesovsky  <kendy@suse.cz>

	* patches/mono/mono-build.diff: (Hopefully) fix parallel build of
	  cli_ure.

	* patches/src680/apply: store-drop-gcc-libs-on-linking.diff moved to a
	  general section.

	* configure.in: Default to m165.

2006-05-03  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-build-fixes.diff: Remove obsolete patch to
	solenv/inc/tg_ext.mk.

	* patches/src680/win32-activex-disable.diff: Updated diff that
	disables ActiveX more thoroughly.

	Add a new option to the OOo configure.in: --disable-activex. The
	ActiveX Registry items in the scp2/source/*/registryitem_*.scp
	files are bypassed if this option is used.

	In addition, all of the scp2/source/activex/module_activex.scp and
	scp2/source/activex/file_activex.scp files is bypassed. In the
	previous version of this patch, the module_activex.par and
	file_activex.par generated from them were dropped from
	scp2/util/makefile.mk, but the end result is the same.

	* patches/src680/apply: Re-add win32-activex-disable.diff to the
	Win32Only section.

	* bin/setup.in: On Win32, pass --disable-activex to the OOo
	configure script.

	* patches/src680/win32-build-fixes.diff: Update for m164 where the
	setup_native/source/win32/msi-encodinglist.txt fix has been
	incorporated.

	* doc/bundle-contrib-dicts.sh: Update comment.

	* src/Makefile.am (EXTRA_DIST): Dist also the NLD style BMPs for
	the Win32 installer.

2006-05-03  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/disable-helpcontent2.diff: Update.
	* patches/src680/xalan-serializer-jar.diff: Fix configure logic.

2006-05-02  Miklos Vajna  <vmiklos@frugalware.org>

	* distro-config/Frugalware*, patches/src680/apply:
	add system java bits for Frugalware.

2006-05-02  Michael Meeks  <michael.meeks@novell.com>

	* bin/potores: noddy perl script to munge i18n from my
	.po files into .res format.

2006-05-02  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-xmlsec.diff,
	  patches/src680/system-xmlsec-workaround.diff,
	  patches/src680/apply: Split workaround; Add workaround to
	DebianBaseOnly.

2006-05-02  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: fix order and remove duplicate patch
	* patches/src680/debian-dictionary.diff: fix

2006-05-02  Rene Engelhard  <rene@debian.org>

	* patches/src680/ooqstart-honour-soffficerc.diff: (DebianOnly)
	  honour /etc/openoffice/sofficerc (Logo=0/1) at ooqstart

2006-05-01  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/sc-without-stlport.diff,
	  patches/src680/apply: Make m165 compile with --without-stlport4

2006-05-01  Rene Engelhard  <rene@debian.org>

	* patches/src680/ubuntu-no-help-msg.diff: remove, move to...
	* patches/src680/help-msg-add-package-info.diff: here and add
	* patches/src680/apply: remove ubuntu-no-help-msg.diff and add
	  help-msg-add-package-info.diff into DebianBaseOnly

2006-05-01  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/sd-gcc41.diff,
	  patches/src680/apply: Another m165 gcc 4.1 bit

2006-04-30  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/sot-gcc41.diff,
	  patches/src680/apply: Make m165 compile with gcc 4.1

2006-04-30  Rene Engelhard  <rene@debian.org>

	* bin/ooinstall: use simple-install for OpenOffice_SDK also
	  on Debian

2006-04-30  Rene Engelhard  <rene@debian.org>

	* patches/src680/debian-dictionary.dic, src/Debian.dic,
	  patches/src680/apply: Debian dictionary
	* patches/src680/apply: actually enable Lockdown patchset, some
	  cleanup

2006-04-30  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/sal-linux.diff: i#64922
	* patches/src680/disable-pam.diff: i#64923
	* patches/src680/system-xmlsec.diff: Fix apply.
	* patches/src680/dont-copy-and-install-stlport.diff: Cleanup.
	* patches/src680/apply: Update.

2006-04-30  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/gcj-32bit-runtime-path.diff: Fix typo.

2006-04-30  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply: Add IZ links to some patches, and reasons
	  why they aren't in IZ to others

	* distro-configs/Ark.conf.in, distro-configs/Ark64.conf.in:
	  Specify location of serializer.jar

	* patches/src680/apply,
	  patches/src680/ark-experimental-gcj-use-ecj.diff,
	  patches/src680/nfs-flock.diff,
	  patches/src680/ark-experimental-gcj-use-ecj-m163.diff,
	  patches/src680/nfs-flock-m164.diff: Adjust patches to apply on m165

2006-04-30  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/disable-np_sdk.diff,
	  patches/src680/no-ldap-mozilla.diff,
	  patches/src680/gentoo-system-xalan.diff: Bin obsolete hacks.

	* patches/src680/xalan-serializer-jar.diff: Add --with-serializer-jar
	configure flag for Xalan >= 2.7.x; SystemJavaBits section; i#62422.

	* patches/src680/gentoo-xmlsecurity-system-nss.diff: Update, i#64860.
	* patches/src680/apply: Update.

2006-04-28  Frank Chiulli <fc-linux@cox.net>

	* test/Lwp/bold.analysis.txt: add nice thorough analysis
	of what is understandable from a simple lwp file.

2006-04-28  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/fontconfig-substitute.diff,
	patches/src680/ubuntu-lpi.diff: Update.
	* patches/src680/apply: Set owner for all occurences of
	default-system-fpicker.diff.
	* patches/src680/apply: gcj-32bit-runtime-path.diff (i#64888).
	* patches/src680/apply: Set owner for all occurences of
	static-libs-use-_pic.diff.
	* patches/src680/apply: Set owner for Ubuntu branding patches.

2006-04-28  Noel Power  <noel.power@novell.com>

	* test/macro/macrobook-errors.txt: describes current errors with this
	document

2006-04-28  Noel Power  <noel.power@novell.com>

	* patches/vba/cws-npower1.diff: updated with latest changes

2006-04-27  Christian Lohmaier  <cloph@openoffice.org>

	* bin/tag-list: skip non-public CWS'.

2006-04-27  Michael Leibowitz <michael.leibowitz@intel.com>

	* patches/test/dbbe.diff: configunoreg.cxx also edited

2006-04-27  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-neon-0.26.diff,
	  patches/src680/apply: Add system neon 0.26 diff to
	  GentooExperimental, i#64798.

2006-04-27  Petr Mladek  <pmladek@suse.cz>

	* bin/ooinstall, bin/package-ooo, bin/setup.in: support to install
	  and create SDK package; currently enabled only for Novell (in
	  ooinstall), n#168810
	* patches/src680/apply, patches/src680/sdk-gid-module-name.diff:
	  changes the SDK gid module name to gid_Module_Root_SDK, so the
	  generated list of files does not conflict with the main package,
	  i#64802
	* patches/src680/apply, patches/src680/sdk-filenames-with-dollar.diff:
	  allows to install SDK that includes file names with $, i#64801

2006-04-27  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/system-icu.diff: Fix undefined ISOLANG_MAJOR with
	system icu

2006-04-26  Jan Holesovsky  <kendy@suse.cz>

	* bin/cws-commit-patch: cvs add the new files.  Handle "'" in the
	  commit messages gracefully.

2006-04-26  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbahelper.cxx: fix bug when attempting to access
	current document fails ( resulted in core ), throw exception instead
	( should be caught by basic )
	* patches/vba/sc-source-ui-vba-vbahelper-cxx.diff:scratch->patch

2006-04-26  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/fontconfig-substitute.diff: New, renamed
	from framework-nofocussteal.diff.
	* patches/src680/fontconfig-substitute-m162.diff: New, renamed
	from framework-nofocussteal-m162.diff.
	* patches/src680/framework-nofocussteal.diff: Replace
	with the correct patch.
	* patches/src680/framework-nofocussteal-m162.diff: Remove
	* patches/src680/apply: Apply fontconfig-substitute.diff
	in DebianBaseOnly.
	* bin/openoffice-xlate-lang: Add more languages.

2006-04-26  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/fix-stlport-includes.diff: Add two more hunks.
	* patches/src680/disable-external.diff: Update.
	* patches/src680/disable-neon.diff: Bin.
	* patches/src680/apply: m164 cleanups.

2006-04-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-scp2-systemjava.diff: Added forgotten file.

2006-04-26  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/cws-atkbridge-20060425.diff: add
	* patches/src680/buildfix-atkbridge-atk-1.6.diff,
	* patches/src680/cws-atkbridge-20060328.diff,
	* patches/src680/crash-sd-a11y.diff: bin obsolete
	* patches/src680/apply: upd. to latest atkbridge cws:
	several bug fixes.

2006-04-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-system-xalan.diff,
	  patches/src680/cws-mdbdriver01-m163.diff,
	  patches/src680/cws-mdbdriver01.diff,
	  patches/src680/default-no-registration-m163.diff,
	  patches/src680/default-no-registration.diff,
	  patches/src680/filter-always-xsltproc-m163.diff,
	  patches/src680/filter-always-xsltproc.diff,
	  patches/src680/use-system-xt-m163.diff,
	  patches/src680/use-system-xt.diff,
	  patches/vba/vba-build-m163.diff,
	  patches/vba/vba-build.diff,
	  patches/src680/apply,
	  configure.in: Update to m164 & set is as default.

2006-04-26  Noel Power  <noel.power@novell.com>

	* patches/vba/basic-newsize-image-layout.diff: add missing return path 
	to patched method ( very bad form )

2006-04-25  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-ecma-filter.diff: the build logic.
	* scratch/sc-ecma: add *very* nasty ecma importer.

2006-04-25  Jian Hua Jiao  <jjiao@novell.com>

	* patches/src680/hang-sw-layout.diff:
	* patches/src680/apply: Fix layout hang.

2006-04-25  Michael Meeks  <michael.meeks@novell.com>

	* bin/patch-remove: helper for removing win32 specific crud
	defs/wntmsci* from patches.

2006-04-21  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-dp-debug.diff: add debug spew for dp
	performance work.

2006-04-25  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Mark win32-msvs-2003-configure.diff for me.

2006-04-24  Michael Leibowitz <michael.leibowitz@intel.com>

	* patches/test/dbbe.diff: fix to really build

2006-04-24  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/framework-layered-accelerators.diff: Allow
	  language-independent global/module accelerators; not enabled yet.

2006-04-24  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/sc-dp-speed.diff: prototype to test speedup.

	* patches/apply.pl (print_statistic_no_issue): add
	summary details.

2006-04-24  David Fraser  <davidf@sjsoft.com>

	* patches/src680/apply: added issue numbers

2006-04-24  Petr Mladek  <pmladek@suse.cz>

	* bin/ooinstall: read LAST_MINOR from minor.mk and export the
	  variable to set the minor version number in program/versionrc

2006-04-24  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply: add misc. missing owner/issue bits.

2006-04-24  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Move speed-local-link-except.diff and
	speed-local-link.diff to LinuxOnly.

2006-04-20  Petr Mladek  <pmladek@suse.cz>

	* bin/test-ooo: blacklists extras_fonts.bas; it is StarOffice specific
	
	* patches/qatesttool/global-input-ole-linux.diff: fixes list of default
	  OLE objects for the current OOo 2.0 and Linux, i#64623

	* patches/qatesttool/apply: initial version, it is not fully configured
	  apply file; though, it should be in the future

2006-04-21  Jian Hua Jiao  <jjiao@novell.com>

	* patches/src680/fix-fileview-search.diff,
	  patches/src680/apply: Fix crash in fileview.

2006-04-20  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/helpcontent2-greek-fonts.diff,
	  patches/src680/office-cfg-vcl-greek-fonts.diff, patches/src680/apply:
	  better Greek font setting, i#64578, i#64577, n#166267
	* bin/font-munge, bin/help-font-munge: munge the fonts better and
	  consistently: make sure that the Albany..., AMT and Nimbus fonts
	  are added; do not add duplicates; really remove duplicates;
	  prefer AMT over Albany... over MS over Nimbus over bitmap fonts;
	  in fact, the result is nearly the same as before the change; though,
	  it is more predictable now and we really know what we get :-)

2006-04-21  Michael Meeks  <michael.meeks@novell.com>

	* bin/scale-icons, bin/Makefile.am: bin cruft.

2006-04-21  Tor Lillqvist  <tml@novell.com>

	* patches/src680/speed-local-link-except.diff
	(offuh/prj/build.lst): Build offuh\except only on Unix.

	* patches/src680/novell-win32-agfa-monotype-fonts.diff
	(config_office/configure.in): Reduce fuzz when applied to current
	milestones.

2006-04-20  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* Makefile.shared (unpack, patch.apply, patch.unapply),
	patches/src680/apply (Hunspell): remove hunspell patch machinery.

2006-04-20  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/fix-collator.diff,
	  patches/src680/system-icu.diff: Changed according to the up-stream
	  fix.

2006-04-20  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/apply.pl (export_series): add one more hardcoded patch
	path substitution.
	Slightly update --series-from help.

2006-04-19  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/system-icu.diff: Adapt to fix-collator.diff.

2006-04-19  Jian Hua Jiao  <jjiao@novell.com>

	* patches/src680/fix-collator.diff,
	  patches/src680/apply: Fix crash with zh_CN.UTF-8 locale at Writer
	  start time.

2006-04-19  Noel Power  <noel.power@novell.com>

	* patches/vba/cws-npower1.diff: extracted from m160 cws, and adjusted
	for m163
	* patches/vba/cws-npower1-m162.diff: m162 applicable version
	* patches/src680/apply: added the above and reordered bits.
	* patches/vba/vba-dim-and-constants-patch.diff: changes to enable it
	to apply, also added runtime/makefile.mk bits which where removed 
	by superceeded patches

2006-04-18  Noel Power  <noel.power@novell.com>

	* patches/src680/fix-calctyping-core.diff: fixes upstream issue
	i#64467#
	* patches/src680/apply:

2006-04-18  Matthias Klose  <doko@ubuntu.com>

	* bin/openoffice-xlate-lang: Add Indian languages Assamese,
	Malayalam, Marathi, Oriya, Urdu.

2006-04-15  Rene Engelhard  <rene@debian.org>

	* patches/src680/sensible-browser.diff: run sensible-browser with &
	  in kde-open-url

2006-04-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/bigint-datetime.diff: Updated methods names according
	  to Eike's reccomendation.
	* patches/src680/fpicker-kde-gcc4-visibility.diff: Added again
	  an accidentally removed include.

	* patches/src680/framework-nofocussteal-m162.diff,
	  patches/src680/framework-nofocussteal.diff,
	  patches/src680/linguistic-rework-m162.diff,
	  patches/src680/linguistic-rework.diff,
	  patches/src680/apply: Update for m163.

2006-04-14  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-installer-branding.diff
	(instsetoo_native/util/openoffice.lst): Update for m162.

2006-04-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/cws-sixtyfour05-binfilter.diff,
	  patches/64bit/cws-sixtyfour05.diff,
	  patches/src680/buildfix-gcc41-pointers-icu-m162.diff,
	  patches/src680/buildfix-gcc41-pointers-icu.diff,
	  patches/src680/cws-menucleanup.diff,
	  patches/src680/default-no-registration-menu-m162.diff,
	  patches/src680/default-no-registration-menu.diff,
	  patches/src680/fpicker-kde-gcc4-visibility-m162.diff,
	  patches/src680/fpicker-kde-gcc4-visibility.diff,
	  patches/src680/system-icu-m162.diff,
	  patches/src680/system-icu.diff, patches/src680/system-xmlsec.diff,
	  patches/vba/vba-build-m162.diff, patches/vba/vba-build.diff,
	  patches/vba/vba-optionbasesupport-m162.diff,
	  patches/vba/vba-optionbasesupport.diff, patches/src680/apply: m163
	  support.

2006-04-13  Noel Power  <noel.power@novell.com>

	* patches/vba/basic-newsize-image-layout.diff: removed inline definition

2006-04-13  Noel Power  <noel.power@novell.com>

	* patches/vba/basic-newsize-image-layout.diff: signature for AddCode
	method doesn't agree for cxx & hxx, fixed that 

2006-04-13  Radek Doulik  <rodo@novell.com>

	* fonts/OpenSymbol.sfd: set metrics as hinted by ih, ascent to
	1638, descent to 410. works OK for me on linux

	* patches/src680/xmloff/source/draw/ximpstyl.cxx: updated with changes from cl

2006-04-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/cairo/cairo-canvas-redrawmanager-copy-updatearea.diff,
	  patches/cairo/cairo-canvas-surface-resize.diff,
	  patches/cairo/cairo-get-depth.diff,
	  patches/cairo/cairo-scaled-surface-fix.diff,
	  patches/cairo/cairo-textures-crash-fix.diff,
	  patches/cairo/cairo-vcl-gdi-textdraw.diff,
	  patches/src680/buildfix-wizards-aendern.diff,
	  patches/src680/crash-sw-paste.diff,
	  patches/src680/email-attachment-underscore-zero.diff,
	  patches/src680/gnome-desktop-integration.diff,
	  patches/src680/gnome-fpicker-auto-file-type-by-extension.diff,
	  patches/src680/ms-interoperability-email-attachment-as-doc-xls-ppt-m99.diff,
	  patches/src680/printing-desktop-integration.diff,
	  patches/src680/sc-csvfix-ui.diff,
	  patches/src680/sfx2-fpicker-preserve-name.diff,
	  patches/src680/shell-safer-recently-used-perm.diff,
	  patches/src680/svtools-unsort-template-dialogentries-m161.diff,
	  patches/src680/tab-key-for-autocomplete.diff,
	  patches/src680/ui-macro-warnings.diff,
	  patches/src680/ui-macro-warnings2.diff,
	  patches/src680/zoom-combobox-m161.diff,
	  patches/src680/apply: Remove everything older than m162.

2006-04-13  Tor Lillqvist  <tml@novell.com>

	* bin/amt-license-patch: New file, a script to add the Agfa
	Monotype EULA to THIRDPARTYLICENSEREADME.html.

	* bin/unpack: Call above script when necessary.

2006-04-13  Tor Lillqvist  <tml@novell.com>

	* doc/qatesttool-win32.txt: Clean out, no special tricks needed
	after all.

2006-04-13  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: mark remove-default-multimedia-menu.diff
	as #no-upstream

	* patches/apply.pl: make it possible to mark non upstreamable
	patches with #no-upstream

	* patches/src680/apply: added issue numbers to some of my
	patches.

	* Moved slide sorter demo patches to test directory as they
	are not used these days due to problems with them.

2006-04-12  Jody Goldberg <jody@gnome.org>

	* patches/src680/sc-string-arg.diff : Return errCellNoValue rather than
	  errNoValue.  The former is a cheesy internal hack to return out of band
	  data that the value did not exist.  The wrappers catch it.   errNoValue
	  is an actual error.  This weakens the XL compatibility which does
	  return a real error on failure, even for cases like "" and " ". n#164294

2006-04-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-options.diff,
	  patches/src680/apply: Fix -display and other options.

2006-04-12  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/speed-local-link-except.diff,
	* patches/src680/speed-local-link.diff,
	* patches/src680/apply: fixup badness.

	* patches/src680/crash-sd-a11y.diff,
	* patches/src680/apply: fix a11y crasher i#64334, n#165538

2006-04-12  Jan Holesovsky  <kendy@suse.cz>

	* configure.in: Default to m162.

2006-04-12  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply: disable speed-local-link here too.

2006-03-27  Miklos Vajna  <vmiklos@frugalware.org>

	* patches/src680/buildfix-fpicker.diff,
	* patches/src680/apply: fix packimages build failure.

2006-04-09  Petr Mladek  <pmladek@suse.cz>

	* desktop/calc.desktop.in: add InitialPreference=6 to be prefered
	  over gnumeric in KDE

	* desktop/math.desktop.in: use NoDisplay=true instead of Hidden=true;
	  finally, works as expected (is not visible in menu, only provides
	  the MIME type info)

2006-04-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/cleanup-uiconfig-xml.diff,
	  patches/scsolver/scs-sc-menubar.diff,
	  patches/src680/default-no-registration-menu.diff,
	  patches/src680/remove-default-multimedia-menu.diff,
	  patches/src680/sc-r1c1.diff,
	  patches/src680/apply: Remove menu:helpid and menu:label from *.xml

2006-04-11  Noel Power  <noel.power@novell.com>

	* patches/vba/basic-newsize-image-layout.diff: added new patch file to
	increase the pcode image size handled by the application

2006-04-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-sd-exceptions2.diff: Fix one more undefined
	  reference to `boost::throw_exception(std::exception const&)'.

	* patches/src680/apply: Build with 64bit patches even on 32bit archs
	  always, they are all considered safe.

2006-04-10  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/src680/apply: Removed entry for 
	scsolver-workben-mxref_test-cxx.diff.  That file was not meant to
	be commited upstream anyway.

2006-04-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Disabled non-existing
	  scsolver-workben-mxref_test-cxx.diff.

2006-04-10  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-dim-and-constants-patch.diff: disabled slow constant
	lookup from patch.

2006-04-08  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/src680/apply: added new diff file entries under
	CalcSolver.

2006-04-08  Kohei Yoshida  <kohei.yoshida@gmail.com>

	* patches/scsolver/*.diff: re-gened scsolver patches to match 
	scratch/scsolver content.

2006-04-07  Petr Mladek  <pmladek@suse.cz>

	* bin/test-ooo-analyze: total rework, the new version does statistics
	  also by test cases (subtests); allows to do diff between two test
	  results, so we can more easily check for regressions; improves
	  output format; adds more statistics; fixes total numbers; add
	  command line options
	
	* bin/test-ooo: bin some obsolete tests

2006-04-07  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: ui-macro-warnings.diff not needed for m162 &
	  above.

2006-04-07  Tor Lillqvist  <tml@novell.com>

	* doc/qatesttool-win32.txt: New file, notes on running testtool on
	Win32.

2006-04-07  Miklos Vajna  <vmiklos@frugalware.org>

	* patches/src680/frugalware64.diff,
	  patches/src680/frugalware.diff,
	  patches/src680/apply: Update to apply again.

2006-04-06  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/speed-noldapbe.diff: bin
	* distro-configs/Common.conf.in,
	  patches/mono/mono-build.diff,
	  patches/vba/scp_vba_uno_service.diff
	  patches/src680/apply: Move config_office-ldap.diff to BuildBits.
	Fix patches to apply again. [ Default: build with Mozilla LDAP,
	Common.conf.in sets '--with-openldap' - build with OpenLDAP,
	'--disable-ldap' disables LDAP connectivity. ]

2006-04-05  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/use-system-xt-workaround.diff,
	  patches/src680/apply: Workaround non-existence of ecj in openSUSE.

2006-04-05  Tor Lillqvist  <tml@novell.com>

	* doc/gw-odma-word-vs-ooo.txt: Remembered to commit this file.

2006-04-05  Petr Mladek  <pmladek@suse.cz>

	* download.in: download -system.tar.bz2 for all distributions that do
	  not include --without-myspell-dicts in distro-configs/distro.conf.in

2006-04-04  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/kde-backend-build.diff,
	  patches/src680/kde-backend-lockdown.diff,
	  patches/src680/kde-backend-package.diff,
	  patches/src680/kde-backend.diff,
	  patches/src680/apply: KDE backend for system-wide settings by Eric
	  Bischoff.

2006-04-04  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/disable-external.diff: Disable module 'external'.
	* patches/src680/gentoo-no-plain-gcj.diff: Use 'javac' binary/wrapper
	to bytecompile Java source.
	* patches/src680/use-system-xt.diff: Drop GCJ hack.

2006-04-03  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/linkoo-warning.diff,
	* patches/src680/apply: remove, obsolete.

2006-04-03  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: added some issue info

2006-04-03  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/buildfix-64bit-config_office.diff,
	  patches/src680/apply: Improved to be safe for 32bit as well & filed
	  up-stream.

2006-04-03  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply (VBABits): Noel's stuff, shuffle
	some blame around.

	* patches/src680/speed-local-link-except.diff: adapt.

	* patches/src680/speed-2nd-start.diff: remove obsolete.
	
	* patches/src680/speed-local-link-except.diff,
	* patches/src680/speed-local-link.diff,
	* patches/src680/apply: a hack to speed up linking a lot.

2006-04-03  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/buildfix-64bit-sc-minmax.diff: Updated not to break
	  32bit build.

2006-04-03  Radek Doulik  <rodo@novell.com>

	* patches/src680/apply: added styles-dash.diff, fixes i#63107,
	https://bugzilla.novell.com/show_bug.cgi?id=160120

2006-04-02  Rene Engelhard  <rene@debian.org>

	* patches/src680/framework-nofocussteal.diff: update for m162

2006-03-31  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/accessibleChild-sc-sd-svx-sw.diff,
	  patches/64bit/bigint-sd-sfx2-sw-tools.diff,
	  patches/64bit/buildfix-64bit-dbaccess.diff,
	  patches/64bit/buildfix-64bit-on-32bit-systems.diff,
	  patches/64bit/buildfix-64bit-scp2-no-python.diff,
	  patches/64bit/cincludes.diff,
	  patches/64bit/resid-extensions-padmin.diff,
	  patches/64bit/trivial-basic.diff,
	  patches/64bit/trivial-chart2.diff,
	  patches/64bit/trivial-dbaccess.diff,
	  patches/64bit/trivial-extensions.diff,
	  patches/64bit/trivial-filter.diff,
	  patches/64bit/trivial-framework.diff,
	  patches/64bit/trivial-sch.diff,
	  patches/64bit/trivial-sfx2.diff,
	  patches/64bit/trivial-so3.diff,
	  patches/64bit/trivial-starmath.diff,
	  patches/64bit/trivial-svtools.diff,
	  patches/64bit/trivial-svx.diff,
	  patches/64bit/trivial-vcl.diff,
	  patches/64bit/trivial-xmloff.diff: Remove, obsolete.
	* patches/64bit/solaris64-nas.diff,
	  patches/64bit/solaris64-sal.diff,
	  patches/64bit/solaris64-solenv.diff,
	  patches/64bit/solaris64-stlport.diff: Bin, we don't care about
	  Solaris64...
	* patches/src680/apply: Apply the above & more patches marked as filed
	  up-stream.

	* patches/src680/apply: All safe 64bit sections merged into one.

2006-03-31  Noel Power  <noel.power@novell.com>

	* patches/src680/cws-atkbridge-20060328.diff: modified to fix core
	when pressing escape when context menu is displayed

2006-03-31  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/vcl-intptr-m161.diff,
	  patches/64bit/vcl-intptr.diff,
	  patches/src680/svtools-unsort-template-dialogentries-m161.diff,
	  patches/src680/svtools-unsort-template-dialogentries.diff,
	  patches/src680/zoom-combobox-m161.diff,
	  patches/src680/zoom-combobox.diff,
	  patches/vba/svx-source-form-fmundo-cxx.diff,
	  patches/vba/vba-sc-docuno-hook-m161.diff,
	  patches/vba/vba-sc-docuno-hook.diff,
	  patches/src680/apply: Update to m162.

	* patches/src680/buildfix-transex3-extra-qualification.diff,
	  patches/src680/apply: Fix extra qualification 'XMLFile::' in
	  transex3.

	* patches/src680/buildfix-connectivity-ModuleContext.diff,
	  patches/src680/apply: Don't include non-existing ModuleContext.hxx
	  in connectivity.

	* patches/src680/buildfix-svx-int2long.diff,
	  patches/src680/apply: Call 'Fraction()' with long, instead of
	  sal_Int32.

2006-03-31  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/splash-title.diff,
	* patches/src680/apply: bin daft & obsolete patch,
	file some patches up-stream.
	Assign all -splash patches to Petr: getting configurable
	splash up-stream is all yours.

	* patches/test/size-sound*: move here from patches
	* patches/src680/apply: Ubunto section owned by doko.

2006-03-31  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: [NovellOnlyWin32] Drop
	filebug-support.diff, we don't want to point there.

2006-03-31  Andreas Proschofsky  <suka@gentoo.org>

	* distro-configs/Gentoo.conf.in:
	* patches/src680/apply: Move buildfix-no-java.diff so that everyone
	is getting it, also some minor Gentoo-specific change

2006-03-30  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/sal-cxa-guard.diff,
	  patches/src680/apply: Remove.  Empty implementation of
	  __cxa_guard_acquire/__cxa_guard_release is really not a good idea;
	  and the initial problem is solved somehow else up-stream anyway.

2006-03-30  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/buildfix-atkbridge-atk-1.6.diff, patches/src680/apply:
	  fix build with atk-1.6; it will be included in CWS atkbridge soon,
	  i#63580
	
	* distro-configs/SUSE-9.1.conf.in: disable cairo for SL9.1/NLD9 builds

2006-03-30  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/sc-paste-dialog.diff: add i18n support.

2006-03-30  Tor Lillqvist  <tml@novell.com>

	* patches/src680/win32-build-fixes.diff (tools/util/makefile.mk):
	Fix typo.

2006-03-30  Tor Lillqvist  <tml@novell.com>

	* bin/unpack: Cosmetics: Add a couple of missing spaces to
	messages. Don't try to chmod
	$OOBUILDDIR/external/dbghelp/DbgHelp.Dll here, as it isn't there
	yet. This is handled in Makefile.shared's patch.apply rule.

2006-03-30  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/config_office-ldap.diff: Fix ldap configuration.
	Replaces no-ldap-mozilla.diff and disable-np_sdk.diff hacks.

2006-03-30  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: File some diffs as upstream issues, add
	issue numbers.

2006-03-30  Tor Lillqvist  <tml@novell.com>

	* patches/src680/apply: Fix confusion: Rename the Win32Common
	section (leaf) to Win32Only. Keep Win32Common as a non-leaf node
	(of which Win32Only now is a descendant).

2006-03-30  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/apply: adjust ownership:
	VBAObjects -> noelp entirely. shilpas -> rodo,
	mnicel -> jodo, shres -> michael (mostly), rsiddhar -> michael,
	sragavan -> jody, mjayant -> michael (mostly)

2006-03-30  Tor Lillqvist  <tml@novell.com>

	* bin/setup.in: On Win32, pass --with-build-version with a string
	indicating the build date. (Well, the date bin/setup was run,
	which might not be the same date as OOo actually was built, if one
	then uses the "build" command. Also note that building OOo might
	tave several days. But at least it makes it easier to identify a
	build based on the Help:About dialog.)

2006-03-29  Petr Mladek  <pmladek@suse.cz>

	* patches/apply.pl: fix --add-developer to work again; some more fixes;
	  some more comments; no syntax change in the apply file!

2006-03-29  Tor Lillqvist  <tml@novell.com>

	* doc/gw-odma.txt: Add more notes.

2006-03-29  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-testtools.diff,
	  patches/src680/apply: Bin, the fix is in solenv/inc/ant.mk now.

2006-03-29  Noel Power  <noel.power@novell.com>

	* patches/src680/svx-vbaimport-basic-hang.diff: fix for i#63766
	import of vba stream containing "Attribute" causes hang
	* patches/src680/apply: added above

2006-03-29  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-quickstart.diff,
	  patches/vba/scp_vba_uno_service.diff: DLLSUFFIX -> DLLPOSTFIX to fix install.

2006-03-29  Hanno Meyer-Thurow  <h.mth@web.de>

	* patches/src680/gcj-encoding-utf8.diff: bin (in m161)
	* patches/src680/gentoo-hunspell.diff: bin (use system hunspell)

	* patches/src680/system-stlport5-config.diff,
	  patches/src680/system-stlport5-STLPORT_VER.diff,
	  patches/src680/system-stlport5.diff: i#63770

	* patches/src680/apply: Update GentooExperimental section for m161.

2006-03-29  Jan Holesovsky  <kendy@suse.cz>

	* bin/cws-commit-patch: Accept 'planned' CWS state.

	* patches/64bit/vcl-intptr.diff,
	  patches/src680/buildfix-sd-exceptions.diff,
	  patches/src680/buildfix-sd-extra-qualification.diff,
	  patches/src680/apply: m161 support, more patches marked as
	  up-streamed.

2006-03-29 NAKATA Maho  <chat95@mac.com>

	* scratch/offapi-vba/Excel/*: new constants ( lots & lots )
	* patches/vba/offapi-org-openoffice-vba-excel-*.diff:
	* patches/src680/apply:

2006-03-28  Petr Mladek <pmladek@suse.cz>

	* patches/apply.pl: support SectionOwner => xxx, SectionIssue => x#1234
	  tags, so you need not define the developer name or the issue number
	  for each patch if it is the same; the issue number or the developer
	  name still can be redefined for a particular patch;
	  more bug numbers can defined now; they are separated by commas ',';
	  the format is abc#12334, where abc is a shortcat of the bugzilla
	  and 12345 is the bug number; you should always define the issue numer
	  from OOo isussuezilla as i#12345;
	  --statistic-no-issue prints a better statistic now
	* patches/src680/apply: converted i12345 -> i#12345; defined some
	  obvious SectionOwners;

2006-03-28  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/cws-sixtyfour01.diff,
	  patches/64bit/cws-sixtyfour02.diff,
	  patches/64bit/cws-sixtyfour03.diff: Obsolete, removed.

	* patches/64bit/bigint-sfx2.diff,
	  patches/64bit/buildfix-64bit-framework-minmax.diff,
	  patches/64bit/buildfix-64bit-sc-minmax.diff,
	  patches/64bit/buildfix-64bit-solar-h-sc.diff,
	  patches/64bit/buildfix-64bit-solar-h.diff,
	  patches/64bit/buildfix-64bit-svtools-minmax.diff,
	  patches/64bit/buildfix-64bit-svx.diff,
	  patches/64bit/buildfix-incompatible-warning.diff,
	  patches/64bit/buildfix-streamdatetime.diff,
	  patches/64bit/cws-long2int-vcl.diff,
	  patches/64bit/cws-long2int-xmloff.diff,
	  patches/64bit/cws-long2int.diff,
	  patches/64bit/cws-sixtyfour04.diff,
	  patches/64bit/fix-64bit-tools-svbt-binfilter.diff,
	  patches/64bit/streams-automation.diff: New for m160.

	* patches/64bit/bigint-datetime.diff,
	  patches/64bit/buildfix-64bit-basic.diff,
	  patches/64bit/fix-64bit-tools-svbt.diff,
	  patches/src680/apply: Updated 64bit support in m160 - incomplete.

2006-03-28  Jody Goldberg <jody@gnome.org>

	* patches/src680/apply:
	* patches/src680/sc-xls-pivot-optimization.diff : Optimization to
	  use a hash in place of a list with resulting improvement in
	  non-trivial pivot tables.

2006-03-28  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/cws-atkbridge-20060328.diff,
	* patches/src680/apply: import critical fix from obr.

2006-03-28  Martin Kretzschmar  <martink@gnome.org>

	* emacs.el (openoffice.org-c-hook, openoffice.org-src-dir)
	(openoffice.org-set-env-file): add some magic to make M-x compile
	work better.

2006-03-24  Noel  Power  <noel.power@novell.com>

	* patches/src680/apply: removed 
	extensions-source-propctrlr-makefile-mk.diff & 
	extensions-source-propctrlr-formcontroller-cxx.diff, no longer needed

2006-03-23  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/cws-dmake43p01-20060323.diff, patches/src680/apply:
	  update cws-dmake43p01.diff to the current snapshot
	* patches/src680/cws-dmake43p01-20060131.diff: bin the old one

2006-03-23  Petr Mladek  <pmladek@suse.cz>

	* man/openoffice.1_SUSE.in: update for the simple wrappers
	
	* bin/package-ooo: install the man pages for all the simple wrappers;
	  use the SUSE specific template for all SUSE-* distros

2006-03-23  Rene Engelhard  <rene@debian.org>

	* bin/openofficee-xlate-lang: add mk, lo

2006-03-22  Noel Power  <noel.power@novell.com>

	* patches/src680/automation-testtool-oobuildfix.diff: removed bits that
	turned off compatibility ( compatability is no longer on by default )

2006-03-22  Petr Mladek  <pmladek@suse.cz>

	* configure.in, patches/src680/apply, distro-configs/SUSE-10.1.conf.in:
	  was high time to copy SUSE.conf.in for SL10.1/NLD10

2006-03-22  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: removed default-vba-compatible.diff, now
	the compatibility options are handled from patch below if 
	VBASupport Option is enabled.
	* patches/vba/vba-runtime-vba-enabled.diff: compatibilty options are 
	now controled by enabling of the VBASupport option 

2006-03-22  Petr Mladek  <pmladek@suse.cz>

	* patches/apply.pl: added possibility to define some more information
	  for each patch; they can separated by commas ',' and three types are
	  curretly known: iXXXX (issue number), cws-XXX (CWS name),
	  XXX (developer name);
	  new option --statistic-no-issue that prints some statistics about
	  pathes without assigned issue number;
	  new option --add-developer that adds missing developer names for each
	  patch, it guesses it using cvs annotate
	* patches/src680/apply: moved issue numbers from comments to the
	  related patch entries; added initial information about developers
	  by apply.pl --add-developer

2006-03-22  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/gui-insensitive.diff: do de-saturation
	slightly differently.

2006-03-21  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/framework-check-items.diff,
	* patches/src680/apply: markup the menu items
	correctly wrt. MIB_CHECKABLE.2

2006-03-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-codemaker-interfacetype.diff,
	  patches/src680/apply: Fix extra qualification 'InterfaceType::' on
	  member 'dumpAmbiguousBaseInterfaces'.

	* patches/mono/build-mono-link.diff,
	  patches/mono/mono-build.diff,
	  patches/src680/apply: Fix mono build.

	* patches/64bit/buildfix-comphelper-asyncnotification.diff,
	  patches/src680/apply: Fix asyncnotification.cxx casting pointers to
	  int.

	* patches/src680/buildfix-wizards-aendern.diff,
	  patches/src680/apply: Fix FilterComponent.java contains illegal
	  char.

2006-03-21  Jan Holesovsky  <kendy@suse.cz>

	* src680-m160 support.

	* patches/64bit/buildfix-64bit-automation.diff,
	  patches/64bit/buildfix-64bit-canvas.diff,
	  patches/64bit/buildfix-64bit-cppcanvas.diff,
	  patches/64bit/buildfix-64bit-sw-editsh.diff,
	  patches/64bit/event-extensions.diff,
	  patches/64bit/fix-64bit-bridges-2.diff,
	  patches/64bit/fix-64bit-bridges-3.diff,
	  patches/64bit/fix-64bit-bridges.diff,
	  patches/64bit/fix-64bit-solenv-O2.diff,
	  patches/64bit/fix-64bit-sw-filter-ww8.diff,
	  patches/64bit/fix-64bit-sw-text-offset.diff,
	  patches/64bit/gcj-jvmfwk-gcc41-lib64.diff,
	  patches/64bit/polygonpoints-psprint-vcl.diff,
	  patches/64bit/unsorted-bridges-x86_64.diff,
	  patches/64bit/unsorted-desktop.diff,
	  patches/64bit/unsorted-jvmfwk.diff,
	  patches/64bit/unsorted-sal.diff,
	  patches/64bit/unsorted-store.diff,
	  patches/cairo/cairo-canvas-component-install.diff,
	  patches/cairo/cairo-canvas-rgb-surface-fallback.diff,
	  patches/cairo/cairo-canvas-vcl.diff,
	  patches/cairo/cairo-config-office-configure-in.diff,
	  patches/cairo/cairo-config-office-set-soenv-in.diff,
	  patches/cairo/cairo-makefile-mk.diff,
	  patches/cairo/cairo-prj-build-lst.diff,
	  patches/cairo/cairo-prj-d-lst.diff,
	  patches/cairo/cairo-scp2.diff,
	  patches/cairo/cairo-svx-source-dialog-makefile-mk.diff,
	  patches/cairo/cairo-svx-source-dialog-optgdlg-cxx.diff,
	  patches/cairo/cairo-svx-source-dialog-optgdlg-src-hrc.diff,
	  patches/cairo/cairo-vd-colormap.diff,
	  patches/cairo/canvas-prj-build-lst.diff,
	  patches/cairo/canvas-prj-d-lst.diff,
	  patches/cairo/canvas-source-cairo-cairo_cachedbitmap-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_cachedbitmap-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_cairo-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_cairo-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvasbitmap-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvasbitmap-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvascustomsprite-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvascustomsprite-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvasfont-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvasfont-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvashelper-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvashelper-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_canvashelper_text-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_devicehelper-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_devicehelper-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_helper-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_helper-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_impltools-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_outdevprovider-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_repainttarget-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_sprite-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritecanvas-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritecanvas-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritecanvashelper-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritecanvashelper-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritehelper-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_spritehelper-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_textlayout-cxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_textlayout-hxx.diff,
	  patches/cairo/canvas-source-cairo-cairo_windowgraphicdevice-hxx.diff,
	  patches/cairo/canvas-source-cairo-exports-dxp.diff,
	  patches/cairo/canvas-source-cairo-exports-map.diff,
	  patches/cairo/canvas-source-cairo-makefile-mk.diff,
	  patches/cairo/canvas-source-factory-cf-service-cxx.diff,
	  patches/evo2/dbaccess-evo-changes.diff,
	  patches/src680/buildfix-icu-incremental.diff,
	  patches/src680/buildfix-parallel-cli_ure.diff,
	  patches/src680/buildfix-ppd-afm-check-62068.diff,
	  patches/src680/buildfix-sd-slidesorter.diff,
	  patches/src680/buildfix-without-mozilla.diff,
	  patches/src680/cws-evo2fixes.diff,
	  patches/src680/cws-jaxpapi.diff,
	  patches/src680/sc-escape-print-preview.diff,
	  patches/src680/speed-build-date.diff,
	  patches/src680/starmath-stl-vector-h.diff,
	  patches/src680/sw-escape-print-preview.diff,
	  patches/src680/wizard-evo-local.diff: Removed, obsolete.
	* patches/src680/debug-bits.diff,
	  patches/src680/gcj-HelpLinker-native.diff,
	  patches/src680/smoketest-noinstall.diff,
	  patches/src680/speed-ooqstart.diff,
	  patches/src680/use-system-xt.diff,
	  patches/src680/workspace.systemjava.diff,
	  patches/vba/vba-build.diff,
	  patches/mono/mono-build.diff,
	  patches/src680/apply: Updated to m160.

2006-03-21  maho <maho@FreeBSD.org>

	* patches/src680/apply: oops forgot to add the new constant patch 
	files to apply

2006-03-21  maho <maho@FreeBSD.org>

	* patches/vba/offapi-org-openoffice-vba-excel-xllistconflict-idl.diff:
	a slew of new constants
	* patches/vba/offapi-org-openoffice-vba-excel-xllistdatatype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xllistobjectsourcetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xllocationintable-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlmailsystem-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlmarkerstyle-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlmousebutton-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlmousepointer-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlmsapplication-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlobjectsize-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xloletype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xloleverb-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlorder-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlorientation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpagebreak-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpagebreakextent-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpageorientation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpapersize-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlparameterdatatype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlparametertype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpastespecialoperation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpastetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpattern-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlphoneticalignment-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpictureappearance-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpictureconvertortype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivotcelltype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivotfieldcalculation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivotfielddatatype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivotfieldorientation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivotformattype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivottablemissingitems-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivottablesourcetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpivottableversionlist-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlplacement-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlplatform-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlprinterrors-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlprintlocation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlpriority-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlptselectionmode-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlquerytype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlrangeautoformat-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlrangevaluedatatype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlreferencestyle-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlreferencetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlrobustconnect-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlroutingslipdelivery-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlroutingslipstatus-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlrowcol-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlrunautomacro-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsaveaction-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsaveasaccessmode-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsaveconflictresolution-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlscaletype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsearchdirection-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsearchwithin-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsheettype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsheetvisibility-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsizerepresents-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsmarttagcontroltype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsmarttagdisplaymode-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsortmethodold-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsorttype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsourcetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlspeakdirection-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlspecialcellsvalue-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsubscribetoformat-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsubtototallocationtype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsummarycolumn-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsummaryreporttype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlsummaryrow-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltabposition-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltextparsingtype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltextqualifier-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltextvisuallayouttype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlticklabelorientation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlticklabelposition-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltimemark-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltimeunit-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltoolbarprotection-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltotalscalculation-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xltrendlinetype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlunderlinestyle-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlupdatelinks-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlvalign-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwbatemplate-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwebformatting-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwebsectiontype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwindowstate-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwindowtype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlwindowview-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlxlmmacrotype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlxmlexportresult-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlxmlimportresult-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-xlxmlloadoption-idl.diff:
	* scratch/offapi-vba/*: associated files with above

2006-03-21  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/buildfix-no-java-ppc.diff,
	  patches/src680/buildfix-tg-config-gij-ppc-hack.diff,
	  patches/src680/buildfix-testtool-skip-gij-ppc-hack.diff,
	  patches/src680/apply: bin obsolete patches and the whole
	  SUSEPPCOnly section; strange, the patches are not necessary after
	  I completely removed the broken commercial Java SDK from the
	  build root. It seems that it affected the build even when we built
	  with gcj.

	* bin/test-ooo: start tests with export OOO_FORCE_SYSALLOC=1,
	  export MALLOC_CHECK_=2

2006-03-20  Noel Power  <noel.power@novell.com>

	* patches/src680/lwp-filter-component.diff: removed some unnessesary
	conditional stuff.

2006-03-20  Noel Power  <noel.power@novell.com>

	* patches/src680/apply: replaced {lwp-detect.diff, lwp-parse.diff, 
	lwp-build.diff } with lwp-filter-component.diff, wordpro filter 
	as and xml filter implementation

	* patches/src680/lwp-filter-component.diff: new xml filter 
	implementation.

2006-03-20  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-except-codemaker.diff: split out
	the real substance of the change.

2006-03-20  Jan Holesovsky  <kendy@suse.cz>

	* Branched for 2.0.2:
	  OOO-BUILD-2-0-2-ANCHOR - the anchor tag,
	  ooo-build-2-0-2 - the branch.

2006-03-20  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-except.diff: inching towards victory.

2006-03-20  Martin Kretzschmar  <martink@gnome.org>

	* bin/package-ooo: fix order of find arguments.

2006-03-18  Giuseppe GhibÃ² <ghibo@mandriva.com>

	* patches/src680/help-support-mdv.diff: added from help-support.diff
	  and modified support URL page.

2006-03-17  Michael Leibowitz <michael.leibowitz@intel.com>

	* patches/test/dbbe.diff: apply this patch to build the
	scratch/dbbe stuff

2006-03-17  Jan Holesovsky  <kendy@suse.cz>

	* Version 2.0.2.1

	* configure.in, NEWS: Version 2.0.2.1

	* patches/src680/apply: Fixed wrong order of the fpicker patches.

2006-03-17  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: disable system-xslt patch also
	  on Debian

2006-03-17  Jan Holesovsky  <kendy@suse.cz>

	* configure.in, download.in,
	  bin/unpack: Don't require ooo_crystal_images-1.tar.gz any more, it's
	  already integrated.

2006-03-16  Rene Engelhard  <rene@debian.org>

	* patches/src680/static-libs-use-_pic.diff: update

2006-03-16  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/fpicker-multiselect.diff: fix a number of
	multiple selection issues for gtk+ and built-in file selector.

2006-03-15  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* doc/intro.txt: improve description of downloadables.

2006-03-15  Petr Mladek  <pmladek@suse.cz>

	* doc/intro.txt: ooo-build intro; it gives the basic overview about
	  the current functionality

2006-03-15  Matthias Klose  <doko@ubuntu.com>

	* bin/transform: Fix --revert for helpcontent2 files.
	* bin/font-munge: push SansSerif to the end of the list,
	some Tamil fonts don't have all ISO-8859-1 characters defined.
	Prefer the DejaVu font family for the UI_* fonts (Ubuntu only).
	* bin/help-font-munge: push sans-serif to the end of the list,
	some Tamil fonts don't have all ISO-8859-1 characters defined.
	Prefer the DejaVu font family (Ubuntu only).
	* patches/src680/no-sans-serif-default.diff: Remove.
	* patches/src680/apply: Don't apply no-sans-serif-default.diff.

	* src/Ubuntu.dic, patches/src680/ubuntu-palette.diff,
	patches/src680/ubuntu-dictionary.diff: New.
	* patches/src680/apply: Apply new patches.

	* patches/src680/apply: Move xmlhelp-use-libxslt-from-system.diff
	from DebianBaseOnly to DebianOnly.

2006-03-14  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: enable CalcSolver for DebianBase

2006-03-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/apply: Temporarily disabled
	  speed-ooqstart-hide-asap.diff, working on a fix.

	* patches/src680/speed-ooqstart-hide-asap.diff,
	  patches/src680/speed-ooqstart.diff,
	  patches/src680/apply: Fixed the crasher.

2006-03-14  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/fpicker-multiselect.diff,
	* patches/src680/apply: new API & impl. to fix evil multiselect
	issues.

2006-03-14  Matthias Klose  <doko@ubuntu.com>

	* bin/ooo-wrapper.in: ooqstart now handles empty arguments.

2006-03-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-slot.diff,
	  patches/src680/apply: Handle slot:XYZ correctly, n#157583.

	* patches/src680/speed-ooqstart-open-empty.diff,
	  patches/src680/speed-ooqstart-hide-asap.diff,
	  patches/src680/speed-ooqstart.diff,
	  patches/src680/apply: ooqstart: Open blank window when no param is
	  given; close the splash as soon as possible.

2006-03-13  Tor Lillqvist  <tml@novell.com>

	* patches/src680/novell-win32-odma.diff: New file. Incorporates
	and updates the patches in patches/test/win32-odma-build.diff and
	win32-odma-gw-fix.diff. Additional fixes:

	(ucb/source/ucp/odma/odma.h): Replace with odma.h from ODMA SDK
	2.0.0.

	(ucb/source/ucp/odma/odma_provider.cxx): Correct end condition in
	for loop. Makes us really call ODMCloseDocEx() when closing a
	document originating from ODMA, and thus not leaving it in an
	in-use state.

	(ucb/source/ucp/odma/odma_content.hxx)
	(ucb/source/ucp/odma/odma_provider.hxx)
	(ucb/source/ucp/odma/ucpodma.xml): Spell ODMAContentProvider
	consistently, like in the IDL files.

	(officecfg/registry/data/org/openoffice/ucb/Configuration.xcu):
	Add the ODMA provider.
	
	From win32-odma-build.diff:
	
	(ucb/prj/build.lst): Add ucb\source\ucp\odma to the Windows build.

	(scp2/source/ooo/file_library_ooo.scp): Add ucpodma1.dll.

	(desktop/source/app/cmdlineargs.cxx): Recognize command line
	arguments that are ODMA ids and make them into OOo URIs by
	prefixing with vnd.sun.star.odma:/ .

	From win32-odma-gw-fix.diff:

	(ucb/source/ucp/odma/odma_content.cxx): Don't pass NULL as second
	parameter to ODMSaveAsEx(). Causes a crash with GroupWise.

	* patches/src680/apply: Add novell-win32-odma.diff to the
	NovellOnlyWin32 set.

2006-03-13  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbainterior.[ch]xx: add support for default palette,
	also try and access ( if it exists ) the imported excel palette/
	* patches/vba/vba-support-export-palette.diff: modifies the 
	filter to export the imported palette as a document property 
	'ColorPaletter'
	* patches/vba/sc-source-ui-vba-vbainterior-[ch]xx.diff:scratch->patch
	merge

2006-03-13  Matthias Klose  <doko@ubuntu.com>

	* patches/src680/gcj-32bit-runtime-path.diff: Update for gcj-4.1.

2006-03-13  Radek Doulik  <rodo@novell.com>

	* fonts/OpenSymbol.sfd: use the same encoding as Sun's
	opens___.ttf, fix problem with 0x00ad vs. 0x2212, which had same
	unicode value set. regenerated opens___.ttf

2006-03-12  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/src680/sw-html-export-style-type.diff,
	patches/src680/apply: HTML validity improvement. #i63081,
	Ubuntu #20294.

2006-03-12  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/ark-default-ExternalMailer.diff,
	  patches/src680/apply: ArkOnly: default to external kmail

2006-03-12  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/src680/use-system-xt.diff: Java is an immature
	technology that breaks under your feet. I should not write
	ChangeLog entries at this time/in this mood.

2006-03-11  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bin/unpack: fix small industrial outline level icons. (#i63054,
	Ubuntu #28400). Or, if you ignore my dup: #i62707.

2006-03-11  Giuseppe GhibÃ²  <ghibo@mandriva.com>
	* bin/ooo-wrapper.in: set $ENV{OOO_EXTRA_ARG} to '' in case it's not
	  set to avoid warning: "Use of uninitialized value in 
	  string eq at ..."

2006-03-10  Noel Power  <noel.power@novell.com>

	* patches/vba/offapi-org-openoffice-vba-xvbatoooeventdescgen-idl.diff:
	rework of event handling for toolbox controls.
	* patches/vba/svx-source-form-makefile.diff:
	* patches/vba/vbaevents-services-sources.diff:

2006-03-10  Jan Holesovsky  <kendy@suse.cz>

	* patches/64bit/cws-sixtyfour01.diff,
	  patches/64bit/cws-sixtyfour02.diff,
	  patches/64bit/cws-sixtyfour03.diff: Extracted 64bit CWS'es.

2006-03-09  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/vcl-keysymnames-ctrl.diff,
	  patches/src680/apply: Use 'Ctrl' instead of 'Control' in menu
	  shortcuts.

2006-03-09  Petr Mladek  <pmladek@suse.cz>

	* Version 2.0.2
	
	* set OOO_2_0_2 as the default build tag
	
	* download.in: add entry for OOO_2_0_2 sources

2006-03-09  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbarange.cxx: Fix bug with interior
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff: scratch->patch merge

2006-03-09  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/speed-ooqstart-x11-only.diff: include missing headers
	  to avoid warnings about implicit declaration

	* patches/apply.pl: bin one useless check, which I added today ;-)

	* patches/src680/buildfix-tg-config-gij-ppc-hack.diff,
	  patches/src680/buildfix-tg-config-gij-ppc-hack.diff (SUSEPPCOnly):
	  two ugly hacks to finish build with gcj on ppc; hopefully, we will
	  get rid of them soon
	* distro-configs/SUSE-PPC.conf.in, patches/src680/apply: enable build
	  with gcj on ppc, finally, n#115274

2006-03-09  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* download.in (SRC_URLS): fix glob/regex confusion.

2006-03-09  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	  bin/package-ooo,
	  desktop/base.desktop.in,
	  desktop/calc.desktop.in,
	  desktop/draw.desktop.in,
	  desktop/impress.desktop.in,
	  desktop/math.desktop.in,
	  desktop/template.desktop.in,
	  desktop/web.desktop.in,
	  desktop/writer.desktop.in: Startup-notification disabled only when
	  we use ooqstart.

	* patches/src680/speed-ooqstart-more-steps.diff,
	  patches/src680/apply: Show more steps during startup.

2006-03-09  Michael Meeks  <michael.meeks@novell.com>

	* bin/package-ooo: fix oofromtemplate n#152530

2006-03-09  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart-x11-only.diff: Call
	  suppress_decorations_motif() unconditionally - for Metacity.

2006-03-09  Petr Mladek  <pmladek@suse.cz>

	* patches/apply.pl: really do not mix rules for more MWSes; support
	  "MWS" without any milestone, such as OOO_2_0_2; the dash '-' is
	  used to separate the milestone number; add != rule; thanks to Jan
	  for help

	* patches/src680/apply: do not apply buildfix-ppd-afm-check-62068.diff
	  for the tag OOO_2_0_2

2006-03-09  Radek Doulik  <rodo@novell.com>

	* fonts/opens___.ttf, fonts/OpenSymbol.sfd: fixed line spacing as
	suggested by cloph, make level 1 and 2 item bullets the same size
	(see i#59997)

2006-03-09  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/psprint_config-no-orig-m156.diff
	  patches/src680/speed-quickstart-m1.diff,
	  patches/src680/system-neon-0.25.diff,
	  patches/src680/apply: Remove everything older than oob680-m5,
	  including the old src680-m156

2006-03-08  Tor Lillqvist  <tml@novell.com>

	* src/nologoinstall_nld.bmp
	* src/banner_nld.bmp: New versions by Jakub Steiner.

2006-03-08  Petr Mladek  <pmladek@suse.cz>

	* bin/pyunorc-update64.in: better comments

	* distro-configs/SUSE.conf.in: use system boost; it fixes
	  gcc.hpp:67:7: warning: #warning "Unknown compiler version

2006-03-08  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/speed-ooqstart.diff: Whitespace changes to make
	  up-stream happy.
	* patches/src680/speed-ooqstart-x11-only.diff,
	  patches/src680/apply: Use just X11 calls to draw the splash.

	* desktop/base.desktop.in,
	  desktop/calc.desktop.in,
	  desktop/draw.desktop.in,
	  desktop/impress.desktop.in,
	  desktop/math.desktop.in,
	  desktop/template.desktop.in,
	  desktop/web.desktop.in,
	  desktop/writer.desktop.in: No need for startup-notification with
	  ooqstart.

2006-03-08  Michael Meeks  <michael.meeks@novell.com>

	* patches/test/speed-except.diff: update.
	* doc/local.txt: add notes on RTLD local linking

	* distro-configs/Common.conf.in: use
	--with-alloc=system, the built-in allocator is heinously
	slow & broken [ it seems ].

2006-03-08  Tor Lillqvist  <tml@novell.com>

	* src/banner_nld.bmp: Fix dimensions: should be one pixel less in
	width and height, 499x58 like the upstream Banner.bmp, to fit the
	installer's window perfectly. Otherwise it gets scaled and we get
	an ugly artefact.

2006-03-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/mozilla-firefox-nppgetvalue.diff,
	* patches/src680/portaudio-use-arch-flags.diff,
	* patches/src680/cws-iconswitching2.diff,
	* patches/src680/buildfix-64bit-svx.diff,
	* patches/src680/vcl-gtk-condition.diff,
	* patches/src680/sal-condition.diff,
	* patches/src680/apply: bin, obsolete.

2006-03-07  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply missing
	  offapi-org-openoffice-vba-excel-xlautofilltype-idl.diff

2006-03-07  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/change-tooltipcolor-m90.diff,
	* patches/src680/apply: remove, redundant.

	* patches/src680/buildfix-sw-system-stl.diff,
	* patches/src680/buildfix-msvx-standard.diff,
	* patches/src680/mozilla-build-cygpath.diff,
	* patches/src680/win32-activex-disable.diff,
	* patches/src680/apply: remove cruft.

2006-03-07  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: remove broken OOO_2_0_2 support again.

2006-03-07  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/buildfix-no-java.diff: Also patch the Makefile
	for PPC

2006-03-07  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: apply buildfix-no-java.diff

2006-03-07  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply: Add i# numbers to various patches

2006-03-07  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/shell-safer-recently-used-perm.diff,
	  patches/src680/apply: more secure permissions for the file
	  ~/.recently-used by default i#62881

2006-03-07  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply:
	* patches/src680/buildfix-no-java.diff: Fix build without java
	see i#62716

2006-03-07  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply: Target OOO_2_0_2

2006-03-07  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaworkbooks.[ch]xx: improvements to Worksheet.open
	method, provides better support for csv
	* patches/vba/sc-source-ui-vba-vbaworkbooks-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworkbooks-hxx.diff:

2006-03-07  Tor Lillqvist  <tml@novell.com>

	* src/nologoinstall_nld.bmp
	* src/banner_nld.bmp: Update these also, based on the colours and
	pattern in openintro_nld.bmp.

2006-03-07  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/desktop-safer-user-dir-perm.diff, patches/src680/apply:
	  set safer permissions for the user directory by default, i#62858

	* src/openabout_nld.bmp, src/openintro_nld.bmp: update branding for
	  NLD10

2006-03-07  NAKATA Maho  <chat95@mac.com>

	* scratch/offapi-vba/Excel/makefile.mk;
	* scratch/offapi-vba/Excel/XlAutoFillType.idl:
	* patches/vba/offapi-org-openoffice-vba-excel-xlautofilltype-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-excel-makefile-mk.diff:

2006-03-06  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/cws-atkbridge-20060306.diff,
	* patches/src680/apply: add a new atkbridge snapshot:
	lots of fixes from Oliver.

2006-03-06  Michael Meeks  <michael.meeks@novell.com>

	* bin/unpack: clean a little cruft.

	* patches/src680/crash-fpicker.diff: fix for gcc3.x.

2006-03-05  Matthias Klose  <doko@ubuntu.com>

	* bin/ooo-wrapper.in: Don't use ooqstart, when called without arguments.

2006-03-04  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply:
	* patches/src680/buildfix-without-mozilla.diff: Fix build without
	mozilla, i#59729

2006-03-04  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/apply: ArkOnly: re-enable
	  testing-more-optimizations-ark.diff

2006-03-03  Petr Mladek <pmladek@suse.cz>

	* patches/src680/buildfix-ppd-afm-check-62068.diff,
	  patches/src680/apply: install ppd/afm fixes by default again, i#62068

2006-03-02  Petr Mladek <pmladek@suse.cz>

	* Version oob680.5.0

2006-03-02  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/gcj-HelpLinker-no-NullPointerException.diff,
	  patches/src680/apply: Fix the NullPointerException again,
	  this time in ArkOnly because apparently Debian's Xerces doesn't
	  have org.apache.xerces.dom.DOMXSImplementationSourceImpl.
	  Anyone else getting NullPointerExceptions from HelpLinker should
	  simply apply this patch.

2006-03-02  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/source/ui/vba/vbaapplication.cxx: more bits'n pieces
	added wait function for application ( calls basic one ) also 
	reworked the worksheet function stuff.
	* scratch/sc-vba/source/ui/vba/vbaapplication.hxx:
	* scratch/sc-vba/source/ui/vba/vbainterior.cxx:
	* scratch/sc-vba/source/ui/vba/vbainterior.hxx:
	* scratch/sc-vba/source/ui/vba/vbarange.cxx :
	* scratch/sc-vba/source/ui/vba/vbarange.hxx:
	* scratch/sc-vba/source/ui/vba/vbawsfunction.cxx:
	* scratch/sc-vba/source/ui/vba/vbawsfunction.hxx:
	* scratch/offapi-vba/org/openoffice/vba/XApplication.idl:

	* patches/vba/offapi-org-openoffice-vba-xapplication-idl.diff:scratch->
	patch merge
	* patches/vba/sc-inc-document-gcc4-visibility.diff:
	* patches/vba/sc-source-ui-vba-vbaapplication-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaapplication-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbawsfunction-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbawsfunction-hxx.diff:

2006-03-02  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/buildfix-connectivity-kab-stdio.diff,
	  patches/src680/apply: add missing include to fix build on ppc,
	  i#62715

	* patches/src680/buildfix-no-java-ppc.diff, patches/src680/apply
	  (SUSEPPCOnly): allow to really disable java on ppc, i#62716

	* patches/src680/apply: remove GCJExperimental, SystemJavaBits for
	  SUSE-PPC, add SUSEPPCOnly

2006-03-02  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-HelpLinker-native.diff,
	  patches/src680/xt-precompile.diff: revert changes again, breaks,
	  see ml. If you need some additions/something else it might make
	  sense to do an additional patch and/or do an own one instead of
	  doing what you don't want to do ;-)

2006-03-01  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/gcj-HelpLinker-native.diff,
	  patches/src680/xt-precompile.diff: Make it compile again.
	  This is just the -D bits, if this breaks anything let me know
	  what; it doesn't compile without them where xerces isn't the
	  default parser and I'd rather avoid constantly breaking each others'
	  systems.

	* patches/src680/ark-experimental-gcj-use-ecj.diff,
	  patches/src680/ark-system-precompiled-java.diff: Port to current
	  HelpLinker patch

	* bin/build-galleries: Don't hardcode /usr/X11R6/bin/Xvfb location.
	  It lives somewhere else on Xorg 7.x

2006-03-01  Andreas Proschofsky  <suka@gentoo.org>

	* patches/src680/apply: Update Gentoo Bits

2006-03-01  Michael Meeks  <michael.meeks@novell.com>

	* src/easter: add Volker.

2006-03-01  Noel Power  <noel.power@novell.com>

	* patches/vba/vba-mscompat-wait.diff: let oobasic behave like vba 
	wait ( based on a time rather than a duration )
	* patches/src680/apply: adds the patch file above

2006-02-28  Rene Engelhard  <rene@debian.org>

	* patches/src680/gcj-HelpLinker-native.diff,
	  patches/src680/xt-precompile.diff: revert the "Ark bits" which wer
	  introduced; breaks
	* distro-configs/Debian*in: remove --disable-qadevooo

2006-02-28  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: db is fixed; reapply beros changes
	  (and remove xt-precompile.diff where it was duplicated and
	  commented out)

2006-02-28  Rene Engelhard  <rene@debian.org>

	* bin/package-ooo: fix manpage and bash_completion installing

2006-02-28  Rene Engelhard  <rene@debian.org>

	* bin/openoffice-xlate-lang: fix bosnian

2006-02-28  Noel Power  <noel.power@novell.com>

	* scratch/sc-vba/vbaglobals.[ch]xx: Fixup named range behavior, Interior
	implementation and add ColorIndex property.
	* scratch/sc-vba/vbainterior.[ch]xx:
	* scratch/sc-vba/vbarange.cxx :
	* scratch/offapi-vba/Excel/Constants.idl:
	* scratch/offapi-vba/XGlobals.idl:
	* scratch/offapi-vba/XInterior.idl:

	* patches/vba/vba-build.diff: scratch to patch merge
	* patches/vba/offapi-org-openoffice-vba-excel-constants-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-makefile-mk.diff:
	* patches/vba/offapi-org-openoffice-vba-xglobals-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-xinterior-idl.diff:
	* patches/vba/sc-source-ui-vba-vbaglobals-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaglobals-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbainterior-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:

2006-02-28  Noel Power  <noel.power@novell.com>

	* patches/src680/vba-sc-handleautoshapemacro-import.diff: rework fix for
	#n144212#

2006-02-28  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-parallel-cli_ure.diff,
	  patches/src680/apply: Workaround a bug in parallel build in cli_ure
	  - by Volker.

2006-02-28  Tor Lillqvist  <tml@novell.com>

	* patches/src680/mozilla-buildlibs-win32.diff: Update for
	oob680-m3.

2006-02-27  Martin Kretzschmar  <martink@gnome.org>

	* patches/src680/apply, patches/src680/smoketest-noinstall.diff,
	patches/src680/testtool-more-defaults.diff: make smoketest and
	testtool more easily usable with packaged OOos.

	* bin/oosmoketest.in, bin/ootestapi.in, bin/ootesttool.in: wrappers
	for smoketest, qadevOOo, qatesttool.

	* bin/package-oo: apply install time substitutions to oo*test*.in.

	* distro-configs/Ubuntu.conf.in, distro-configs/Ubuntu64.conf.in:
	build qadevOOo.

2006-02-27  Rene Engelhard  <rene@debian.org>

	* patches/src680/apply: revert beros last commit. HelpLinker being
	  native still broken on Debian (we need to get a fixed db first)

2006-02-27  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/vba-sc-handleautoshapemacro-import.diff: Don't
	  misplace arrows after sheet recalculation.  N#144212

2006-02-26  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/patches/src680/gcj-HelpLinker-native.diff: Fix
	  java.lang.NullPointerExceptions for systems with default JAXP
	  implementations that aren't Xerces

	* patches/src680/xt-precompile.diff: Make it apply w/ new
	  gcj-HelpLinker-native.diff

	* patches/src680/ark-system-precompiled-java.diff: Ark Linux comes
	  with system versions even of precompiled jars -- don't precompile
	  Xerces, Xalan, Xt and db.jar again.

	* patches/src680/apply: Apply gcj-HelpLinker-native.diff and
	  xt-precompile.diff in GcjExperimental again, they were moved to
	  distro specific sections only because of the NullPointerException

	* patches/src680/apply: Enable ArkOnly bits that depend on
	  gcj-HelpLinker-native.diff again

2006-02-25  Matthias Klose  <doko@ubuntu.com>

	* bin/ooo-wrapper.in: Use ooqstart, if installed.

2006-02-25  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/ark-experimental-gcj-use-ecj.diff: Port to oob680-m5

2006-02-24  Radek Doulik  <rodo@novell.com>

	* build/src680-m152/canvas/source/cairo/cairo_canvashelper.cxx
	(implDrawBitmapSurface): set source after scale is set

2006-02-24  Matthias Klose  <doko@ubuntu.com>

	*  bin/openoffice-xlate-lang: Add kurdish.

2006-02-24  Matthias Klose  <doko@ubuntu.com>

	* ooo-build/patches/src680/apply: Rename section UbuntuL10n to
	UbuntuL10nOnly.
	* ooo-build/patches/src680/framework-nofocussteal.diff: New, from
	Fedora CVS (# iz#19976)
	* ooo-build/patches/src680/apply: Apply diff in DebianBaseOnly.

2006-02-24  Noel Power <noel.power@novell.com>

	* scratch/sc-vba/vbarange.cxx: fix for n#105471#
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:

2006-02-14  Jan Holesovsky  <kendy@suse.cz>

	* src/easter/generate: The string with the names has to have ';' at
	  the end, otherwise breaks the build.

2006-02-24  Noel Power <noel.power@novell.com>

	* scratch/offapi-vab/XRange.idl: fixes for n#105112#, n#105115#,
	n#105443# & scratch -> patch merge
	* scratch/offapi-vba/XWorkbooks.idl:
	* scratch/offapi-vba/makefile.mk:
	* scratch/offapi-vba/makefile.mk:
	* scratch/offapi-vba/XlDeleteShiftDirection.idl: ( new )
	* scratch/offapi-vba/XCharacters.idl: ( new )

	* scratch/sc-vba/makefile.mk:
	* scratch/sc-vba/vbarange.cxx:
	* scratch/sc-vba/vbarange.hxx:
	* scratch/sc-vba/vbaworkbooks.cxx:
	* scratch/sc-vba/vbaworkbooks.hxx:
	* scratch/sc-vba/vbacharacters.cxx: ( new )
	* scratch/sc-vba/vbacharacters.hxx: ( new )

	* patches/vba/offapi-org-openoffice-vba-excel-xldeleteshiftdirection-idl.diff: ( new )
	* patches/vba/offapi-org-openoffice-vba-xcharacters-idl.diff: (new)
	* patches/vba/offapi-org-openoffice-vba-excel-makefile-mk.diff:
	* patches/vba/offapi-org-openoffice-vba-makefile-mk.diff:
	* patches/vba/offapi-org-openoffice-vba-xrange-idl.diff:
	* patches/vba/offapi-org-openoffice-vba-xworkbooks-idl.diff:
	* patches/vba/sc-source-ui-vba-vbacharacters-cxx.diff: (new)
	* patches/vba/sc-source-ui-vba-vbacharacters-hxx.diff: (new)
	* patches/vba/sc-source-ui-vba-makefile-mk.diff:
	* patches/vba/sc-source-ui-vba-vbarange-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbarange-hxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworkbooks-cxx.diff:
	* patches/vba/sc-source-ui-vba-vbaworkbooks-hxx.diff:

2006-02-24  Bernhard Rosenkraenzer <bero@arklinux.org>

	* patches/src680/go-oo-team.diff: Add missing ; that broke the build

2006-02-24  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/default-evo2-ab.diff,
	* patches/src680/apply: add for later.

2006-02-24  Radek Doulik  <rodo@novell.com>

	* build/src680-m152/canvas/source/cairo/cairo_canvashelper.cxx
	(drawPolyPolygonImplementation): check that textures are not empty
	(doOperation): fix textures handling, before I misunderstood the
	documentation and thought there's one texture per polygon. In real
	it is sequence of textures which is used for all polygons. So far
	we use only 1st texture from sequence - same as vcl canvas does
	for now.

2006-02-23  Petr Mladek  <pmladek@suse.cz>

	* Version oob680.3.0

	* distro-configs/SUSE-PPC.conf.in, configure.in, patches/src680/apply:
	  add configuration for SUSE build on ppc

	* desktop/calc.desktop.in: add some non-standard MIME types that are
	  used on internet and should be associated with OOo Calc:
